﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 コントロール標準
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR010C010

#Region "変数"

	Private DeathLctCd As String			'死亡場所初期値

	'基本
	Private ReadOnly CONTROLS_001 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk002MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO, Nothing, sqlMSR000C010.itmB_PATIENT_NO, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk003MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("msk005MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk006MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO, Nothing, sqlMSR000C010.itmB_PATIENT_NM, clsMSRSearch.CST_FNC_PATIENT_NM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt007MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik008MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk009MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO, Nothing, sqlMSR000C010.itmB_PATIENT_KNM, clsMSRSearch.CST_FNC_PATIENT_NM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt010MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik011MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk012MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO, Nothing, sqlMSR000C010.itmB_GENDER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb013MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk015MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO, Nothing, sqlMSR000C010.itmB_BIRTH_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte016MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte018MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk019MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO, Nothing, sqlMSR000C010.itmB_BIRTH_MD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte020MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("dte022MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			})
	}

	'入退院
	Private ReadOnly CONTROLS_002 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk024MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_BYOREKI_NO, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk025MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("msk027MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk028MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_DEPT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb029MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb031MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk032MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_WARD_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb033MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk035MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, "医師(代表)", sqlMSR000C010.itmH_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb037MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk039MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_HSP_CNL_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb040MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb042MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk043MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_HSP_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte044MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte046MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk047MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_OUT_HSP_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte048MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte050MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk051MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_OUT_HSP_AGE, clsMSRSearch.CST_FNC_RANGE2, clsMSRSearch.ENUM_RANGE2_TYPE.AGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num052MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num054MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num057MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num059MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk061MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_OUT_HSP_CNL_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb062MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb064MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk065MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_OUT_HSP_OUTCOME_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb066MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb068MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk069MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_HSP_DAYS, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num070MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num072MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk073MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_CHANGE_DEPT_CHK, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb074MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk076MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_HOLD_DEPT_CHK, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb077MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk079MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_TOTAL_MED_COST, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num080MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
			, New clsMSRSearchInp.clsLinkControls("num082MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
			}) _
		, New clsMSRSearchInp("chk083MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Nothing, sqlMSR000C010.itmH_DPC_NO, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt084MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			})
	}
'(M) STR V4-11026-000 270 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No111 医師コード、病棟コードともに未入力の場合科歴情報を参照し、入力されている場合は各々の情報を参照するように修正
'	'科歴
'	Private ReadOnly CONTROLS_003 As clsMSRSearchInp() = _
'	{
'		  New clsMSRSearchInp("chk086MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_HSP_FLG, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb087MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk088MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_MAIN_DPM_FLG, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb089MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk090MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_OUT_HSP_FLG, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb091MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk092MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_BYOREKI_NO, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("msk093MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("msk095MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk096MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_DEPT_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb097MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("cmb099MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk100MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD, Nothing, sqlMSR000C010.itmW_MAIN_WARD_FLG, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb101MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk102MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_WARD_CD, clsMSRSearch.CST_FNC_NORMAL_NOT_NULL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb103MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk102MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD, Nothing, sqlMSR000C010.itmW_WARD_CD, clsMSRSearch.CST_FNC_NORMAL_NULL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb103MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk105MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DOCTOR, Nothing, sqlMSR000C010.itmD_MAIN_DOCTOR_FLG, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb106MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk107MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR, Nothing, sqlMSR000C010.itmO_OPE_DOCTOR_DIV, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb108MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk110MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, "医師", sqlMSR000C010.itmC_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NOT_NULL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb112MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk110MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DOCTOR, Nothing, sqlMSR000C010.itmD_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NULL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb112MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk114MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_ZIP_CD, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("msk115MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("msk117MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk118MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_AREA_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb119MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("cmb121MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk122MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_CNR_REG_COUNT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("num123MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
'			, New clsMSRSearchInp.clsLinkControls("num125MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
'			}) _
'		, New clsMSRSearchInp("chk126MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_START_CNL_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb127MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("cmb129MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk130MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_START_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte131MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte133MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'			}) _
'		, New clsMSRSearchInp("chk134MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte135MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte137MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'			}) _
'		, New clsMSRSearchInp("chk138MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_AGE, clsMSRSearch.CST_FNC_RANGE2, clsMSRSearch.ENUM_RANGE2_TYPE.AGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("num139MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
'			, New clsMSRSearchInp.clsLinkControls("num141MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
'			, New clsMSRSearchInp.clsLinkControls("num144MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
'			, New clsMSRSearchInp.clsLinkControls("num146MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk148MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_CNL_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb149MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("cmb151MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk152MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_OUTCOME_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb153MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("cmb155MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk156MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_HSP_DAYS, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("num157MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
'			, New clsMSRSearchInp.clsLinkControls("num159MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk160MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_TOTAL_MED_COST, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("num161MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
'			, New clsMSRSearchInp.clsLinkControls("num163MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
'			}) _
'		, New clsMSRSearchInp("chk164MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_REG_STATUS_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb165MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk167MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_REG_FINISHED_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte168MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte170MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'			}) _
'		, New clsMSRSearchInp("chk171MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, "登録者", sqlMSR000C010.itmC_REG_PERSON_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb173MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk175MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte176MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte178MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'			}) _
'		, New clsMSRSearchInp("chk179MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_DATA_CAPTURE_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte180MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte182MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'		})
'	}
'(M) STR V4-11038-000 270 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No130 検索-標準-科歴の医師区分コードを医師情報の医師区分コードを参照するように対応
'	'科歴
'	Private ReadOnly CONTROLS_003 As clsMSRSearchInp() = _
'	{
'		  New clsMSRSearchInp("chk086MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_HSP_FLG, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb087MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk088MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_MAIN_DPM_FLG, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb089MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk090MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_OUT_HSP_FLG, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb091MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk092MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_BYOREKI_NO, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("msk093MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("msk095MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk096MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_DEPT_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb097MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("cmb099MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk100MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD, Nothing, sqlMSR000C010.itmW_MAIN_WARD_FLG, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb101MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk102MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_WARD_CD, clsMSRSearch.CST_FNC_NORMAL_NULL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb103MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk102MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD, Nothing, sqlMSR000C010.itmW_WARD_CD, clsMSRSearch.CST_FNC_NORMAL_NOT_NULL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb103MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk105MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DOCTOR, Nothing, sqlMSR000C010.itmD_MAIN_DOCTOR_FLG, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb106MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk107MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR, Nothing, sqlMSR000C010.itmO_OPE_DOCTOR_DIV, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb108MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk110MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, "医師", sqlMSR000C010.itmC_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NULL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb112MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk110MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DOCTOR, Nothing, sqlMSR000C010.itmD_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NOT_NULL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb112MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk114MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_ZIP_CD, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("msk115MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("msk117MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk118MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_AREA_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb119MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("cmb121MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk122MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_CNR_REG_COUNT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("num123MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
'			, New clsMSRSearchInp.clsLinkControls("num125MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
'			}) _
'		, New clsMSRSearchInp("chk126MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_START_CNL_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb127MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("cmb129MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk130MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_START_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte131MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte133MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'			}) _
'		, New clsMSRSearchInp("chk134MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte135MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte137MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'			}) _
'		, New clsMSRSearchInp("chk138MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_AGE, clsMSRSearch.CST_FNC_RANGE2, clsMSRSearch.ENUM_RANGE2_TYPE.AGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("num139MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
'			, New clsMSRSearchInp.clsLinkControls("num141MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
'			, New clsMSRSearchInp.clsLinkControls("num144MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
'			, New clsMSRSearchInp.clsLinkControls("num146MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk148MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_CNL_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb149MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("cmb151MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk152MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_OUTCOME_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb153MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			, New clsMSRSearchInp.clsLinkControls("cmb155MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk156MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_HSP_DAYS, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("num157MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
'			, New clsMSRSearchInp.clsLinkControls("num159MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
'			}) _
'		, New clsMSRSearchInp("chk160MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_TOTAL_MED_COST, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("num161MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
'			, New clsMSRSearchInp.clsLinkControls("num163MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
'			}) _
'		, New clsMSRSearchInp("chk164MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_REG_STATUS_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb165MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk167MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_REG_FINISHED_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte168MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte170MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'			}) _
'		, New clsMSRSearchInp("chk171MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, "登録者", sqlMSR000C010.itmC_REG_PERSON_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb173MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk175MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte176MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte178MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'			}) _
'		, New clsMSRSearchInp("chk179MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_DATA_CAPTURE_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte180MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte182MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'		})
'	}
	'科歴
	Private ReadOnly CONTROLS_003 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk086MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_HSP_FLG, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb087MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk088MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_MAIN_DPM_FLG, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb089MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk090MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_OUT_HSP_FLG, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb091MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk092MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_BYOREKI_NO, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk093MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("msk095MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk096MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_DEPT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb097MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb099MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk100MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD, Nothing, sqlMSR000C010.itmW_MAIN_WARD_FLG, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb101MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk102MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_WARD_CD, clsMSRSearch.CST_FNC_NORMAL_NULL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb103MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk102MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD, Nothing, sqlMSR000C010.itmW_WARD_CD, clsMSRSearch.CST_FNC_NORMAL_NOT_NULL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb103MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk105MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DOCTOR, Nothing, sqlMSR000C010.itmD_MAIN_DOCTOR_FLG, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb106MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk107MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DOCTOR, Nothing, sqlMSR000C010.itmD_DOCTOR_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb108MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk110MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, "医師", sqlMSR000C010.itmC_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NULL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb112MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk110MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DOCTOR, Nothing, sqlMSR000C010.itmD_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NOT_NULL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb112MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk114MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_ZIP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk115MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("msk117MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk118MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_AREA_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb119MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb121MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk122MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_CNR_REG_COUNT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num123MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
			, New clsMSRSearchInp.clsLinkControls("num125MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
			}) _
		, New clsMSRSearchInp("chk126MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_START_CNL_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb127MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb129MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk130MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_START_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte131MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte133MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk134MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte135MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte137MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk138MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_AGE, clsMSRSearch.CST_FNC_RANGE2, clsMSRSearch.ENUM_RANGE2_TYPE.AGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num139MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num141MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num144MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num146MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk148MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_CNL_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb149MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb151MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk152MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_END_OUTCOME_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb153MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb155MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk156MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_HSP_DAYS, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num157MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num159MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk160MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_TOTAL_MED_COST, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num161MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
			, New clsMSRSearchInp.clsLinkControls("num163MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
			}) _
		, New clsMSRSearchInp("chk164MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_REG_STATUS_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb165MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk167MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_REG_FINISHED_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte168MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte170MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk171MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, "登録者", sqlMSR000C010.itmC_REG_PERSON_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb173MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk175MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte176MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte178MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk179MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_DATA_CAPTURE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte180MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte182MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			})
	}
'(M) END V4-11038-000 270 20110905
'(M) END V4-11026-000 270 20110816
'(M) STR V4-11039-000 052 20110907 FJSK)荒川 XXX号 病歴大将V4PKG問題点No142 院内死亡の検索で「転帰が死亡」以外の科歴を取得しないように対応
'	'死亡
'	Private ReadOnly CONTROLS_004 As clsMSRSearchInp() = _
'	{
'		  New clsMSRSearchInp("chk184MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH, Nothing, sqlMSR000C010.itmD_DEATH_LCT_CD, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb185MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk187MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH, Nothing, sqlMSR000C010.itmD_DEATH_DT, clsMSRSearch.CST_FNC_RANGE, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("dte188MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
'			, New clsMSRSearchInp.clsLinkControls("dte190MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
'			}) _
'		, New clsMSRSearchInp("chk191MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH, Nothing, sqlMSR000C010.itmD_DEATH_DIV, clsMSRSearch.CST_FNC_NORMAL_DEATH_DIV, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb192MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk191MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_DEATH_DIV_IN, clsMSRSearch.CST_FNC_NORMAL_DEATH_DIV_SP, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb192MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'			}) _
'		, New clsMSRSearchInp("chk194MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH, Nothing, sqlMSR000C010.itmD_AFTER_OPE_DEATH_DIV, clsMSRSearch.CST_FNC_NORMAL, _
'			New clsMSRSearchInp.clsLinkControls() { _
'			  New clsMSRSearchInp.clsLinkControls("cmb195MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
'		})
'	}
	'死亡
	Private ReadOnly CONTROLS_004 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk184MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH, Nothing, sqlMSR000C010.itmD_DEATH_LCT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb185MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk184MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR000C010.itmC_DEATH_DIV_IN, clsMSRSearch.CST_FNC_NORMAL_DEATHLCT, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb185MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk187MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH, Nothing, sqlMSR000C010.itmD_DEATH_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte188MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte190MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk191MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH, Nothing, sqlMSR000C010.itmD_DEATH_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb192MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk194MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH, Nothing, sqlMSR000C010.itmD_AFTER_OPE_DEATH_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb195MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			})
	}
'(M) END V4-11039-000 052 20110907

	'病名
	Private ReadOnly CONTROLS_005 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk199MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_DISEASE_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb200MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb202MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk203MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_ICD10_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt204MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt206MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk207MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_ICD9_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt208MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt210MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk211MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_DISEASE, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt212MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik213MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk214MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_DISEASE_OUTCOME_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb215MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk217MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_L_GRP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt218MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt220MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk221MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_PLURAL_GRP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt222MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt224MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk225MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_CAUSE_GRP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt226MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt228MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk229MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_ICDO_FORM_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk230MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("msk232MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk233MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_HSP_CHANCE_DISEASE_FLG, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb234MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk235MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_DISEASE_MED_RES_FLG1, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb236MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk237MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_DISEASE_MED_RES_FLG2, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb238MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk239MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_DEATH_DISEASE_FLG, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb240MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk241MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_DEATH_CAUSE_FLG, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb242MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk243MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_DIRECT_DEATH_DISEASE_FLG, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb244MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk245MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, Nothing, sqlMSR000C010.itmD_CNR_REG_STATUS_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb246MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk248MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE, "がん登録抽出日", sqlMSR000C010.itmD_CNR_REG_EXTRACT_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte249MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte251MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			})
	}

	'手術
	Private ReadOnly CONTROLS_006 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk253MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_OPE_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb254MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb256MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk257MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_ICD9CM_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt258MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt260MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk261MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_SCORE_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt262MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt264MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk265MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_OPE_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt266MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik267MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk268MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_L_GRP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt269MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt271MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk272MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_OPE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte273MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte275MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk276MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_ANESTHESIA_DIV_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb277MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk279MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_PRE_OPE_DAYS, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num280MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
			, New clsMSRSearchInp.clsLinkControls("num282MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
			}) _
		, New clsMSRSearchInp("chk283MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_AFTER_OPE_DAYS, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num284MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
			, New clsMSRSearchInp.clsLinkControls("num286MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
			}) _
		, New clsMSRSearchInp("chk287MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR, Nothing, sqlMSR000C010.itmO_OPE_DOCTOR_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb288MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk290MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR, "手術医師", sqlMSR000C010.itmO_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb292MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk294MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_SPT_DISEASE_ICD10_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt295MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt297MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk298MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, Nothing, sqlMSR000C010.itmO_SPT_DISEASE_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt299MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik300MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			})
	}

	'治療
	Private ReadOnly CONTROLS_007 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk302MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_CARE_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb303MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb305MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk306MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_ICD9CM_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt307MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt309MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk310MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_SCORE_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt311MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt313MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk314MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_CARE_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt315MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik316MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk317MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_CARE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte318MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte320MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			})
	}

	'検査
	Private ReadOnly CONTROLS_008 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk322MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_TEST_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb323MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb325MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk326MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_ICD9CM_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt327MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt329MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk330MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_SCORE_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt331MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt333MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk334MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_TEST_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt335MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik336MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk337MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_TEST_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte338MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte340MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			})
	}

	'分娩
	Private ReadOnly CONTROLS_009 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk342MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte343MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte345MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk346MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_AGE, clsMSRSearch.CST_FNC_RANGE2, clsMSRSearch.ENUM_RANGE2_TYPE.AGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num347MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num349MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num352MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num354MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk356MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_GESTATIONAL_WEEK_COUNT, clsMSRSearch.CST_FNC_RANGE2, clsMSRSearch.ENUM_RANGE2_TYPE.WEEK, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num357MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num359MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num362MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num364MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		 , New clsMSRSearchInp("chk366MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CHD_COUNT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num367MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num369MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk370MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CAESAREAN_OPE_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb371MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk373MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_PREMATURE_BIRTH, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb374MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk375MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_MISCARRIAGE, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb376MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk378MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_GENDER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb379MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk381MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_NEWBORN_WEIGHT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num382MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num384MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk385MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_IMMATURE, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb386MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk387MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_DEFORMITY, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb388MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk389MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_STILLBIRTH, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb390MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			})
	}

	'救命
	Private ReadOnly CONTROLS_010 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk392MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_IN_METHOD_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb393MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk395MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_ENTERING_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte396MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte398MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk399MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_OUT_METHOD_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb400MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk402MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_LEAVING_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte403MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte405MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk406MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_EMERGENCY_LEAVING_AGE, clsMSRSearch.CST_FNC_RANGE2, clsMSRSearch.ENUM_RANGE2_TYPE.AGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num407MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num409MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num412MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num414MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk416MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_SEVERE_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb417MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk419MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_IN_ROOM_DAYS, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num420MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num422MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			})
	}
	'診療録
	Private ReadOnly CONTROLS_011 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk424MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, Nothing, sqlMSR000C010.itmL_RECORD_RECEIPT_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte425MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte427MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk428MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, Nothing, sqlMSR000C010.itmL_RECORD_MNGSTATUS_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb429MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb431MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk432MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, Nothing, sqlMSR000C010.itmL_RECORD_KEEPLCT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb433MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb435MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk436MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, Nothing, sqlMSR000C010.itmL_RECORD_ARG_STATUS_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb437MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb439MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk440MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, "受領者", sqlMSR000C010.itmL_RECORD_RECIPIENT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb442MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk445MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_LENDAIM_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb446MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb448MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk449MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_LCT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb450MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk452MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_ISSUE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte453MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte455MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk456MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_EXPECTBACK_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte457MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte459MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk460MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_BACK_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte461MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte463MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk464MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_BORROWER_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb465MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk467MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, "借用者氏名", sqlMSR000C010.itmL_BORROWER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb469MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk471MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_BORROWER_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt472MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik473MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk474MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_SLIP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk475MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("msk477MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			})
	}

	'サマリ
	Private ReadOnly CONTROLS_012 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk479MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, Nothing, sqlMSR000C010.itmL_SUMMARY_RECEIPT_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte480MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte482MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk483MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, Nothing, sqlMSR000C010.itmL_SUMMARY_MNGSTATUS_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb484MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb486MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk487MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, Nothing, sqlMSR000C010.itmL_SUMMARY_KEEPLCT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb488MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb490MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk491MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, "受領者", sqlMSR000C010.itmL_SUMMARY_MAKER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb493MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk495MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, Nothing, sqlMSR000C010.itmL_SUMMARY_APPROVAL_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte496MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte498MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk500MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_LENDAIM_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb501MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb503MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk504MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_LCT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb505MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk507MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_ISSUE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte508MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte510MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk511MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_EXPECTBACK_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte512MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte514MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk515MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_BACK_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte516MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte518MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk519MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_BORROWER_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb520MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk522MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, "借用者氏名", sqlMSR000C010.itmL_BORROWER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb524MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk526MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_BORROWER_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt527MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik528MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk529MSR010C010", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_SLIP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk530MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("msk532MSR010C010", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			})
	}

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'タブページを設定
		Me.setTabName(Me.tpg423MSR010C010, clsConst.Enum_Lenditem.MedicalRecord,
					  Me.tpg478MSR010C010, clsConst.Enum_Lenditem.Summary)
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' コントロール廃棄
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010C010_Disposed(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Disposed
		If Me.TopLevelControl IsNot Nothing Then
			DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "MSR010C010_Disposed", "コントロール廃棄　START")
		End If
		Try

		Catch ex As Exception
			Throw
		Finally
			Me.DeathLctCd = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コントロールロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/99 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010C010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode = True Then Exit Sub
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "MSR010C010_Load", "コントロールロード START")
		Try
			'検索コントロールリストの追加
			Me.setSearchList()
			Me.setSearchList(Me.CONTROLS_001)
			Me.setSearchList(Me.CONTROLS_002)
			Me.setSearchList(Me.CONTROLS_003)
			Me.setSearchList(Me.CONTROLS_004)
			Me.setSearchList(Me.CONTROLS_005)
			Me.setSearchList(Me.CONTROLS_006)
			Me.setSearchList(Me.CONTROLS_007)
			Me.setSearchList(Me.CONTROLS_008)
			Me.setSearchList(Me.CONTROLS_009)
			Me.setSearchList(Me.CONTROLS_010)
			Me.setSearchList(Me.CONTROLS_011)
			Me.setSearchList(Me.CONTROLS_012)

			'病歴番号のラベルを変更
			Dim wk As String
			Try
				wk = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
				If wk IsNot Nothing AndAlso wk.Length > 0 Then
					Me.chk024MSR010C010.Text = wk
					Me.chk092MSR010C010.Text = wk
				End If
			Finally
				wk = Nothing
			End Try

			'生年月日書式の設定
			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00003)
				Case clsConst.Enum_BirthDtInput.Ad
					Me.dte016MSR010C010.DateStyle = BT_Date.Enum_DateStyle.Wst_Style
				Case clsConst.Enum_BirthDtInput.Jp
					Me.dte016MSR010C010.DateStyle = BT_Date.Enum_DateStyle.Jpn_Style
			End Select
			Me.dte018MSR010C010.DateStyle = Me.dte016MSR010C010.DateStyle

			'コンボボックスの設定
			Dim cliCmb As clsComboCom = New clsComboCom
			Dim dt As DataTable
			Try
				dt = clsConst.getNotMatch															'NOT
				Me.cmb031MSR010C010.DataSource = dt.Copy
				Me.cmb042MSR010C010.DataSource = dt.Copy
				Me.cmb064MSR010C010.DataSource = dt.Copy
				Me.cmb068MSR010C010.DataSource = dt.Copy
				Me.cmb099MSR010C010.DataSource = dt.Copy
				Me.cmb121MSR010C010.DataSource = dt.Copy
				Me.cmb129MSR010C010.DataSource = dt.Copy
				Me.cmb151MSR010C010.DataSource = dt.Copy
				Me.cmb155MSR010C010.DataSource = dt.Copy
				Me.cmb202MSR010C010.DataSource = dt.Copy
				Me.cmb256MSR010C010.DataSource = dt.Copy
				Me.cmb305MSR010C010.DataSource = dt.Copy
				Me.cmb325MSR010C010.DataSource = dt.Copy
				Me.cmb431MSR010C010.DataSource = dt.Copy
				Me.cmb435MSR010C010.DataSource = dt.Copy
				Me.cmb439MSR010C010.DataSource = dt.Copy
				Me.cmb448MSR010C010.DataSource = dt.Copy
				Me.cmb486MSR010C010.DataSource = dt.Copy
				Me.cmb490MSR010C010.DataSource = dt.Copy
				Me.cmb503MSR010C010.DataSource = dt.Copy
				dt.Dispose() : dt = Nothing

				dt = clsConst.getExist																'×/○
				Me.cmb074MSR010C010.DataSource = dt.Copy
				Me.cmb077MSR010C010.DataSource = dt.Copy
				dt.Dispose() : dt = Nothing

				dt = clsConst.getOnYseNo(True)														'はい/いいえ
				Me.cmb087MSR010C010.DataSource = dt.Copy
				Me.cmb089MSR010C010.DataSource = dt.Copy
				Me.cmb091MSR010C010.DataSource = dt.Copy
				Me.cmb101MSR010C010.DataSource = dt.Copy
				Me.cmb106MSR010C010.DataSource = dt.Copy
				Me.cmb234MSR010C010.DataSource = dt.Copy
				Me.cmb236MSR010C010.DataSource = dt.Copy
				Me.cmb238MSR010C010.DataSource = dt.Copy
				Me.cmb240MSR010C010.DataSource = dt.Copy
				Me.cmb242MSR010C010.DataSource = dt.Copy
				Me.cmb244MSR010C010.DataSource = dt.Copy
				Me.cmb374MSR010C010.DataSource = dt.Copy
				Me.cmb376MSR010C010.DataSource = dt.Copy
				Me.cmb386MSR010C010.DataSource = dt.Copy
				Me.cmb388MSR010C010.DataSource = dt.Copy
				Me.cmb390MSR010C010.DataSource = dt.Copy
				dt.Dispose() : dt = Nothing

				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-13004-000 004 20130222 ID)平井(分娩児性別に修正)
'					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Gender)
					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CbGender)			'分娩児性別
'(M) END V4-13004-000 004 20130222
					Me.cmb013MSR010C010.DataSource = dt.Copy										'性別
					Me.cmb379MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Dept)				'診療科
					Me.cmb029MSR010C010.DataSource = dt.Copy
					Me.cmb097MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Ward)				'病棟
					Me.cmb033MSR010C010.DataSource = dt.Copy
					Me.cmb103MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXOpk)			'医師
					Me.cmb037MSR010C010.DataSource = dt.Copy
					Me.cmb112MSR010C010.DataSource = dt.Copy
					Me.cmb292MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Staff)				'職員
					Me.cmb173MSR010C010.DataSource = dt.Copy
					Me.cmb442MSR010C010.DataSource = dt.Copy
					Me.cmb469MSR010C010.DataSource = dt.Copy
					Me.cmb493MSR010C010.DataSource = dt.Copy
					Me.cmb524MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_HspCnl)				'入院経路
					Me.cmb040MSR010C010.DataSource = dt.Copy
					Me.cmb127MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OutHspCnl)			'退院経路
					Me.cmb062MSR010C010.DataSource = dt.Copy
					Me.cmb149MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OutHspOutcome)		'退院転帰
					Me.cmb066MSR010C010.DataSource = dt.Copy
					Me.cmb153MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DoctorDiv)			'医師区分
					Me.cmb108MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Area)				'診療圏
					Me.cmb119MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_RegStatus)			'登録状況
					Me.cmb165MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DeceaseLct)			'死亡場所
					Me.cmb185MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DeathDiv)			'死亡区分
					Me.cmb192MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_PostperativeDeceaseDiv)	'術後死亡区分
					Me.cmb195MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DiseaseDiv)			'病名区分
					Me.cmb200MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DiseaseOutcome)		'病名転帰
					Me.cmb215MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CnrRegStatus)		'がん登録状況
					Me.cmb246MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OpeDiv)				'手術区分
					Me.cmb254MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Anesthesia)			'麻酔
					Me.cmb277MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OpeDoctorDiv)		'手術担当医区分
					Me.cmb288MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CareDiv)				'治療処置区分
					Me.cmb303MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_TestDiv)				'検査区分
					Me.cmb323MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CaesareanOperation)	'帝王切開
					Me.cmb371MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_EmergencyInMethod)	'救命救急入法
					Me.cmb393MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_EmergencyOutMethod)	'救命救急出法
					Me.cmb400MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_EmergencySevereDiv)	'救命救急重症区分
					Me.cmb417MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_1)	'カルテ管理状況
					Me.cmb429MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_1)	'カルテ保管場所
					Me.cmb433MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemArgStatus_1)	'カルテ整理状況
					Me.cmb437MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendAim)				'貸出目的
					Me.cmb446MSR010C010.DataSource = dt.Copy
					Me.cmb501MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemLct)			'貸出物所在場所
					Me.cmb450MSR010C010.DataSource = dt.Copy
					Me.cmb505MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffDiv_Dsp)		'職員部門
					Me.cmb465MSR010C010.DataSource = dt.Copy
					Me.cmb520MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_2)	'サマリ管理状況
					Me.cmb484MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_2)	'サマリ保管場所
					Me.cmb488MSR010C010.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing
				End Using
			Finally
				cliCmb = Nothing
				dt = Nothing
			End Try

			'コントロール初期化
			Me.setControl(Me, ENUM_SET_CONTROL.ENUM_LOAD)

			'死亡場所の初期値を設定
			Me.DeathLctCd = clsMSRCOMMON.getDeathLctCd()
			If Me.DeathLctCd IsNot Nothing Then Me.cmb185MSR010C010.SelectedValue = Me.DeathLctCd
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 職員ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnStaff_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
			btn036MSR010C010.Click, btn111MSR010C010.Click, btn172MSR010C010.Click, btn291MSR010C010.Click, btn441MSR010C010.Click, _
			btn468MSR010C010.Click, btn492MSR010C010.Click, btn523MSR010C010.Click
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "btnStaff_Click", "職員ボタンクリック START")
		Try
			Select Case sender.name
				Case Me.btn036MSR010C010.Name : Me.StaffFormProc(Me.cmb037MSR010C010)
				Case Me.btn111MSR010C010.Name : Me.StaffFormProc(Me.cmb112MSR010C010)
				Case Me.btn172MSR010C010.Name : Me.StaffFormProc(Me.cmb173MSR010C010)
				Case Me.btn291MSR010C010.Name : Me.StaffFormProc(Me.cmb292MSR010C010)
				Case Me.btn441MSR010C010.Name : Me.StaffFormProc(Me.cmb442MSR010C010)
'(M) STR V4-12059-000 004 20121225 ID)平井(借用者の検索結果が設定されるよう修正)
				'Case Me.btn468MSR010C010.Name : Me.StaffFormProc(Me.cmb442MSR010C010)
				Case Me.btn468MSR010C010.Name : Me.StaffFormProc(Me.cmb469MSR010C010)
'(M) END V4-12059-000 004 20121225
				Case Me.btn492MSR010C010.Name : Me.StaffFormProc(Me.cmb493MSR010C010)
				Case Me.btn523MSR010C010.Name : Me.StaffFormProc(Me.cmb524MSR010C010)
			End Select
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' テキストリーブ処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles _
			txt204MSR010C010.Leave, txt258MSR010C010.Leave, txt295MSR010C010.Leave, txt307MSR010C010.Leave, txt327MSR010C010.Leave
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "txt_Leave", "テキストリーブ処理 START")
		Try
			Select Case sender.name
				Case Me.txt204MSR010C010.Name : Me.setLeaveText(Me.txt206MSR010C010, ENUM_LEAVE_TEXT.ICD10, sender.text)
				Case Me.txt258MSR010C010.Name : Me.setLeaveText(Me.txt260MSR010C010, ENUM_LEAVE_TEXT.ICD9CM, sender.text)
				Case Me.txt295MSR010C010.Name : Me.setLeaveText(Me.txt297MSR010C010, ENUM_LEAVE_TEXT.ICD10, sender.text)
				Case Me.txt307MSR010C010.Name : Me.setLeaveText(Me.txt309MSR010C010, ENUM_LEAVE_TEXT.ICD9CM, sender.text)
				Case Me.txt327MSR010C010.Name : Me.setLeaveText(Me.txt329MSR010C010, ENUM_LEAVE_TEXT.ICD9CM, sender.text)
			End Select
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡タブチェック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chkDeath_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
			chk187MSR010C010.CheckedChanged, chk191MSR010C010.CheckedChanged, chk194MSR010C010.CheckedChanged
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "chkDeath_CheckedChanged", "死亡タブチェック処理 START")
		Try
			'復元中はイベントキャンセル
			If Me.EventCancel = True Then Exit Sub

			'死亡場所をＯＮに
			If DirectCast(sender, CheckBox).Checked = True AndAlso Me.chk184MSR010C010.Checked = False Then
				Me.chk184MSR010C010.Checked = True
			End If
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件をすべてクリア
	''' </summary>
	''' <param name="Focus">フォーカス移動有無</param>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub Clear(Optional ByVal Focus As Boolean = True)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "Clear", "検索条件をすべてクリア START")
		Try
			MyBase.Clear()

			'死亡場所の初期値設定
			If Me.DeathLctCd IsNot Nothing Then Me.cmb185MSR010C010.SelectedValue = Me.DeathLctCd
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
