﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 コントロール管理１
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR010C080

#Region "変数"

	'診療録
	Private ReadOnly CONTROLS_001 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk002MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, Nothing, sqlMSR000C010.itmL_RECORD_RECEIPT_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte003MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte005MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk006MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, Nothing, sqlMSR000C010.itmL_RECORD_COUNT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num007MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num009MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk010MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, Nothing, sqlMSR000C010.itmL_RECORD_MNGSTATUS_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb011MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb013MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk014MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, Nothing, sqlMSR000C010.itmL_RECORD_KEEPLCT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb015MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb017MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk018MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, Nothing, sqlMSR000C010.itmL_RECORD_ARG_STATUS_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb019MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb021MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk022MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, "受領者", sqlMSR000C010.itmL_RECORD_RECIPIENT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb024MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk028MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_LENDAIM_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb029MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb031MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk032MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_LCT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb033MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk035MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_ISSUE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte036MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte038MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk039MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_EXPECTBACK_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte040MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte042MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk043MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_URGEDBACK_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte044MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte046MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk047MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_BACK_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte048MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte050MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk051MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_BORROWER_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb052MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk054MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, "借用者氏名", sqlMSR000C010.itmL_BORROWER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb056MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk058MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_BORROWER_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt059MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik060MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk061MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_TAKER_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb062MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk064MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, "帯出者氏名", sqlMSR000C010.itmL_TAKER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb066MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk068MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_TAKER_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt069MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik070MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk071MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_SLIP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk072MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("msk074MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk075MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, "貸出取扱者", sqlMSR000C010.itmL_LENDCLERK_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb077MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk079MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, "返却取扱者", sqlMSR000C010.itmL_BACKCLERK_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb081MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk083MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_REMARKS, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt084MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik085MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk086MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, Nothing, sqlMSR000C010.itmL_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte087MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte089MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
		})
	}

	'サマリ
	Private ReadOnly CONTROLS_002 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk091MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, Nothing, sqlMSR000C010.itmL_SUMMARY_RECEIPT_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte092MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte094MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk095MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, Nothing, sqlMSR000C010.itmL_SUMMARY_COUNT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num096MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num098MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk099MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, Nothing, sqlMSR000C010.itmL_SUMMARY_MNGSTATUS_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb100MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb102MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk103MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, Nothing, sqlMSR000C010.itmL_SUMMARY_KEEPLCT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb104MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb106MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk107MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, "作成者", sqlMSR000C010.itmL_SUMMARY_MAKER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb109MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk111MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM, Nothing, sqlMSR000C010.itmL_SUMMARY_APPROVAL_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte112MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte114MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk117MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_LENDAIM_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb118MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb120MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk121MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_LCT_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb122MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk124MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_ISSUE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte125MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte127MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk128MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_EXPECTBACK_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte129MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte131MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk132MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_URGEDBACK_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte133MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte135MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk136MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_BACK_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte137MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte139MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk140MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_BORROWER_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb141MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk143MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, "借用者氏名", sqlMSR000C010.itmL_BORROWER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb145MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk147MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_BORROWER_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt148MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik149MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk150MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_TAKER_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb151MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk153MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, "帯出者氏名", sqlMSR000C010.itmL_TAKER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb155MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk157MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_TAKER_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt158MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik159MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk160MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_SLIP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk161MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("msk163MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk164MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, "貸出取扱者", sqlMSR000C010.itmL_LENDCLERK_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb166MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk168MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, "返却取扱者", sqlMSR000C010.itmL_BACKCLERK_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb170MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk172MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_REMARKS, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt173MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik174MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk175MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM, Nothing, sqlMSR000C010.itmL_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte176MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte178MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
		})
	}

	'監査
	Private ReadOnly CONTROLS_003 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk180MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_FINISHING_FLG, clsMSRSearch.CST_FNC_NORMAL_INSPECT, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb181MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk182MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT1_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte183MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte185MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk186MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT2_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte187MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte189MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk190MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT3_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte191MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte193MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk194MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, "監査人", sqlMSR000C010.itmI_AUDITOR_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb196MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk198MSR010C080", Nothing, "※監査１", Nothing, clsMSRSearch.CST_FNC_INS_CND, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb199MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk202MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_1, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb199MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb203MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk204MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_2, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb199MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb205MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk206MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_3, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb199MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb207MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk208MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, "医師", sqlMSR000C010.itmI_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb199MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb210MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk212MSR010C080", Nothing, "※監査２", Nothing, clsMSRSearch.CST_FNC_INS_CND, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb213MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk216MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_1, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb213MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb217MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk218MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_2, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb213MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb219MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk220MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_3, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb213MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb221MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk222MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, "医師", sqlMSR000C010.itmI_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb213MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb224MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk226MSR010C080", Nothing, "※監査３", Nothing, clsMSRSearch.CST_FNC_INS_CND, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb227MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk230MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_1, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb227MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb231MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk232MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_2, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb227MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb233MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk234MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_3, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb227MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb235MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk236MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, "医師", sqlMSR000C010.itmI_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb227MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb238MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk240MSR010C080", Nothing, "※監査４", Nothing, clsMSRSearch.CST_FNC_INS_CND, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb241MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk244MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_1, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb241MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb245MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk246MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_2, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb241MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb247MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk248MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_3, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb241MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb249MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk250MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, "医師", sqlMSR000C010.itmI_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb241MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb252MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk254MSR010C080", Nothing, "※監査５", Nothing, clsMSRSearch.CST_FNC_INS_CND, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb255MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk258MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_1, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb255MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb259MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk260MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_2, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb255MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb261MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk262MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, Nothing, sqlMSR000C010.itmI_INSPECT_3, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb255MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb263MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk264MSR010C080", clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT, "医師", sqlMSR000C010.itmI_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL_NO_ITEM, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb255MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cITEM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb266MSR010C080", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
		})
	}

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。


		'タブページを設定
		Me.setTabName(Me.tpg001MSR010C080, clsConst.Enum_Lenditem.MedicalRecord,
					  Me.tpg090MSR010C080, clsConst.Enum_Lenditem.Summary)
	End Sub

#End Region


#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' コントロールロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/99 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010C080_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode = True Then Exit Sub
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "MSR010C080_Load", "コントロールロード START")
		Try

			'検索コントロールリストの追加
			Me.setSearchList(Me.CONTROLS_001)
			Me.setSearchList(Me.CONTROLS_002)
			Me.setSearchList(Me.CONTROLS_003)

			'コンボボックスの設定
			Dim cliCmb As clsComboCom = New clsComboCom
			Dim dt As DataTable
			Try
				dt = clsConst.getNotMatch															'NOT
				Me.cmb013MSR010C080.DataSource = dt.Copy
				Me.cmb017MSR010C080.DataSource = dt.Copy
				Me.cmb021MSR010C080.DataSource = dt.Copy
				Me.cmb031MSR010C080.DataSource = dt.Copy
				Me.cmb102MSR010C080.DataSource = dt.Copy
				Me.cmb106MSR010C080.DataSource = dt.Copy
				Me.cmb120MSR010C080.DataSource = dt.Copy
				dt.Dispose() : dt = Nothing

				dt = clsConst.getExist																'×/○
				Me.cmb203MSR010C080.DataSource = dt.Copy
				Me.cmb205MSR010C080.DataSource = dt.Copy
				Me.cmb207MSR010C080.DataSource = dt.Copy
				Me.cmb217MSR010C080.DataSource = dt.Copy
				Me.cmb219MSR010C080.DataSource = dt.Copy
				Me.cmb221MSR010C080.DataSource = dt.Copy
				Me.cmb231MSR010C080.DataSource = dt.Copy
				Me.cmb233MSR010C080.DataSource = dt.Copy
				Me.cmb235MSR010C080.DataSource = dt.Copy
				Me.cmb245MSR010C080.DataSource = dt.Copy
				Me.cmb247MSR010C080.DataSource = dt.Copy
				Me.cmb249MSR010C080.DataSource = dt.Copy
				Me.cmb259MSR010C080.DataSource = dt.Copy
				Me.cmb261MSR010C080.DataSource = dt.Copy
				Me.cmb263MSR010C080.DataSource = dt.Copy
				dt.Dispose() : dt = Nothing

				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_1)	'診療録管理状況
					Me.cmb011MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_1)	'診療録保管場所
					Me.cmb015MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemArgStatus_1)	'診療録整理状況
					Me.cmb019MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Staff)				'職員
					Me.cmb024MSR010C080.DataSource = dt.Copy
					Me.cmb056MSR010C080.DataSource = dt.Copy
					Me.cmb066MSR010C080.DataSource = dt.Copy
					Me.cmb077MSR010C080.DataSource = dt.Copy
					Me.cmb081MSR010C080.DataSource = dt.Copy
					Me.cmb109MSR010C080.DataSource = dt.Copy
					Me.cmb145MSR010C080.DataSource = dt.Copy
					Me.cmb155MSR010C080.DataSource = dt.Copy
					Me.cmb166MSR010C080.DataSource = dt.Copy
					Me.cmb170MSR010C080.DataSource = dt.Copy
					Me.cmb196MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXOpk)			'医師
					Me.cmb210MSR010C080.DataSource = dt.Copy
					Me.cmb224MSR010C080.DataSource = dt.Copy
					Me.cmb238MSR010C080.DataSource = dt.Copy
					Me.cmb252MSR010C080.DataSource = dt.Copy
					Me.cmb266MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendAim)				'貸出目的
					Me.cmb029MSR010C080.DataSource = dt.Copy
					Me.cmb118MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemLct)			'所在場所
					Me.cmb033MSR010C080.DataSource = dt.Copy
					Me.cmb122MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffDiv_Dsp)		'職員部門
					Me.cmb052MSR010C080.DataSource = dt.Copy
					Me.cmb062MSR010C080.DataSource = dt.Copy
					Me.cmb141MSR010C080.DataSource = dt.Copy
					Me.cmb151MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_2)	'サマリ管理状況
					Me.cmb100MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_2)	'サマリ保管場所
					Me.cmb104MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = Me.getStateAudit															'監査状態
					Me.cmb181MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Inspect)				'監査
					Me.cmb199MSR010C080.DataSource = dt.Copy
					Me.cmb213MSR010C080.DataSource = dt.Copy
					Me.cmb227MSR010C080.DataSource = dt.Copy
					Me.cmb241MSR010C080.DataSource = dt.Copy
					Me.cmb255MSR010C080.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

				End Using
			Finally
				cliCmb = Nothing
				dt = Nothing
			End Try

			'コントロール初期化
			Me.setControl(Me, ENUM_SET_CONTROL.ENUM_LOAD)

			'フォーカス設定
			Me.setFocus()

		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	 ''' <summary>
	 ''' 職員ボタンクリック
	 ''' </summary>
	 ''' <param name="sender"></param>
	 ''' <param name="e"></param>
	 ''' <remarks>
	 ''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	 ''' </remarks>
	 ''' ---------------------------------------------
	Private Sub btnStaff_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
			btn023MSR010C080.Click, btn055MSR010C080.Click, btn065MSR010C080.Click, btn076MSR010C080.Click, btn080MSR010C080.Click, _
			btn108MSR010C080.Click, btn144MSR010C080.Click, btn154MSR010C080.Click, btn165MSR010C080.Click, btn169MSR010C080.Click, _
			btn195MSR010C080.Click, btn209MSR010C080.Click, btn223MSR010C080.Click, btn237MSR010C080.Click, btn251MSR010C080.Click, _
			btn265MSR010C080.Click
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "btnStaff_Click", "職員ボタンクリック START")
		Try
			Select Case sender.name
				Case Me.btn023MSR010C080.Name : Me.StaffFormProc(Me.cmb024MSR010C080)
				Case Me.btn055MSR010C080.Name : Me.StaffFormProc(Me.cmb056MSR010C080)
				Case Me.btn065MSR010C080.Name : Me.StaffFormProc(Me.cmb066MSR010C080)
				Case Me.btn076MSR010C080.Name : Me.StaffFormProc(Me.cmb077MSR010C080)
				Case Me.btn080MSR010C080.Name : Me.StaffFormProc(Me.cmb081MSR010C080)
				Case Me.btn108MSR010C080.Name : Me.StaffFormProc(Me.cmb109MSR010C080)
				Case Me.btn144MSR010C080.Name : Me.StaffFormProc(Me.cmb145MSR010C080)
				Case Me.btn154MSR010C080.Name : Me.StaffFormProc(Me.cmb155MSR010C080)
				Case Me.btn165MSR010C080.Name : Me.StaffFormProc(Me.cmb166MSR010C080)
				Case Me.btn169MSR010C080.Name : Me.StaffFormProc(Me.cmb170MSR010C080)
				Case Me.btn195MSR010C080.Name : Me.StaffFormProc(Me.cmb196MSR010C080)
				Case Me.btn209MSR010C080.Name : Me.StaffFormProc(Me.cmb210MSR010C080)
				Case Me.btn223MSR010C080.Name : Me.StaffFormProc(Me.cmb224MSR010C080)
				Case Me.btn237MSR010C080.Name : Me.StaffFormProc(Me.cmb238MSR010C080)
				Case Me.btn251MSR010C080.Name : Me.StaffFormProc(Me.cmb252MSR010C080)
				Case Me.btn265MSR010C080.Name : Me.StaffFormProc(Me.cmb266MSR010C080)
			End Select
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 監査状態テーブルの作成
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getStateAudit() As DataTable
		Dim dt As DataTable
		Dim row As DataRow
		Try
			dt = New DataTable
			With dt
				'列定義
				.Columns.Add("CD")
				.Columns.Add("RM")
				.Columns.Add("NM")

				row = .NewRow
				row.Item(0) = -1
				row.Item(1) = "済"
				row.Item(2) = "監査完了チェック済"
				.Rows.Add(row)

				row = .NewRow
				row.Item(0) = 0
				row.Item(1) = "中"
				row.Item(2) = "監査中で監査完了チェックなし"
				.Rows.Add(row)

				row = .NewRow
				row.Item(0) = 9
				row.Item(1) = "未"
				row.Item(2) = "未監査"
				.Rows.Add(row)
			End With
			Return dt
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try

	End Function

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' フォーカス設定
	''' </summary>
	''' <remarks>
	''' 2010/11/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setFocus()
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setFocus", "フォーカス設定 START")
		Try
			Me.tab001MSR000C020.SelectedTab = Me.tpg001MSR010C080
			Me.chk002MSR010C080.Select()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class