﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 補足項目１情報一覧
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR100F010

#Region "コンストラクタ"
	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pSearchNo As Integer)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		'ＩＮ項目取得
		Me.pSearchNo = pSearchNo		'検索番号

		'一覧を継承元変数へセット
		Me.dgvList = Me.dgv001MSR100F010
	End Sub

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 出力ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn006MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn006MSR000F020_Click", "出力ボタンクリック START")
		Dim frmMSR000F020 As MSR100F020
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				frmMSR000F020 = New MSR100F020(Me.dgvList)
				Me.nextForm(frmMSR000F020)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMSR000F020 = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 更新ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn007MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn007MSR000F020_Click", "更新ボタンクリック START")
		Dim frmMSR100F030 As MSR100F030
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				frmMSR100F030 = New MSR100F030(Me.dgvList)
				Me.nextForm(frmMSR100F030)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMSR100F030 = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 一覧タイトル・ツールチップの設定
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Sub setListHeader()
		log(clsSysMst.logLevel.DBG, "setListHeader", "一覧ヘッダ項目の変更 START")
		Try
			'病歴番号を変更
			Me.setListHeader(Me.c20001MSR100F010.Name, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001))

			'TM_補足項目１項目マスタより項目を設定
			Dim col As New Hashtable
			Try
				'キー項目を配列化  項目コード => カラム名 
				col.Add("001", Me.c31001MSR100F010.Name)
				col.Add("002", Me.c32001MSR100F010.Name)
				col.Add("003", Me.c33001MSR100F010.Name)
				col.Add("004", Me.c34001MSR100F010.Name)
				col.Add("005", Me.c35001MSR100F010.Name)
				col.Add("006", Me.c36001MSR100F010.Name)
				col.Add("007", Me.c37001MSR100F010.Name)
				col.Add("008", Me.c38001MSR100F010.Name)
				col.Add("009", Me.c39001MSR100F010.Name)
				col.Add("010", Me.c40001MSR100F010.Name)
				col.Add("011", Me.c41001MSR100F010.Name)
				col.Add("012", Me.c42001MSR100F010.Name)
				col.Add("013", Me.c43001MSR100F010.Name)
				col.Add("014", Me.c44001MSR100F010.Name)
				col.Add("015", Me.c45001MSR100F010.Name)
				col.Add("016", Me.c46001MSR100F010.Name)
				col.Add("017", Me.c47001MSR100F010.Name)
				col.Add("018", Me.c48001MSR100F010.Name)
				col.Add("019", Me.c49001MSR100F010.Name)
				col.Add("020", Me.c50001MSR100F010.Name)
				col.Add("021", Me.c51001MSR100F010.Name)
				col.Add("022", Me.c52001MSR100F010.Name)
				col.Add("023", Me.c53001MSR100F010.Name)
				col.Add("024", Me.c54001MSR100F010.Name)
				col.Add("025", Me.c55001MSR100F010.Name)
				col.Add("026", Me.c56001MSR100F010.Name)
				col.Add("027", Me.c57001MSR100F010.Name)
				col.Add("028", Me.c58001MSR100F010.Name)
				col.Add("029", Me.c59001MSR100F010.Name)
				col.Add("030", Me.c60001MSR100F010.Name)
				col.Add("031", Me.c61001MSR100F010.Name)
				col.Add("032", Me.c62001MSR100F010.Name)
				col.Add("033", Me.c63001MSR100F010.Name)
				col.Add("034", Me.c64001MSR100F010.Name)
				col.Add("035", Me.c65001MSR100F010.Name)
				col.Add("036", Me.c66001MSR100F010.Name)
				col.Add("037", Me.c67001MSR100F010.Name)
				col.Add("038", Me.c68001MSR100F010.Name)
				col.Add("039", Me.c69001MSR100F010.Name)
				col.Add("040", Me.c70001MSR100F010.Name)
				col.Add("041", Me.c71001MSR100F010.Name)
				col.Add("042", Me.c72001MSR100F010.Name)
				col.Add("043", Me.c73001MSR100F010.Name)
				col.Add("044", Me.c74001MSR100F010.Name)
				col.Add("045", Me.c75001MSR100F010.Name)
				col.Add("046", Me.c76001MSR100F010.Name)
				col.Add("047", Me.c77001MSR100F010.Name)
				col.Add("048", Me.c78001MSR100F010.Name)
				col.Add("049", Me.c79001MSR100F010.Name)
				col.Add("050", Me.c80001MSR100F010.Name)
				col.Add("051", Me.c81001MSR100F010.Name)
				col.Add("052", Me.c82001MSR100F010.Name)
				col.Add("053", Me.c83001MSR100F010.Name)
				col.Add("054", Me.c84001MSR100F010.Name)
				col.Add("055", Me.c85001MSR100F010.Name)
				col.Add("056", Me.c86001MSR100F010.Name)
				col.Add("057", Me.c87001MSR100F010.Name)
				col.Add("058", Me.c88001MSR100F010.Name)
				col.Add("059", Me.c89001MSR100F010.Name)
				col.Add("060", Me.c90001MSR100F010.Name)
				col.Add("061", Me.c91001MSR100F010.Name)
				col.Add("062", Me.c92001MSR100F010.Name)
				col.Add("063", Me.c93001MSR100F010.Name)
				col.Add("064", Me.c94001MSR100F010.Name)
				col.Add("065", Me.c95001MSR100F010.Name)
				col.Add("066", Me.c96001MSR100F010.Name)
				col.Add("067", Me.c97001MSR100F010.Name)
				col.Add("068", Me.c98001MSR100F010.Name)
				col.Add("069", Me.c99001MSR100F010.Name)
				col.Add("070", Me.ca0001MSR100F010.Name)
				col.Add("071", Me.ca1001MSR100F010.Name)
				col.Add("072", Me.ca2001MSR100F010.Name)
				col.Add("073", Me.ca3001MSR100F010.Name)
				col.Add("074", Me.ca4001MSR100F010.Name)
				col.Add("075", Me.ca5001MSR100F010.Name)
				col.Add("076", Me.ca6001MSR100F010.Name)
				col.Add("077", Me.ca7001MSR100F010.Name)
				col.Add("078", Me.ca8001MSR100F010.Name)
				col.Add("079", Me.ca9001MSR100F010.Name)
				col.Add("080", Me.cb0001MSR100F010.Name)
				col.Add("081", Me.cb1001MSR100F010.Name)
				col.Add("082", Me.cb2001MSR100F010.Name)
				col.Add("083", Me.cb3001MSR100F010.Name)
				col.Add("084", Me.cb4001MSR100F010.Name)
				col.Add("085", Me.cb5001MSR100F010.Name)
				col.Add("086", Me.cb6001MSR100F010.Name)
				col.Add("087", Me.cb7001MSR100F010.Name)
				col.Add("088", Me.cb8001MSR100F010.Name)
				col.Add("089", Me.cb9001MSR100F010.Name)
				col.Add("090", Me.cc0001MSR100F010.Name)
				col.Add("091", Me.cc1001MSR100F010.Name)
				col.Add("092", Me.cc2001MSR100F010.Name)
				col.Add("093", Me.cc3001MSR100F010.Name)
				col.Add("094", Me.cc4001MSR100F010.Name)
				col.Add("095", Me.cc5001MSR100F010.Name)
				col.Add("096", Me.cc6001MSR100F010.Name)
				col.Add("097", Me.cc7001MSR100F010.Name)
				col.Add("098", Me.cc8001MSR100F010.Name)
				col.Add("099", Me.cc9001MSR100F010.Name)
				col.Add("100", Me.cd0001MSR100F010.Name)
				col.Add("101", Me.cd1001MSR100F010.Name)
				col.Add("102", Me.cd2001MSR100F010.Name)
				col.Add("103", Me.cd3001MSR100F010.Name)
				col.Add("104", Me.cd4001MSR100F010.Name)
				col.Add("105", Me.cd5001MSR100F010.Name)
				col.Add("106", Me.cd6001MSR100F010.Name)
				col.Add("107", Me.cd7001MSR100F010.Name)
				col.Add("108", Me.cd8001MSR100F010.Name)
				col.Add("109", Me.cd9001MSR100F010.Name)
				col.Add("110", Me.ce0001MSR100F010.Name)
				col.Add("111", Me.ce1001MSR100F010.Name)
				col.Add("112", Me.ce2001MSR100F010.Name)
				col.Add("113", Me.ce3001MSR100F010.Name)
				col.Add("114", Me.ce4001MSR100F010.Name)
				col.Add("115", Me.ce5001MSR100F010.Name)
				col.Add("116", Me.ce6001MSR100F010.Name)
				col.Add("117", Me.ce7001MSR100F010.Name)
				col.Add("118", Me.ce8001MSR100F010.Name)
				col.Add("119", Me.ce9001MSR100F010.Name)
				col.Add("120", Me.cf0001MSR100F010.Name)
				col.Add("121", Me.cf1001MSR100F010.Name)
				col.Add("122", Me.cf2001MSR100F010.Name)
				col.Add("123", Me.cf3001MSR100F010.Name)
				col.Add("124", Me.cf4001MSR100F010.Name)
				col.Add("125", Me.cf5001MSR100F010.Name)
				col.Add("126", Me.cf6001MSR100F010.Name)
				col.Add("127", Me.cf7001MSR100F010.Name)
				col.Add("128", Me.cf8001MSR100F010.Name)
				col.Add("129", Me.cf9001MSR100F010.Name)
				col.Add("130", Me.cg0001MSR100F010.Name)
				col.Add("131", Me.cg1001MSR100F010.Name)
				col.Add("132", Me.cg2001MSR100F010.Name)

				Me.setMst2ListHeader(col, sqlMSR100F010.sqlSel_Header_Mtm_Asst1_Itm)
			Catch ex As Exception
				Throw
			Finally
				col.Clear()
				col = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) STR V4-11048-000 030 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' ---------------------------------------------
	''' <summary>
	''' 表示項目選択で保存しない項目
	''' </summary>
	''' <remarks>
	''' 2011/10/15 2011/09/15 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function NonExecClm() As String()
		Try
			Dim retOv() As String = MyBase.NonExecClm			'共通の項目を取得
			Dim ret(retOv.Length + 1) As String					'共通の項目数＋個別の項目数で戻り値配列を作成
			Dim retIdx As Integer = 0							'戻り値配列のインデックス

			'選択・患者番号までを取得する
			For Each Str As String In MyBase.NonExecClm
				ret(retIdx) = Str
				retIdx += 1
			Next

			ret(retIdx) = Me.cg3001MSR100F010.Name					'カナ

			'正常
			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-11048-000 030 20110915
	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示件数の取得
	''' </summary>
	''' <returns>検索結果件数</returns>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Function getDataCnt() As Integer
		log(clsSysMst.logLevel.DBG, "getDataCnt", "一覧データ件数取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					db.setSQLDa(sqlMSR100F010.sqlSel_Cnt)
					Me.setSearchDbParam(db)
					db.execQueryDa(dt)
					If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
						Return dt.Rows(0).Item(sqlMSRCOMMON.itmCNT)
					End If
				End Using
			End Using
			Return 0
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 一覧データ取得処理
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getGridData() As DataTable
		log(clsSysMst.logLevel.DBG, "getGridData", "一覧データ取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					db.setSQLDa(sqlMSR100F010.sqlSel_List)
					Me.setSearchDbParam(db, True)
					db.execQueryDa(dt)
					Return dt
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class