﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 基本情報一覧(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR030F010

	''' <summary>
	''' 件数取得
	''' </summary>
	Public Const sqlSel_Cnt As String = _
	"SELECT COUNT(*) AS CNT" _
	& " FROM (" _
	& "SELECT DISTINCT PATIENT_NO" _
	& "  FROM MTT_SEARCH_RESULT" _
	& " WHERE USER_CD = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " ) AS s" _
	& " INNER JOIN XTI_BASICINFO AS b ON s.PATIENT_NO = b.PATIENT_NO"

	''' <summary>
	''' 一覧取得
	''' </summary>
	Public Const sqlSel_List As String = _
	  "SELECT " _
	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	& ",s.PATIENT_NO" _
	& ",b.PATIENT_KNM" _
	& ",b.PATIENT_NM" _
	& ",XTM_GENDER.GENDER_NM" _
	& ",CONVERT(VARCHAR,b.BIRTH_DT,111)       AS BIRTH_DT" _
	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	& ",(SELECT AREA_RNM " _
	& "  FROM MTM_AREA " _
	& " WHERE AREA_CD = " _
	& "( " _
	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	& "  ORDER BY" _
	& " HSP_HISTORY_NO DESC" _
	& ",CH_NO DESC" _
	& " )" _
	& ") AS NEW_AREA_RNM" _
	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	& ",d.DEATH_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	& " FROM (" _
	& "SELECT DISTINCT PATIENT_NO" _
	& "  FROM MTT_SEARCH_RESULT" _
	& " WHERE USER_CD = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " ) AS s" _
	& " INNER JOIN XTI_BASICINFO AS b ON s.PATIENT_NO = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& " ORDER BY" _
	& " s.PATIENT_NO"
End Class
