﻿Imports System.Runtime.InteropServices
'''---------------------------------------------
''' <summary>
''' ライセンス発行
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class TLC010F010

#Region "コンスタント"

	Private Shared ReadOnly CST_ACTIVE_BACK_COLOR As Color = Color.Fuchsia

#End Region

#Region "変数"

	Private cliCom As clsTLCCom = Nothing
	Private cliTLC010F010 As clsTLC010F010 = Nothing
	Private cliLicConfig As clsLicConfig = Nothing
	Private chkCtl() As CheckBox = Nothing
	Private chkCtl_PrdNo As Hashtable = Nothing
	Private chkCtl_ReqAct As Hashtable = Nothing

#End Region

#Region "Win32 API"

	<DllImport("USER32.DLL")> _
	Private Shared Function _
 GetSystemMenu(ByVal hWnd As IntPtr, ByVal bRevert As Integer) As IntPtr
	End Function

	<DllImport("USER32.DLL")> _
	Private Shared Function _
 RemoveMenu(ByVal hMenu As IntPtr, ByVal nPosition As Integer, ByVal wFlags As Integer) As Integer
	End Function

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub TLC010F010_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		Dim cliTLCBmp As clsTLCBmp = Nothing
		Try
			'「×」ボタンを無効化するための値
			Dim SC_CLOSE As Integer = &HF060
			Dim MF_BYCOMMAND As Integer = &H0
			' コントロールボックスの［閉じる］ボタンの無効化
			Dim hMenu As IntPtr = GetSystemMenu(Me.Handle, 0)
			RemoveMenu(hMenu, SC_CLOSE, MF_BYCOMMAND)

			'共通変数インスタンス生成
			cliTLCBmp = New clsTLCBmp
			Me.cliCom = New clsTLCCom
			Me.cliLicConfig = New clsLicConfig
			Me.cliTLC010F010 = New clsTLC010F010

			'チェックボックス情報生成
			Me.chkCtl = New CheckBox() {Me.chk014TLC010F010, _
			Me.chk019TLC010F010, Me.chk024TLC010F010, Me.chk029TLC010F010, Me.chk034TLC010F010, _
			Me.chk039TLC010F010, Me.chk044TLC010F010, Me.chk049TLC010F010, Me.chk054TLC010F010, _
			Me.chk059TLC010F010, Me.chk064TLC010F010, Me.chk069TLC010F010, Me.chk074TLC010F010, _
			Me.chk079TLC010F010, Me.chk084TLC010F010, Me.chk089TLC010F010, Me.chk094TLC010F010, _
			Me.chk099TLC010F010, Me.chk104TLC010F010, Me.chk109TLC010F010}

			'製品コントロールのセットを構成
			Me.cliTLC010F010.setCtl(Me.chk014TLC010F010, Me.num015TLC010F010, Me.msk016TLC010F010, Me.msk018TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk019TLC010F010, Me.num020TLC010F010, Me.msk021TLC010F010, Me.msk023TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk024TLC010F010, Me.num025TLC010F010, Me.msk026TLC010F010, Me.msk028TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk029TLC010F010, Me.num030TLC010F010, Me.msk031TLC010F010, Me.msk033TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk034TLC010F010, Me.num035TLC010F010, Me.msk036TLC010F010, Me.msk038TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk039TLC010F010, Me.num040TLC010F010, Me.msk041TLC010F010, Me.msk043TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk044TLC010F010, Me.num045TLC010F010, Me.msk046TLC010F010, Me.msk048TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk049TLC010F010, Me.num050TLC010F010, Me.msk051TLC010F010, Me.msk053TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk054TLC010F010, Me.num055TLC010F010, Me.msk056TLC010F010, Me.msk058TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk059TLC010F010, Me.num060TLC010F010, Me.msk061TLC010F010, Me.msk063TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk064TLC010F010, Me.num065TLC010F010, Me.msk066TLC010F010, Me.msk068TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk069TLC010F010, Me.num070TLC010F010, Me.msk071TLC010F010, Me.msk073TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk074TLC010F010, Me.num075TLC010F010, Me.msk076TLC010F010, Me.msk078TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk079TLC010F010, Me.num080TLC010F010, Me.msk081TLC010F010, Me.msk083TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk084TLC010F010, Me.num085TLC010F010, Me.msk086TLC010F010, Me.msk088TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk089TLC010F010, Me.num090TLC010F010, Me.msk091TLC010F010, Me.msk093TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk094TLC010F010, Me.num095TLC010F010, Me.msk096TLC010F010, Me.msk098TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk099TLC010F010, Me.num100TLC010F010, Me.msk101TLC010F010, Me.msk103TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk104TLC010F010, Me.num105TLC010F010, Me.msk106TLC010F010, Me.msk108TLC010F010)
			Me.cliTLC010F010.setCtl(Me.chk109TLC010F010, Me.num110TLC010F010, Me.msk111TLC010F010, Me.msk113TLC010F010)

			'製品番号を定義
			Me.chkCtl_PrdNo = New Hashtable
			Me.chkCtl_PrdNo.Add(Me.chk014TLC010F010.Name, 1)
			Me.chkCtl_PrdNo.Add(Me.chk019TLC010F010.Name, 2)
			Me.chkCtl_PrdNo.Add(Me.chk024TLC010F010.Name, 3)
			Me.chkCtl_PrdNo.Add(Me.chk029TLC010F010.Name, 4)
			Me.chkCtl_PrdNo.Add(Me.chk034TLC010F010.Name, 5)
			Me.chkCtl_PrdNo.Add(Me.chk039TLC010F010.Name, 6)
			Me.chkCtl_PrdNo.Add(Me.chk044TLC010F010.Name, 7)
			Me.chkCtl_PrdNo.Add(Me.chk049TLC010F010.Name, 8)
			Me.chkCtl_PrdNo.Add(Me.chk054TLC010F010.Name, 9)
			Me.chkCtl_PrdNo.Add(Me.chk059TLC010F010.Name, 10)
			Me.chkCtl_PrdNo.Add(Me.chk064TLC010F010.Name, 11)
			Me.chkCtl_PrdNo.Add(Me.chk069TLC010F010.Name, 12)
			Me.chkCtl_PrdNo.Add(Me.chk074TLC010F010.Name, 13)
			Me.chkCtl_PrdNo.Add(Me.chk079TLC010F010.Name, 14)
			Me.chkCtl_PrdNo.Add(Me.chk084TLC010F010.Name, 15)
			Me.chkCtl_PrdNo.Add(Me.chk089TLC010F010.Name, 16)
			Me.chkCtl_PrdNo.Add(Me.chk094TLC010F010.Name, 17)
			Me.chkCtl_PrdNo.Add(Me.chk099TLC010F010.Name, 18)
			Me.chkCtl_PrdNo.Add(Me.chk104TLC010F010.Name, 19)
			Me.chkCtl_PrdNo.Add(Me.chk109TLC010F010.Name, 20)

			'ライセンスフラグを定義
			Me.chkCtl_ReqAct = New Hashtable
			Me.chkCtl_ReqAct.Add(Me.chk014TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk019TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk024TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk029TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk034TLC010F010.Name, 0)
			Me.chkCtl_ReqAct.Add(Me.chk039TLC010F010.Name, 1)
'(M) STR V4-12031-000 006 2012/07/31 FWEST)H.Y DPC2012対応
'			Me.chkCtl_ReqAct.Add(Me.chk044TLC010F010.Name, 1)
'			Me.chkCtl_ReqAct.Add(Me.chk049TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk044TLC010F010.Name, 0)
			Me.chkCtl_ReqAct.Add(Me.chk049TLC010F010.Name, 0)
'(M) END V4-12031-000 006 2012/07/31 FWEST)H.Y DPC2012対応
			Me.chkCtl_ReqAct.Add(Me.chk054TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk059TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk064TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk069TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk074TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk079TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk084TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk089TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk094TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk099TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk104TLC010F010.Name, 1)
			Me.chkCtl_ReqAct.Add(Me.chk109TLC010F010.Name, 1)

			Me.btn010TLC010F010.Image = cliTLCBmp.getBmp(clsTLCBmp.Enum_BmpType.OpenFolder)
			Me.setTitle()

			'顧客名テキストにフォーカスを設定
			Me.txt007TLC010F010.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			cliTLCBmp = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームクロージング
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub TLC010F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Try

		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliTLC010F010 = Nothing
			cliLicConfig = Nothing
			chkCtl = Nothing
			chkCtl_PrdNo = Nothing
			chkCtl_ReqAct = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 作成(F7)ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004TLC010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004TLC010F010.Click
		Try
			Me.ExecCreate()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 終了(F12)ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005TLC010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005TLC010F010.Click
		Try
			Me.EndProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 出力先選択ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn010TLC010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn010TLC010F010.Click
		Try
			Me.cliCom.setFolderDialog(Me.txt009TLC010F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' マスクフォーカス取得
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles _
	 msk016TLC010F010.GotFocus, msk018TLC010F010.GotFocus, msk021TLC010F010.GotFocus, msk023TLC010F010.GotFocus, _
	 msk026TLC010F010.GotFocus, msk028TLC010F010.GotFocus, msk031TLC010F010.GotFocus, msk033TLC010F010.GotFocus, _
	 msk036TLC010F010.GotFocus, msk038TLC010F010.GotFocus, msk041TLC010F010.GotFocus, msk043TLC010F010.GotFocus, _
	 msk046TLC010F010.GotFocus, msk048TLC010F010.GotFocus, msk051TLC010F010.GotFocus, msk053TLC010F010.GotFocus, _
	 msk056TLC010F010.GotFocus, msk058TLC010F010.GotFocus, msk061TLC010F010.GotFocus, msk063TLC010F010.GotFocus, _
	 msk066TLC010F010.GotFocus, msk068TLC010F010.GotFocus, msk071TLC010F010.GotFocus, msk073TLC010F010.GotFocus, _
	 msk076TLC010F010.GotFocus, msk078TLC010F010.GotFocus, msk081TLC010F010.GotFocus, msk083TLC010F010.GotFocus, _
	 msk086TLC010F010.GotFocus, msk088TLC010F010.GotFocus, msk091TLC010F010.GotFocus, msk093TLC010F010.GotFocus, _
	 msk096TLC010F010.GotFocus, msk098TLC010F010.GotFocus, msk101TLC010F010.GotFocus, msk103TLC010F010.GotFocus, _
	 msk106TLC010F010.GotFocus, msk108TLC010F010.GotFocus, msk111TLC010F010.GotFocus, msk113TLC010F010.GotFocus
		Try
			Me.setControlGetFocus(CType(sender, Control))
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' マスクフォーカス解放
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk_LostFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles _
	 msk016TLC010F010.LostFocus, msk018TLC010F010.LostFocus, msk021TLC010F010.LostFocus, msk023TLC010F010.LostFocus, _
	 msk026TLC010F010.LostFocus, msk028TLC010F010.LostFocus, msk031TLC010F010.LostFocus, msk033TLC010F010.LostFocus, _
	 msk036TLC010F010.LostFocus, msk038TLC010F010.LostFocus, msk041TLC010F010.LostFocus, msk043TLC010F010.LostFocus, _
	 msk046TLC010F010.LostFocus, msk048TLC010F010.LostFocus, msk051TLC010F010.LostFocus, msk053TLC010F010.LostFocus, _
	 msk056TLC010F010.LostFocus, msk058TLC010F010.LostFocus, msk061TLC010F010.LostFocus, msk063TLC010F010.LostFocus, _
	 msk066TLC010F010.LostFocus, msk068TLC010F010.LostFocus, msk071TLC010F010.LostFocus, msk073TLC010F010.LostFocus, _
	 msk076TLC010F010.LostFocus, msk078TLC010F010.LostFocus, msk081TLC010F010.LostFocus, msk083TLC010F010.LostFocus, _
	 msk086TLC010F010.LostFocus, msk088TLC010F010.LostFocus, msk091TLC010F010.LostFocus, msk093TLC010F010.LostFocus, _
	 msk096TLC010F010.LostFocus, msk098TLC010F010.LostFocus, msk101TLC010F010.LostFocus, msk103TLC010F010.LostFocus, _
	 msk106TLC010F010.LostFocus, msk108TLC010F010.LostFocus, msk111TLC010F010.LostFocus, msk113TLC010F010.LostFocus
		Try
			Me.setControlLostFocus(CType(sender, Control))
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 台数フォーカス取得
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub num_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles num015TLC010F010.GotFocus, _
	num020TLC010F010.GotFocus, num025TLC010F010.GotFocus, num030TLC010F010.GotFocus, _
	num035TLC010F010.GotFocus, num040TLC010F010.GotFocus, num045TLC010F010.GotFocus, _
	num050TLC010F010.GotFocus, num055TLC010F010.GotFocus, num060TLC010F010.GotFocus, _
	num065TLC010F010.GotFocus, num070TLC010F010.GotFocus, num075TLC010F010.GotFocus, _
	num080TLC010F010.GotFocus, num085TLC010F010.GotFocus, num090TLC010F010.GotFocus, _
	num095TLC010F010.GotFocus, num100TLC010F010.GotFocus, num105TLC010F010.GotFocus, num110TLC010F010.GotFocus
		Try
			Me.setControlGetFocus(CType(sender, Control))
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 台数フォーカス解放
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub num_LostFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles num015TLC010F010.LostFocus, _
	num020TLC010F010.LostFocus, num025TLC010F010.LostFocus, num030TLC010F010.LostFocus, _
	num035TLC010F010.LostFocus, num040TLC010F010.LostFocus, num045TLC010F010.LostFocus, _
	num050TLC010F010.LostFocus, num055TLC010F010.LostFocus, num060TLC010F010.LostFocus, _
	num065TLC010F010.LostFocus, num070TLC010F010.LostFocus, num075TLC010F010.LostFocus, _
	num080TLC010F010.LostFocus, num085TLC010F010.LostFocus, num090TLC010F010.LostFocus, _
	num095TLC010F010.LostFocus, num100TLC010F010.LostFocus, num105TLC010F010.LostFocus, num110TLC010F010.LostFocus
		Try
			Me.setControlLostFocus(CType(sender, Control))
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' テキストフォーカス取得
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/></remarks>
	''' ---------------------------------------------
	Private Sub txt_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txt007TLC010F010.GotFocus, _
	txt009TLC010F010.GotFocus
		Try
			Me.setControlGetFocus(CType(sender, Control))
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' テキストフォーカス解放
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/></remarks>
	''' ---------------------------------------------
	Private Sub txt_LostFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txt007TLC010F010.LostFocus, _
	txt009TLC010F010.LostFocus
		Try
			Me.setControlLostFocus(CType(sender, Control))
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックスチェンジ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles chk014TLC010F010.CheckedChanged, _
	  chk019TLC010F010.CheckedChanged, chk024TLC010F010.CheckedChanged, chk029TLC010F010.CheckedChanged, chk034TLC010F010.CheckedChanged, _
	  chk039TLC010F010.CheckedChanged, chk044TLC010F010.CheckedChanged, chk049TLC010F010.CheckedChanged, chk054TLC010F010.CheckedChanged, _
	  chk059TLC010F010.CheckedChanged, chk064TLC010F010.CheckedChanged, chk069TLC010F010.CheckedChanged, chk074TLC010F010.CheckedChanged, _
	  chk079TLC010F010.CheckedChanged, chk084TLC010F010.CheckedChanged, chk089TLC010F010.CheckedChanged, chk094TLC010F010.CheckedChanged, _
	  chk099TLC010F010.CheckedChanged, chk104TLC010F010.CheckedChanged, chk109TLC010F010.CheckedChanged
		Try
			Me.setCheckBoxLink(CType(sender, CheckBox))
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' タイトルの設定
	''' </summary>
	''' <remarks>
	''' 2010/11/25 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setTitle()
		Try
			Me.lbl002TLC010F010.Text = Me.Text
			Me.lbl002TLC010F010.Invalidate()
			Me.pct003TLC010F010.Height = Me.lbl002TLC010F010.Height
			Me.pct003TLC010F010.Width = Me.lbl002TLC010F010.Width
			Me.pct003TLC010F010.Location = New Point(Me.lbl002TLC010F010.Location.X + 3, Me.lbl002TLC010F010.Location.Y + 3)
			Me.pct003TLC010F010.Invalidate()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コントロールがフォーカスを得た時
	''' </summary>
	''' <param name="ctl">コントロール</param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlGetFocus(ByVal ctl As Control)
		Try
			'ctl.BackColor = CST_ACTIVE_BACK_COLOR
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コントロールのフォーカスが離れた時
	''' </summary>
	''' <param name="ctl">コントロール</param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlLostFocus(ByVal ctl As Control)
		Try
			'ctl.BackColor = Nothing
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックスのリンク設定
	''' </summary>
	''' <param name="chk"></param>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCheckBoxLink(ByVal chk As CheckBox)
		Try
			Me.cliTLC010F010.setEnabled(chk)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 共通例外エラー処理
	''' </summary>
	''' <param name="pEx">Exception</param>
	''' <remarks>
	''' 2010/02/15 修正　　　FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub ErrorProc(ByVal pEx As Exception)
		Dim strWork1 As String = ""		'ログ出力専用変数
		Dim strwork2 As String = ""		'ログ出力専用変数２
		Dim strError As String = ""		'エラー判別専用変数
		Try
			Select Case True
				Case TypeOf pEx Is SqlClient.SqlException
					'Sqlエラー処理
					With CType(pEx, SqlClient.SqlException)

						If .InnerException IsNot Nothing Then									'Sqlエラー詳細メッセージ
							strWork1 = .Message + vbCrLf + vbCrLf + .InnerException.Message
						Else
							strWork1 = .Message
						End If

						strError = "SqlException"												'Sqlエラー概要
					End With

				Case Else
					'例外処理
					strWork1 = pEx.Message		'Sqlエラー詳細メッセージ
					strError = "Exception"		'Sqlエラー概要
			End Select

			'詳細メッセージを出力する
			MsgBox("[" & strError & "]" & vbCrLf & strWork1, MsgBoxStyle.OkOnly, "エラー")
		Catch ex As Exception
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub EndProc()
		Try
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 作成処理
	''' </summary>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub ExecCreate()
		Dim msg As String = ""
		Dim putflg As Boolean = False
		Try
			If Me.ChkData() Then
				msg &= "下記の通りライセンスファイルを作成しました。" & vbCrLf & vbCrLf
				msg &= Space(2) & "出力先：" & Me.txt009TLC010F010.Text & vbCrLf
				msg &= Space(2) & "出力ファイル" & vbCrLf

				'入力チェックOK
				For Each chk As CheckBox In Me.chkCtl
					If chk.Checked Then
						msg &= Space(4) & "BT4License" & Me.chkCtl_PrdNo(chk.Name).ToString & ".XML（" & chk.Text & "）" & vbCrLf
						Me.putConfig(chk)
						'一度OKなら出力フラグをたてる
						putflg = True
					End If
				Next

				If putflg Then
					MsgBox(msg, vbOKOnly, "完了メッセージ")
					Me.btn005TLC010F010.Focus()
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Configデータ設定
	''' </summary>
	''' <param name="chk">対象チェックボックス</param>
	''' <remarks>
	''' 2010/12/02 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub putConfig(ByVal chk As CheckBox)
		Dim retConfig As datLicConfContents = Nothing
		Dim retLicConf As datLicConf = Nothing
		Try
			'インスタンス生成
			retConfig = New datLicConfContents
			retLicConf = New datLicConf

			With retConfig
				.END_DT = String.Empty
				.HSP_NM = Me.txt007TLC010F010.Text
				.LIC_NUM = Me.cliTLC010F010.getCnt(chk)
				.STR_DT = String.Empty
				.REQ_ACT = Me.chkCtl_ReqAct(chk.Name).ToString
				.HASH_CD = clsLicense.getHash(Me.chkCtl_PrdNo(chk.Name).ToString, Me.chkCtl_ReqAct(chk.Name).ToString, _
				   .LIC_NUM, String.Empty, String.Empty)
			End With
			retLicConf.CONF = retConfig
			retLicConf.PRDNO = Me.chkCtl_PrdNo(chk.Name).ToString

			cliLicConfig.putConfig(Me.txt009TLC010F010.Text, retLicConf)
		Catch ex As Exception
			Throw
		Finally
			retConfig = Nothing
			retLicConf = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <remarks>
	''' 2010/08/27 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ChkData() As Boolean
		Dim msg As String = ""
		Dim bln As Boolean = False
		Try
			If String.IsNullOrEmpty(Me.txt007TLC010F010.Text) Then
				MsgBox("顧客名を入力してください", MsgBoxStyle.OkOnly, "エラー")
				Return False
			End If

			If String.IsNullOrEmpty(Me.txt009TLC010F010.Text) Then
				MsgBox("出力先を入力してください", MsgBoxStyle.OkOnly, "エラー")
				Return False
			End If

			If Not FileIO.FileSystem.DirectoryExists(Me.txt009TLC010F010.Text) Then
				MsgBox("出力先が存在しません", MsgBoxStyle.OkOnly, "エラー")
				Return False
			End If

			msg &= "下記に記す製品のライセンスファイルを作成します。よろしいですか？" & vbCrLf & vbCrLf
			For Each chk As CheckBox In chkCtl
				If chk.Checked Then
					msg &= Space(2) & chk.Text & vbCrLf
					bln = True
				End If
			Next

			If Not bln Then
				MsgBox("出力製品が選択されていません。", MsgBoxStyle.OkOnly, "エラー")
				Return False
			End If
			If MsgBox(msg, MsgBoxStyle.OkCancel, "確認") = MsgBoxResult.Cancel Then
				Return False
			End If

			'正常
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "キー押下処理関連"

	Private Const WM_KEYDOWN As Integer = &H100		'KeyDownメッセージ
	Private Const WM_SYSKEYDOWN As Integer = &H104

	'''---------------------------------------------
	''' <summary>
	''' コマンドキー処理　Enterタブ移動処理（Shift+EnterはBackタブ）
	''' </summary>
	''' <param name="msg"></param>
	''' <param name="KeyData"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Function ProcessCmdKey(ByRef msg As Message, ByVal KeyData As Keys) As Boolean
		Try
			If msg.Msg = WM_KEYDOWN OrElse msg.Msg = WM_SYSKEYDOWN Then	'KEYDOWN時
				Dim key As Keys = KeyData And Keys.KeyCode
				Select Case True
					Case KeyData.Equals(Keys.F1)
						Return F1KeyProc()
					Case KeyData.Equals(Keys.F2)
						Return F2KeyProc()
					Case KeyData.Equals(Keys.F3)
						Return F3KeyProc()
					Case KeyData.Equals(Keys.Alt Or Keys.F4)
						Return AltF4KeyProc()
					Case KeyData.Equals(Keys.F4)
						Return F4KeyProc()
					Case KeyData.Equals(Keys.F5)
						Return F5KeyProc()
					Case KeyData.Equals(Keys.F6)
						Return F6KeyProc()
					Case KeyData.Equals(Keys.F7)
						Return F7KeyProc()
					Case KeyData.Equals(Keys.F8)
						Return F8KeyProc()
					Case KeyData.Equals(Keys.F9)
						Return F9KeyProc()
					Case KeyData.Equals(Keys.F10)
						Return F10KeyProc()
					Case KeyData.Equals(Keys.F11)
						Return F11KeyProc()
					Case KeyData.Equals(Keys.F12)
						Return F12KeyProc()
					Case KeyData.Equals(Keys.F12 Or Keys.Shift)
						Return ShiftF12KeyProc()
					Case KeyData.Equals(Keys.Enter)
						Return EnterProc()
					Case KeyData.Equals(Keys.Enter Or Keys.Shift)
						Return ShiftEnterProc()
				End Select
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
		Return MyBase.ProcessCmdKey(msg, KeyData)

	End Function

	'''---------------------------------------------
	''' <summary>
	''' F1Key押下時のオーバーライド用職員画面表示処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2009/12/22 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function StaffFormProc() As Boolean
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Alt+F4処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function AltF4KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F1処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F1KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F2処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F2KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F3処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F3KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F4処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F4KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F5処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F5KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F6処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F6KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F7処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F7KeyProc() As Boolean
		Try
			Me.ExecCreate()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F8処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F8KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F9処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F9KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F10処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F10KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F11処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F11KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F12処理
	''' </summary>
	''' <remarks>
	''' 2009/11/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function F12KeyProc() As Boolean
		Try
			EndProc()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F12処理
	''' </summary>
	''' <remarks>
	''' 2010/03/15 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ShiftF12KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Enter処理
	''' </summary>
	''' <remarks>
	''' 2009/12/09 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function EnterProc() As Boolean
		Try
			' 次のコントロールへフォーカス移動
			Me.SelectNextControl(Me.ActiveControl, True, True, True, True)
			'Return False
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Shift+Enter処理
	''' </summary>
	''' <remarks>
	''' 2009/12/09 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ShiftEnterProc() As Boolean
		Try
			' 前のコントロールへフォーカス移動
			Me.SelectNextControl(Me.ActiveControl, False, True, True, True)
			'Return False
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
