Imports System
Imports System.Security.Cryptography
Imports System.Text

'''---------------------------------------------
''' <summary>
''' CZXNX
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public NotInheritable Class clsLicense

#Region "RX^g"

	Private Const CST_PASSWORD_CHAR As String = "@"

#End Region

#Region "\bh"

	'''---------------------------------------------
	''' <summary>
	''' CZXL[쐬
	''' </summary>
	''' <param name="prdno">iꍆ</param>
	''' <param name="req_activation">CZXtO</param>
	''' <param name="lic_num">CZX</param>
	''' <param name="prd_start_dt">CZXJn</param>
	''' <param name="prd_end_dt">CZXI</param>
	''' <returns>CZXL[</returns>
	''' <remarks>
	''' 2010/10/19 VK쐬 FJSK)r<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Shared Function getHash(ByVal prdno As String, ByVal req_activation As Integer, ByVal lic_num As Integer, ByVal prd_start_dt As String, ByVal prd_end_dt As String) As String
		Try
			Return clsTLCCom.getSha1Hash(clsTLCCom.getSha1Hash(CST_PASSWORD_CHAR) & prdno & req_activation & lic_num & prd_start_dt & prd_end_dt)
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' CZXL[`FbN
	''' </summary>
	''' <param name="hashcd">`FbNΏ</param>
	''' <param name="prdno">iꍆ</param>
	''' <param name="req_activation">CZXtO</param>
	''' <param name="lic_num">CZX</param>
	''' <param name="prd_start_dt">CZXJn</param>
	''' <param name="prd_end_dt">CZXI</param>
	''' <returns>sqtdFnj@e`krdFmf</returns>
	''' <remarks>
	''' 2010/10/19 VK쐬 FJSK)r<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Shared Function chkHash(ByVal hashcd As String, ByVal prdno As String, ByVal req_activation As Integer, ByVal lic_num As Integer, ByVal prd_start_dt As String, ByVal prd_end_dt As String) As Boolean
		Try
			'CZX`FbN
			If hashcd = getHash(prdno, req_activation, lic_num, prd_start_dt, prd_end_dt) Then
				Return True
			End If
			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class

'''---------------------------------------------
''' <summary>
''' CZXbt@CNX
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class datLicConfContents

#Region "ϐ"

	Private _STR_DT As String			'CZXKpJn
	Private _END_DT As String			'CZXKpI
	Private _REQ_ACT As String			'CZXtO
	Private _LIC_NUM As String			'CZX
	Private _HASH_CD As String			'CZXL[
	Private _HSP_NM As String			'a@io^j

#End Region

#Region "vpeB"

	''' ---------------------------------------------
	''' <summary>
	''' CZXKpJn
	''' </summary>
	''' <value>yyyy/MM/dd</value>
	''' <returns>yyyy/MM/dd</returns>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property STR_DT() As String
		Get
			Return _STR_DT
		End Get
		Set(ByVal Value As String)
			_STR_DT = Value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' CZXKpI
	''' </summary>
	''' <value>yyyy/MM/dd</value>
	''' <returns>yyyy/MM/dd</returns>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property END_DT() As String
		Get
			Return _END_DT
		End Get
		Set(ByVal Value As String)
			_END_DT = Value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' CZXtO
	''' </summary>
	''' <value>0 or 1</value>
	''' <returns>0 or 1</returns>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property REQ_ACT() As String
		Get
			Return _REQ_ACT
		End Get
		Set(ByVal Value As String)
			_REQ_ACT = Value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' CZX
	''' </summary>
	''' <value>CZX</value>
	''' <returns>CZX</returns>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property LIC_NUM() As String
		Get
			Return _LIC_NUM
		End Get
		Set(ByVal Value As String)
			_LIC_NUM = Value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' CZXL[
	''' </summary>
	''' <value>Íꂽ</value>
	''' <returns>Íꂽ</returns>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property HASH_CD() As String
		Get
			Return _HASH_CD
		End Get
		Set(ByVal Value As String)
			_HASH_CD = Value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' CZXo^a@
	''' </summary>
	''' <value>CZXo^a@</value>
	''' <returns>CZXo^a@</returns>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property HSP_NM() As String
		Get
			Return _HSP_NM
		End Get
		Set(ByVal Value As String)
			_HSP_NM = Value
		End Set
	End Property

#End Region

#Region "\bh"

	''' ---------------------------------------------
	''' <summary>
	''' 
	''' </summary>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub Clear()
		_STR_DT = Nothing		'KpJn
		_END_DT = Nothing		'KpI
		_REQ_ACT = Nothing		'CZXtO
		_LIC_NUM = Nothing		'CZX
		_HASH_CD = Nothing		'nbVR[h
		_HSP_NM = Nothing		'a@
	End Sub

#End Region

End Class

'''---------------------------------------------
''' <summary>
''' CZXf[^NX
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public NotInheritable Class datLicConf

	Private _FileName As String = Nothing
	Private _PrdNo As Integer = Nothing
	Private _Conf As New datLicConfContents

#Region "vpeB"

	''' ---------------------------------------------
	''' <summary>
	''' t@C
	''' </summary>
	''' <value>t@C</value>
	''' <returns>t@C</returns>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property FILENAME() As String
		Get
			Return _FileName
		End Get
		Set(ByVal value As String)
			_FileName = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' iԍ
	''' </summary>
	''' <value>iԍ</value>
	''' <returns>iԍ</returns>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property PRDNO() As Integer
		Get
			Return _PrdNo
		End Get
		Set(ByVal value As Integer)
			_PrdNo = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' bf[^iVAej
	''' </summary>
	''' <value>bf[^</value>
	''' <returns>bf[^</returns>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property CONF As datLicConfContents
		Get
			Return _Conf
		End Get
		Set(ByVal value As datLicConfContents)
			_Conf = value
		End Set
	End Property

#End Region

#Region "\bh"

	''' ---------------------------------------------
	''' <summary>
	''' 
	''' </summary>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub Clear()
		_FileName = Nothing		't@C
		_PrdNo = Nothing		'iꍆ
		_Conf = Nothing			'Config
	End Sub

#End Region

End Class

'''---------------------------------------------
''' <summary>
''' CZXANZXNX
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class clsLicConfig

#Region "RX^g"

	'configt@C
	Public Const CST_CONF_NM As String = "BT4License{0}.XML"

#End Region

#Region "\bh"

	''' ----------------------------------------------
	''' <summary>
	''' CZXConfigt@C
	''' </summary>
	''' <param name="cliLicConf">CZXf[^NX</param>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ----------------------------------------------
	Public Sub putConfig(ByVal path As String, ByVal cliLicConf As datLicConf)
		Try
			'XmlSerializerIuWFNg쐬
			'ރIuWFNǧ^w肷
			Dim serializer As New System.Xml.Serialization.XmlSerializer(GetType(datLicConfContents))
			't@CJ
			Dim strConfigFile As String = My.Computer.FileSystem.CombinePath(path, String.Format(CST_CONF_NM, cliLicConf.PRDNO.ToString))
			Dim fs As New System.IO.FileStream(strConfigFile, System.IO.FileMode.Create)
			Try
				'VAAXMLt@Cɕۑ
				serializer.Serialize(fs, cliLicConf.CONF)
			Catch ex As Exception
				Throw
			Finally
				'
				fs.Close()
				fs = Nothing
				serializer = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ----------------------------------------------
	''' <summary>
	''' CZXConfigt@Cǂݍ
	''' </summary>
	''' <param name="prdNo">w肵iԍ̃CZXNX쐬</param>
	''' <param name="path">ǂݍ݃pX</param>
	''' <returns>ʁibt@Cf[^NXj</returns>
	''' <remarks>
	''' 2010/10/27 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ----------------------------------------------
	Public Function getConfig(ByVal prdNo As Integer, ByVal path As String) As datLicConf
		Dim cliConfig As New datLicConf									'ConfigNX
		Dim cliLicConfContents As datLicConfContents = Nothing			'ConfigeNX
		Try
			'iԍL[Ƀt@C쐬
			'Dim strConfigFile As String = My.Computer.FileSystem.CombinePath(Application.StartupPath, String.Format(CST_CONF_NM, prdNo.ToString))
			Dim strConfigFile As String = path

			'iԍ̃L[܂Configt@C݃`FbN
			If System.IO.File.Exists(strConfigFile) = True Then
				'݂̂XMLt@Cǂݍ
				'XmlSerializerIuWFNg̍쐬
				Dim serializer As New System.Xml.Serialization.XmlSerializer(GetType(datLicConfContents))
				't@CJ
				Dim fs As New System.IO.FileStream(strConfigFile, System.IO.FileMode.Open)
				Try
					'XMLt@Cǂݍ݁AtVA
					cliConfig.CONF = CType(serializer.Deserialize(fs), datLicConfContents)
					cliConfig.PRDNO = prdNo
					cliConfig.FILENAME = IO.Path.GetFileName(path)
				Catch ex As Exception
					Throw
				Finally
					'
					fs.Close()
					fs = Nothing
					serializer = Nothing
				End Try
			Else
				'݂Ȃꍇ͋ŕԂ
				cliConfig = Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
		Return cliConfig
	End Function

#End Region

End Class

