Imports System.Windows.Forms
'''---------------------------------------------
''' <summary>
''' DataGridViewƎ\[gNX
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class clsGridSort

#Region "ϐ"

	Private _CriteriaList As New SortedList

	'''---------------------------------------------
	''' <summary>
	''' ftHg\[g
	''' </summary>
	''' <remarks>
	''' 2010/01/26 VK쐬@CS)r<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Enum Enum_SortType
		'''---------------------------------------------
		''' <summary>
		''' W\[giŒłȂj
		''' </summary>
		''' <remarks>
		''' 2010/01/26 VK쐬@CS)r<BR/>
		''' </remarks>
		'''---------------------------------------------
		SortNone = 0
		'''---------------------------------------------
		''' <summary>
		''' \[giŒj
		''' </summary>
		''' <remarks>
		''' 2010/01/26 VK쐬@CS)r<BR/>
		''' </remarks>
		'''---------------------------------------------
		SortAsc = 1
		'''---------------------------------------------
		''' <summary>
		''' ~\[giŒj
		''' </summary>
		''' <remarks>
		''' 2010/01/26 VK쐬@CS)r<BR/>
		''' </remarks>
		'''---------------------------------------------
		SortDesc = 2
	End Enum

#End Region

#Region "\bh"

	'''---------------------------------------------
	''' <summary>
	''' \[gNA
	''' </summary>
	''' <remarks>
	''' 2009/12/04 VK쐬@FJSK)<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub Clear()
		Try
			_CriteriaList.Clear()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' \[gǉ
	''' </summary>
	''' <param name="key">NbN[DataPropertyName]</param>
	''' <param name="arData">\[gݒiDictionaryEntryiږA\[g^Cv[Enum_SortType]j</param>
	''' <remarks>
	''' 2009/12/04 VK쐬@FJSK)<BR/>
	''' 2010/01/26 ύX@@@CS)r<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub Add(ByVal key As String, ByVal arData As ArrayList)
		Try
			_CriteriaList.Add(key, arData)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' \[g擾
	''' </summary>
	''' <param name="key">NbN</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/01/26 VK쐬@CS)r<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function getItm(ByVal key As String) As ArrayList
		Try
			Return _CriteriaList(key)
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' \[gs
	''' </summary>
	''' <param name="dgv"></param>
	''' <param name="itemname"></param>
	''' <param name="colidx"></param>
	''' <remarks>
	''' 2009/12/04 VK쐬@FJSK)<BR/>
	''' 2010/01/26 ύX@@@CS)r<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub SortRow(ByVal dgv As DataGridView, ByVal itemname As String, ByVal colidx As Integer)
'(A) STR V4-14064-000 042 2013/11/03 ID)r ݏoǗxAbvQJ@쐫̉P
		Try
			SortRowMain(dgv, itemname, colidx, True)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' \[gs(tH[JXwȂ)
	''' </summary>
	''' <param name="dgv"></param>
	''' <param name="itemname"></param>
	''' <param name="colidx"></param>
	''' <param name="setFocus"></param>
	''' <remarks>
	''' 2013/11/03 VK쐬 ID)r<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub SortRow(ByVal dgv As DataGridView, ByVal itemname As String, ByVal colidx As Integer, setFocus As Boolean)
		Try
			SortRowMain(dgv, itemname, colidx, setFocus)
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(A) STR V4-15018-000 041 2014/03/31 ID)r fÏǗ@́^ݏo IONA{AL[ɕѕςĂ܂Ή
	''' ---------------------------------------------
	''' <summary>
	''' f[^Obh\[gi񖢎wj
	''' </summary>
	''' <remarks>
	''' 2014/03/31 VK쐬 ID)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub SortNoItemRow(dgv As DataGridView, itemname As String)
		Dim dt As DataTable
		Dim dv As DataView
		Dim ar As ArrayList
		Dim OrderString As String = Nothing
		Try
			dt = dgv.DataSource
			dv = dt.DefaultView
			ar = _CriteriaList(itemname)	'\[g擾
			For Each dicDat As DictionaryEntry In ar
				'\[g^Cvŕ򂵂ă\[gݒ
				Select Case dicDat.Value
					Case Enum_SortType.SortNone
						'Œ
						OrderString = OrderString & dicDat.Key & ","
					Case Enum_SortType.SortAsc
						'Œ
						OrderString = OrderString & dicDat.Key & ","
					Case Enum_SortType.SortDesc
						'~Œ
						OrderString = OrderString & dicDat.Key & " DESC,"
				End Select
			Next
			If String.IsNullOrEmpty(OrderString) = False Then
				OrderString = OrderString.Substring(0, OrderString.Length - 1)		'Ō,Jbg
				dv.Sort = OrderString
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-15018-000 041 2014/03/31 ID)r fÏǗ@́^ݏo IONA{AL[ɕѕςĂ܂Ή

	'''---------------------------------------------
	''' <summary>
	''' \[gs
	''' </summary>
	''' <param name="dgv"></param>
	''' <param name="itemname"></param>
	''' <param name="colidx"></param>
	''' <param name="setFocus"></param>
	''' <remarks>
	''' 2013/11/03 VK쐬 ID)r<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SortRowMain(ByVal dgv As DataGridView, ByVal itemname As String, ByVal colidx As Integer, setFocus As Boolean)
'(A) END V4-14064-000 042 2013/11/03 ID)r ݏoǗxAbvQJ@쐫̉P
		Dim dt As DataTable
		Dim dv As DataView
		Dim ar As ArrayList
		Dim OrderString As String = Nothing
		Dim SortGlyph As SortOrder = SortOrder.None
'(A) STR V4-15002-000 003 2014/02/07 ID)r ꗗɂČŒ񐧌p~ƋɁA\ڑIőIł悤ɂΉ
		Dim cliCom As clsCom = Nothing
'(A) END V4-15002-000 003 2014/02/07 ID)r ꗗɂČŒ񐧌p~ƋɁA\ڑIőIł悤ɂΉ
		Try
'(A) STR V4-15002-000 003 2014/02/07 ID)r ꗗɂČŒ񐧌p~ƋɁA\ڑIőIł悤ɂΉ
			cliCom = New clsCom
'(A) END V4-15002-000 003 2014/02/07 ID)r ꗗɂČŒ񐧌p~ƋɁA\ڑIőIł悤ɂΉ
			If dgv.Rows.Count <= 0 Then Exit Sub
			If dgv.Columns(colidx).SortMode <> DataGridViewColumnSortMode.Programmatic Then Exit Sub

'(A) STR V4-15018-000 005 2014/03/31 ID)r fÏǗ@́^ݏo IONA{AL[ɕѕςĂ܂Ή
			If TypeOf dgv Is XCM.BT_DataGridView Then
				CType(dgv, XCM.BT_DataGridView).HeadSort = True
			End If
'(A) END V4-15018-000 005 2014/03/31 ID)r fÏǗ@́^ݏo IONA{AL[ɕѕςĂ܂Ή
			dt = dgv.DataSource
			dv = dt.DefaultView
			With dgv.Columns(colidx)
				ar = _CriteriaList(itemname)	'\[g擾
				If Not (TypeOf ar Is ArrayList) OrElse CType(ar, ArrayList).Count = 0 Then Exit Sub
				For Each dicDat As DictionaryEntry In ar
					'\[g^Cvŕ򂵂ă\[gݒ
					Select Case dicDat.Value
						Case Enum_SortType.SortNone
							If dicDat.Value = Enum_SortType.SortNone Then
								If .HeaderCell.SortGlyphDirection = SortOrder.Ascending Then	'\[gt\[gɂ
									OrderString = OrderString & dicDat.Key & " DESC,"
								Else															'\[głȂ珇\[gɂ
									OrderString = OrderString & dicDat.Key & ","
								End If
							End If
						Case Enum_SortType.SortAsc
							'Œ
							OrderString = OrderString & dicDat.Key & ","
						Case Enum_SortType.SortDesc
							'~Œ
							OrderString = OrderString & dicDat.Key & " DESC,"
					End Select
				Next
				'Ot擾
				If .HeaderCell.SortGlyphDirection = SortOrder.Ascending Then
					SortGlyph = SortOrder.Descending
				Else
					SortGlyph = SortOrder.Ascending
				End If
				OrderString = OrderString.Substring(0, OrderString.Length - 1)		'Ō,Jbg
				dv.Sort = OrderString
				.HeaderCell.SortGlyphDirection = SortGlyph							'Ot\
			End With

			With dgv
				'Obh̐擪sZNg
				If .Rows.Count > 0 Then
'(M) STR V4-15002-000 004 2014/02/07 ID)r ꗗɂČŒ񐧌p~ƋɁA\ڑIőIł悤ɂΉ
'					.CurrentCell = .Rows(0).Cells(0)									'݂̃Zŏ㍶ɐݒ
					cliCom.setFirstCellSelect(dgv)
'(M) END V4-15002-000 004 2014/02/07 ID)r ꗗɂČŒ񐧌p~ƋɁA\ڑIőIł悤ɂΉ
					.FirstDisplayedScrollingRowIndex = 0								'擪s
'(M) STR V4-14064-000 004 2013/11/03 ID)r ݏoǗxAbvQJ@쐫̉P
					'.Select()															'tH[JXړ
					If setFocus = True Then .Select() 'tH[JXړ
'(M) END V4-14064-000 004 2013/11/03 ID)r ݏoǗxAbvQJ@쐫̉P
				End If
			End With
		Catch ex As Exception
			Throw
'(A) STR V4-15002-000 004 2014/02/07 ID)r ꗗɂČŒ񐧌p~ƋɁA\ڑIőIł悤ɂΉ
		Finally
			cliCom = Nothing
'(A) END V4-15002-000 004 2014/02/07 ID)r ꗗɂČŒ񐧌p~ƋɁA\ڑIőIł悤ɂΉ
		End Try
	End Sub

#End Region

End Class
