Imports XCM
Imports System.Reflection
''' ---------------------------------------------
''' <summary>
''' Z}X^ANZXNX
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMTM_ADDRESS
	Implements IDisposable

#Region ""

	'gp
	Protected disposed As Boolean = False

	''' ---------------------------------------------
	''' <summary>
	''' DisposeijO͂΂Ȃ
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/10/20 VK쐬@CS)Xc<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalizeij
	''' </summary>
	''' <remarks>
	''' 2010/10/20 VK쐬@CS)Xc<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' FinalizeijO͂΂Ȃ
	''' </summary>
	''' <remarks>
	''' 2010/10/20 VK쐬@CS)Xc<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

	''' ---------------------------------------------
	''' <summary>
	''' RXgN^
	''' </summary>
	''' <remarks>
	''' 2010/10/20 VK쐬@CS)Xc<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Z}X^ꌏ擾܂B
	''' </summary>
	''' <param name="PREFECTURE_CD">s{R[h</param>
	''' <param name="MUNICIPALITY_CD">s撬R[h</param>
	''' <param name="DISTRICT_CD">nR[h</param>
	''' <returns>Z}X^ꌏ̃NX</returns>
	''' <remarks>
	''' 2010/10/20 VK쐬@CS)Xc<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMTM_ADDRESS_OneRec(ByVal PREFECTURE_CD As String, ByVal MUNICIPALITY_CD As String, ByVal DISTRICT_CD As String) As XSP.datMTM_ADDRESS_OneRec
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getMTM_ADDRESS_OneRec(db, PREFECTURE_CD, MUNICIPALITY_CD, DISTRICT_CD)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Z}X^ꌏ擾܂B
	''' </summary>
	''' <param name="db">caNX</param>
	''' <param name="PREFECTURE_CD">s{R[h</param>
	''' <param name="MUNICIPALITY_CD">s撬R[h</param>
	''' <param name="DISTRICT_CD">nR[h</param>
	''' <returns>Z}X^ꌏ̃NX</returns>
	''' <remarks>
	''' 2010/10/20 VK쐬@CS)Xc<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMTM_ADDRESS_OneRec(ByVal db As clsDB, ByVal PREFECTURE_CD As String, ByVal MUNICIPALITY_CD As String, ByVal DISTRICT_CD As String) As XSP.datMTM_ADDRESS_OneRec
		Dim retDat As XSP.datMTM_ADDRESS_OneRec = Nothing
        Dim arData As ArrayList
		Dim iRet As Long
        Try
            arData = New ArrayList()
            'L[`FbN
            If String.IsNullOrWhiteSpace(PREFECTURE_CD) OrElse _
               String.IsNullOrWhiteSpace(MUNICIPALITY_CD) OrElse _
               String.IsNullOrWhiteSpace(DISTRICT_CD) Then
                Return Nothing
            End If

            db.setSQL(XSP.sqlMTM_ADDRESS.sqlMTM_ADDRESS_OneRec)    'SELECTݒ
			db.setParam(XSP.sqlMTM_ADDRESS.prmPREFECTURE_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(XSP.sqlMTM_ADDRESS.prmMUNICIPALITY_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(XSP.sqlMTM_ADDRESS.prmDISTRICT_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(XSP.sqlMTM_ADDRESS.prmPREFECTURE_CD, PREFECTURE_CD)
			db.setVal(XSP.sqlMTM_ADDRESS.prmMUNICIPALITY_CD, MUNICIPALITY_CD)
			db.setVal(XSP.sqlMTM_ADDRESS.prmDISTRICT_CD, DISTRICT_CD)
			iRet = db.execQuery(GetType(XSP.datMTM_ADDRESS_OneRec), arData)	 'l擾
			If iRet > 0 Then									   'R[h
				retDat = DirectCast(arData(0), XSP.datMTM_ADDRESS_OneRec)
			Else
				retDat = Nothing
			End If
		Catch ex As Exception
			Throw
		Finally
			'
			arData = Nothing
			iRet = Nothing
		End Try
		'Ԃlݒ
		Return retDat
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' X֔ԍ̏Z}X^擾܂if[^NXj
	''' </summary>
	''' <param name="ZIP_CD">X֔ԍ</param>
	''' <returns>X֔ԍ̏Z}X^iArrayListdatMTM_ADDRESS_OneRecNXj</returns>
	''' <remarks>
	''' 2010/12/24 VK쐬 CS)a<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMTM_ADDRESS_Zip(ByVal ZIP_CD As String) As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getMTM_ADDRESS_Zip(db, ZIP_CD)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' X֔ԍ̏Z}X^擾܂if[^NXj
	''' </summary>
	''' <param name="db">caNX</param>
	''' <param name="ZIP_CD">X֔ԍ</param>
	''' <returns>X֔ԍ̏Z}X^iArrayListdatMTM_ADDRESS_OneRecNXj</returns>
	''' <remarks>
	''' 2010/12/24 VK쐬 CS)a<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMTM_ADDRESS_Zip(ByVal db As clsDB, ByVal ZIP_CD As String) As ArrayList
		Dim retData As ArrayList
		Dim iRet As Long = 0
		Try
			retData = New ArrayList
			'L[`FbN
			If String.IsNullOrWhiteSpace(ZIP_CD) Then
				Return Nothing
			End If

			db.setSQL(sqlMTM_ADDRESS.sqlMTM_ADDRESS_Zip)	'SELECTݒ
			db.setParam(sqlMTM_ADDRESS.prmZIP_CD, clsDB.Enum_dbType.dbNVarChar)		  'X֔ԍ
			db.setVal(sqlMTM_ADDRESS.prmZIP_CD, ZIP_CD)
			iRet = db.execQuery(GetType(datMTM_ADDRESS_OneRec), retData)	'l擾
		Catch ex As Exception
			Throw
		End Try
		'Ԃlݒ
		Return retData
	End Function
End Class
