﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_貸出目的データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTM_LENDAIM
	Public LENDAIM_CD As String = Nothing		'貸出目的コード
	Public LENDAIM_NM As String = Nothing		'貸出目的
	Public LENDAIM_RNM As String = Nothing		'貸出目的略称名
	Public LENDDAYS As Integer = Nothing		'貸出日数
	Public FIXED_CD As String = Nothing			'固定コード
	Public DSPORDER As Integer = Nothing		'表示順
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_貸出目的ＳＱＬクラス
''' </summary>
''' ---------------------------------------------
Public Class sqlMTM_LENDAIM
	' 項目名
	Public Const itmLENDAIM_CD As String = "LENDAIM_CD"						'貸出目的コード
	Public Const itmLENDAIM_NM As String = "LENDAIM_NM"						'貸出目的
	Public Const itmLENDAIM_RNM As String = "LENDAIM_RNM"					'貸出目的略称名
	Public Const itmLENDDAYS As String = "LENDDAYS"							'貸出日数
	Public Const itmFIXED_CD As String = "FIXED_CD"							'固定コード

	Public Const sqlSelAll As String = _
	"SELECT" _
	& "  LENDAIM_CD," _
	& "  LENDAIM_NM," _
	& "  LENDAIM_RNM," _
	& "  LENDDAYS," _
	& "  FIXED_CD," _
	& "  DSPORDER" _
	& " FROM MTM_LENDAIM" _
	& " ORDER BY DSPORDER, LENDAIM_CD"

End Class
