﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 入退院情報(すべて)(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP040R110

	''' <summary>
	''' workを削除
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlDel_HEADING As String = _
	"DELETE FROM MTW_DPC_HSP_PRINT_HEADING WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	Public Const sqlDel_DISEASE As String = _
	"DELETE FROM MTW_DPC_HSP_PRINT_DISEASE WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	Public Const sqlDel_OPE As String = _
	"DELETE FROM MTW_DPC_HSP_PRINT_OPE WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	Public Const sqlDel_ASST As String = _
	"DELETE FROM MTW_DPC_HSP_PRINT_ASST WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	Public Const sqlDel_MED As String = _
	"DELETE FROM MTW_DPC_HSP_PRINT_MED_COST WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM



#Region "ヘッダ"
	''' <summary>
	''' workを追加
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns As String = "" _
	& "INSERT INTO MTW_DPC_HSP_PRINT_HEADING (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>
	''' workを更新
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd As String = "" _
	& "UPDATE MTW_DPC_HSP_PRINT_HEADING SET" _
	& " BYOREKI_NO               = h.BYOREKI_NO" _
	& ",PATIENT_NM               = b.PATIENT_NM" _
	& ",PATIENT_KNM              = b.PATIENT_KNM" _
	& ",GENDER_CD                = b.GENDER_CD" _
	& ",BIRTH_DT                 = b.BIRTH_DT" _
	& ",DEPT_CD                  = h.DEPT_CD" _
	& ",WARD_CD                  = h.WARD_CD" _
	& ",DOCTOR_CD                = h.DOCTOR_CD" _
	& ",HSP_CNL_CD               = h.HSP_CNL_CD" _
	& ",READMISSION_FLG          = h.READMISSION_FLG" _
	& ",HSP_AIM_CD               = h.HSP_AIM_CD" _
	& ",HSP_DT                   = h.HSP_DT" _
	& ",HSP_AGE                  = h.HSP_AGE" _
	& ",HSP_MONTH_AGE            = h.HSP_MONTH_AGE" _
	& ",HSP_DAY_AGE              = h.HSP_DAY_AGE" _
	& ",OUT_HSP_DT               = h.OUT_HSP_DT" _
	& ",OUT_HSP_AGE              = h.OUT_HSP_AGE" _
	& ",OUT_HSP_MONTH_AGE        = h.OUT_HSP_MONTH_AGE" _
	& ",OUT_HSP_DAY_AGE          = h.OUT_HSP_DAY_AGE" _
	& ",OUT_HSP_CNL_CD           = h.OUT_HSP_CNL_CD" _
	& ",OUT_HSP_OUTCOME_CD       = h.OUT_HSP_OUTCOME_CD" _
	& ",HSP_DAYS                 = h.HSP_DAYS" _
	& ",CHANGE_DEPT_CHK          = h.CHANGE_DEPT_CHK" _
	& ",TAKE_AMBULANCE_CHK       = h.TAKE_AMBULANCE_CHK" _
	& ",PLAN_EMERGENCY_CD        = h.PLAN_EMERGENCY_CD" _
	& ",CLINICAL_TRIAL_CHK       = h.CLINICAL_TRIAL_CHK" _
	& ",LAST_OUT_HSP_DT          = h.LAST_OUT_HSP_DT" _
	& ",LAST_SELF_OTHER_HSP_DIV  = h.LAST_SELF_OTHER_HSP_DIV" _
	& ",DPC_NO                   = h.DPC_NO" _
	& ",TOTAL_MED_COST           = h.TOTAL_MED_COST" _
	& ",DEATH_DIV                = d.DEATH_DIV" _
	& ",SAME_DISEASE_LAST_HSP_DT = h.SAME_DISEASE_LAST_HSP_DT" _
	& ",REMARKS                  = h.REMARKS" _
	& ",HSP_INFECTION_CHK        = h.HSP_INFECTION_CHK" _
	& ",HSP_FREEITEM1            = h.HSP_FREEITEM1" _
	& ",HSP_FREEITEM2            = h.HSP_FREEITEM2" _
	& ",HSP_FREEITEM3            = h.HSP_FREEITEM3" _
	& ",HSP_FREEITEM4            = h.HSP_FREEITEM4" _
	& ",HSP_FREEITEM5            = h.HSP_FREEITEM5" _
	& ",HSP_FREEITEM6            = h.HSP_FREEITEM6" _
	& ",HSP_FORM_CD              = h.HSP_FORM_CD" _
	& ",HOLD_DEPT_CHK            = h.HOLD_DEPT_CHK" _
	& ",DISEASE_READMISSION_FLG  = h.DISEASE_READMISSION_FLG" _
	& ",STATURE                  = h.STATURE" _
	& ",WEIGHT                   = h.WEIGHT" _
	& ",TIME_OUT_FLG			 = h.TIME_OUT_FLG" _
	& ",LASTUPD_DT               = " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_HEADING as w" _
	& "  LEFT JOIN XTI_BASICINFO AS b  ON w.PATIENT_NO      = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_DEATH     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP       AS h  ON w.PATIENT_NO      = h.PATIENT_NO" _
	& "                               AND w.HSP_HISTORY_NO  = h.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

#End Region

#Region "病名"
	''' <summary>
	''' workを追加(病名)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_Disease As String = "" _
	& "INSERT INTO MTW_DPC_HSP_PRINT_DISEASE (" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& "SELECT" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",LASTUPDUSER_CD" _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_HEADING" _
	& " WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを更新(主病名,入院契機,医療資源投入１位,医療資源投入２位)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Disease1 As String = "" _
	& "UPDATE MTW_DPC_HSP_PRINT_DISEASE SET" _
	& " ICD10_CD1  = s1.ICD10_CD" _
	& ",DISEASE1   = s1.DISEASE" _
	& ",ICD10_CD2  = s2.ICD10_CD" _
	& ",DISEASE2   = s2.DISEASE" _
	& ",ICD10_CD3  = s3.ICD10_CD" _
	& ",DISEASE3   = s3.DISEASE" _
	& ",ICD10_CD4  = s4.ICD10_CD" _
	& ",DISEASE4   = s4.DISEASE" _
	& ",LASTUPD_DT = " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_DISEASE p" _
 _
	& "  LEFT JOIN (" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_DPC_HSP_PRINT_DISEASE AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_DISEASE     AS d  ON c.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = d.CH_NO" _
	& " INNER JOIN MTM_DISEASE_DIV AS m  ON d.DISEASE_DIV     = m.DISEASE_DIV_CD" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  c.MAIN_DPM_FLG           = " & sqlMRPCOMMON.prmFLG_ON _
	& "  AND  m.FIXED_CD               = " & sqlMRPCOMMON.prmFIXED_CD _
	& ") AS s1 ON p.PATIENT_NO         = s1.PATIENT_NO" _
	& "       AND p.HSP_HISTORY_NO     = s1.HSP_HISTORY_NO" _
	& "       AND 1                    = s1.ROW_NO" _
 _
	 & " LEFT JOIN (" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_DPC_HSP_PRINT_DISEASE AS w" _
	& " INNER JOIN MTI_DISEASE     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  d.HSP_CHANCE_DISEASE_FLG = " & sqlMRPCOMMON.prmFLG_ON _
	& ") AS s2 ON p.PATIENT_NO         = s2.PATIENT_NO" _
	& "       AND p.HSP_HISTORY_NO     = s2.HSP_HISTORY_NO" _
	& "       AND 1                    = s2.ROW_NO" _
 _
	& " LEFT JOIN (" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_DPC_HSP_PRINT_DISEASE AS w" _
	& " INNER JOIN MTI_DISEASE     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  d.DISEASE_MED_RES_FLG1   = " & sqlMRPCOMMON.prmFLG_ON _
	& ") AS s3 ON p.PATIENT_NO         = s3.PATIENT_NO" _
	& "       AND p.HSP_HISTORY_NO     = s3.HSP_HISTORY_NO" _
	& "       AND 1                    = s3.ROW_NO" _
 _
	& " LEFT JOIN (" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_DPC_HSP_PRINT_DISEASE AS w" _
	& " INNER JOIN MTI_DISEASE     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  d.DISEASE_MED_RES_FLG2   = " & sqlMRPCOMMON.prmFLG_ON _
	& ") AS s4 ON p.PATIENT_NO         = s4.PATIENT_NO" _
	& "       AND p.HSP_HISTORY_NO     = s4.HSP_HISTORY_NO" _
	& "       AND 1                    = s4.ROW_NO" _
 _
	& " WHERE p.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを更新(入院時併存病名)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Disease5 As String = "" _
	& "UPDATE MTW_DPC_HSP_PRINT_DISEASE SET" _
	& " ICD10_CD5	= s1.ICD10_CD" _
	& ",DISEASE5	= s1.DISEASE" _
	& ",ICD10_CD6	= s2.ICD10_CD" _
	& ",DISEASE6	= s2.DISEASE" _
	& ",ICD10_CD7	= s3.ICD10_CD" _
	& ",DISEASE7	= s3.DISEASE" _
	& ",ICD10_CD8	= s4.ICD10_CD" _
	& ",DISEASE8	= s4.DISEASE" _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_DISEASE AS p" _
	& " INNER JOIN (" & sqlSel_Disese5 & ") AS s1	 ON p.PATIENT_NO		= s1.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s1.HSP_HISTORY_NO" _
	& "												AND 1					= s1.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese5 & ") AS s2	 ON p.PATIENT_NO		= s2.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s2.HSP_HISTORY_NO" _
	& "												AND 2					= s2.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese5 & ") AS s3	 ON p.PATIENT_NO		= s3.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s3.HSP_HISTORY_NO" _
	& "												AND 3					= s3.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese5 & ") AS s4	 ON p.PATIENT_NO		= s4.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s4.HSP_HISTORY_NO" _
	& "												AND 4					= s4.ROW_NO" _
	& " WHERE p.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	Private Const sqlSel_Disese5 As String = "" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_DPC_HSP_PRINT_DISEASE w" _
	& " INNER JOIN MTI_DISEASE     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  d.HSP_DISEASE_FLG        = " & sqlMRPCOMMON.prmFLG_ON

	''' <summary>
	''' workを更新(入院後発症疾患名)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Disease9 As String = "" _
	& "UPDATE MTW_DPC_HSP_PRINT_DISEASE SET" _
	& " ICD10_CD9	= s1.ICD10_CD" _
	& ",DISEASE9	= s1.DISEASE" _
	& ",ICD10_CD10	= s2.ICD10_CD" _
	& ",DISEASE10	= s2.DISEASE" _
	& ",ICD10_CD11	= s3.ICD10_CD" _
	& ",DISEASE11	= s3.DISEASE" _
	& ",ICD10_CD12	= s4.ICD10_CD" _
	& ",DISEASE12	= s4.DISEASE" _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_DISEASE AS p" _
	& " INNER JOIN (" & sqlSel_Disese9 & ") AS s1	 ON p.PATIENT_NO		= s1.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s1.HSP_HISTORY_NO" _
	& "												AND 1					= s1.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese9 & ") AS s2	 ON p.PATIENT_NO		= s2.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s2.HSP_HISTORY_NO" _
	& "												AND 2					= s2.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese9 & ") AS s3	 ON p.PATIENT_NO		= s3.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s3.HSP_HISTORY_NO" _
	& "												AND 3					= s3.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese9 & ") AS s4	 ON p.PATIENT_NO		= s4.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s4.HSP_HISTORY_NO" _
	& "												AND 4					= s4.ROW_NO" _
	& " WHERE p.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	Private Const sqlSel_Disese9 As String = "" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_DPC_HSP_PRINT_DISEASE AS w" _
	& " INNER JOIN MTI_DISEASE     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  d.AFTER_HSP_DISEASE_FLG  = " & sqlMRPCOMMON.prmFLG_ON

#End Region

#Region "手術"
	''' <summary>
	''' workを追加(手術)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_Ope As String = "" _
	& "INSERT INTO MTW_DPC_HSP_PRINT_OPE (" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",OPE_SERIAL_NO" _
	& ",OPE_NM" _
	& ",OPE_DT" _
	& ",ANESTHESIA_NM" _
	& ",ICD9CM_CD" _
	& ",OPE_COUNT" _
	& ",OPE_PART" _
	& ",SCORE_CD" _
	& ",AFTER_OPE_DAYS" _
	& ",PRE_OPE_DAYS" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& "SELECT" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",OPE_SERIAL_NO" _
	& ",OPE_NM" _
	& ",OPE_DT" _
	& ",ANESTHESIA_NM" _
	& ",ICD9CM_CD" _
	& ",OPE_COUNT" _
	& ",OPE_PART" _
	& ",SCORE_CD" _
	& ",AFTER_OPE_DAYS" _
	& ",PRE_OPE_DAYS" _
	& ",LASTUPDUSER_CD" _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM (" _
 _
	& "SELECT" _
	& " w.HOST_NM" _
	& ",o.PATIENT_NO" _
	& ",o.HSP_HISTORY_NO" _
	& ",ROW_NUMBER() OVER(PARTITION BY o.PATIENT_NO,o.HSP_HISTORY_NO ORDER BY {0}o.OPE_DT,o.CH_NO,o.OPE_SERIAL_NO) AS OPE_SERIAL_NO" _
	& ",o.OPE_NM" _
	& ",o.OPE_DT" _
	& ",MTM_ANESTHESIA.ANESTHESIA_NM" _
	& ",o.ICD9CM_CD" _
	& ",MTM_OPE_CNT.OPE_COUNT" _
	& ",MTM_OPE_PART_CNT.OPE_PART" _
	& ",o.SCORE_CD" _
	& ",o.AFTER_OPE_DAYS" _
	& ",o.PRE_OPE_DAYS" _
	& ",w.LASTUPDUSER_CD" _
	& "  FROM MTW_DPC_HSP_PRINT_HEADING w" _
	& " INNER JOIN MTI_OPE     AS o  ON w.PATIENT_NO      = o.PATIENT_NO" _
	& "                             AND w.HSP_HISTORY_NO  = o.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTM_ANESTHESIA    ON o.ANESTHESIA_DIV1 = MTM_ANESTHESIA.ANESTHESIA_CD" _
	& "  LEFT JOIN MTM_OPE_CNT       ON o.OPE_COUNT_CD    = MTM_OPE_CNT.OPE_COUNT_CD" _
	& "  LEFT JOIN MTM_OPE_PART_CNT  ON o.OPE_PART_CD     = MTM_OPE_PART_CNT.OPE_PART_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& "{1}" _
 _
	& ") AS s" _
	& " WHERE OPE_SERIAL_NO < 6"

	'動作環境[手術区分]= a の場合
	Public Const sqlAdd_Ope_Sort_A = "o.REMARKS1,o.OPE_DIV,"					'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_A = "  AND o.REMARKS1 Is NOT NULL"			'上記SQLの{1}に追加
	'動作環境[手術区分]= b の場合
	Public Const sqlAdd_Ope_Sort_B = "o.REMARKS2,o.OPE_DIV,"					'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_B = "  AND o.REMARKS2 Is NOT NULL"			'上記SQLの{1}に追加
	'動作環境[手術区分]= c の場合
	Public Const sqlAdd_Ope_Sort_C = "o.ASST_DIV1,o.OPE_DIV,"					'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_C = "  AND o.ASST_DIV1 Is NOT NULL"			'上記SQLの{1}に追加
	'動作環境[手術区分]= d の場合
	Public Const sqlAdd_Ope_Sort_D = "o.ASST_DIV2,o.OPE_DIV,"					'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_D = "  AND o.ASST_DIV2 Is NOT NULL"			'上記SQLの{1}に追加
	'動作環境[手術区分]= 数値 の場合
	Public Const prmOPE_DIV As String = "@OPE_DIV"
	Public Const sqlAdd_Ope_Sort_N = Nothing									'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_N = "  AND o.OPE_DIV = " & prmOPE_DIV			'上記SQLの{1}に追加
	'動作環境[手術区分]= 上記以外 の場合
	Public Const sqlAdd_Ope_Sort_Z = "o.OPE_DIV,"								'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_Z = Nothing									'上記SQLの{1}に追加

	''' <summary>
	''' workを追加(手術)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_Ope_Dummy As String = "" _
	& "INSERT INTO MTW_DPC_HSP_PRINT_OPE (" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",OPE_SERIAL_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& "SELECT" _
	& " h.HOST_NM" _
	& ",h.PATIENT_NO" _
	& ",h.HSP_HISTORY_NO" _
	& "," & sqlMRPCOMMON.prmSERIAL_NO _
	& ",h.LASTUPDUSER_CD" _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_HEADING  AS h" _
	& "  LEFT JOIN MTW_DPC_HSP_PRINT_OPE AS o	 ON h.HOST_NM			= o.HOST_NM" _
	& "											AND h.PATIENT_NO		= o.PATIENT_NO" _
	& "											AND h.HSP_HISTORY_NO	= o.HSP_HISTORY_NO" _
	& "                                         AND " & sqlMRPCOMMON.prmSERIAL_NO & " = o.OPE_SERIAL_NO" _
	& " WHERE h.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND o.HOST_NM IS NULL"

#End Region

#Region "補足"

	''' <summary>
	''' workを追加(補足)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_Asst As String = "" _
	& "INSERT INTO MTW_DPC_HSP_PRINT_ASST (" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",ASST_SERIAL_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& "SELECT" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& "," & sqlMRPCOMMON.prmSERIAL_NO _
	& ",LASTUPDUSER_CD" _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_HEADING" _
	& " WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' 検索結果件数取得用データクラス
	''' </summary>
	Public NotInheritable Class datDpcMst
		Public TABLE_CD As String = Nothing						'テーブルコード
		Public FIELD_NM As String = Nothing						'フィールド名
		Public EXTRACT_OBJECT As Integer = Nothing				'抽出対象
		Public CONTENT As String = Nothing						'内容
	End Class

	''' <summary>
	''' ＤＰＣマスタ参照
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_DpcMst As String = "" _
	& "SELECT TOP 100" _
	& " TABLE_CD" _
	& ",FIELD_NM" _
	& ",EXTRACT_OBJECT" _
	& ",CONTENT" _
	& "  FROM MTM_EXTRACT_ITM" _
	& " WHERE L_GRP_CD = 1" _
	& "   AND M_GRP_CD" & XCM.clsConst.CST_NONEMPTY_WHERE _
	& " ORDER BY M_GRP_CD"

	Public Const prmCONTENT As String = "@CONTENT"				'内容
	''' <summary>
	''' workを更新(補足項目１)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst1_1 As String = "" _
	& "UPDATE MTW_DPC_HSP_PRINT_ASST SET" _
	& " ITEM{0}    = " & prmCONTENT _
	& ",VALUE{0}   = CASE a.{1} WHEN " & sqlMRPCOMMON.prmFLG_ON & " THEN " & sqlMRPCOMMON.prmFLG_NM_ON & " ELSE NULL END" _
	& ",LASTUPD_DT = " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_ASST AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST1       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = a.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND w.ASST_SERIAL_NO         = " & sqlMRPCOMMON.prmSERIAL_NO _
	& "   AND c.MAIN_DPM_FLG           = " & sqlMRPCOMMON.prmFLG_ON

	''' <summary>
	''' workを更新(補足項目２)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst2_1 As String = "" _
	& "UPDATE MTW_DPC_HSP_PRINT_ASST SET" _
	& " ITEM{0}    = " & prmCONTENT _
	& ",VALUE{0}   = CASE WHEN  '{1}' LIKE 'DATE%' THEN CONVERT(VARCHAR, a.{1},111) ELSE CONVERT(VARCHAR,a.{1}) END" _
	& ",LASTUPD_DT = " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_ASST AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST2       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = a.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND w.ASST_SERIAL_NO         = " & sqlMRPCOMMON.prmSERIAL_NO _
	& "   AND c.MAIN_DPM_FLG           = " & sqlMRPCOMMON.prmFLG_ON

	''' <summary>
	''' workを更新(補足項目２)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst2_1_cmb As String = "" _
	& "UPDATE MTW_DPC_HSP_PRINT_ASST SET" _
	& " ITEM{0}    = " & prmCONTENT _
	& ",VALUE{0}   = MTM_ASST2_CNT.CNT_NM" _
	& ",LASTUPD_DT = " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_ASST AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST2       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = a.CH_NO" _
	& " INNER JOIN MTM_ASST2_ITM         ON '{1}' 	          = MTM_ASST2_ITM.SPT_FIELD_NM" _
	& "  LEFT JOIN MTM_ASST2_CNT         ON MTM_ASST2_ITM.ITEM_CD = MTM_ASST2_CNT.ITEM_CD" _
	& "                                 AND a.{1}                 = MTM_ASST2_CNT.CNT_CD" _
	& " WHERE w.HOST_NM                  = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND w.ASST_SERIAL_NO           = " & sqlMRPCOMMON.prmSERIAL_NO _
	& "   AND c.MAIN_DPM_FLG             = " & sqlMRPCOMMON.prmFLG_ON


	''' <summary>
	''' workを更新(補足項目１)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst1_2 As String = "" _
	& "UPDATE MTW_DPC_HSP_PRINT_ASST SET" _
	& " ITEM{0}    = " & prmCONTENT _
	& ",VALUE{0}   = CASE a.{1} WHEN " & sqlMRPCOMMON.prmFLG_ON & " THEN " & sqlMRPCOMMON.prmFLG_NM_ON & " ELSE NULL END" _
	& ",LASTUPD_DT = " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_ASST AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST1       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND w.ASST_SERIAL_NO         = " & sqlMRPCOMMON.prmSERIAL_NO _
	& "   AND c.MAIN_DPM_FLG           = " & sqlMRPCOMMON.prmFLG_ON _

	''' <summary>
	''' workを更新(補足項目２)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst2_3 As String = "" _
	& "UPDATE MTW_DPC_HSP_PRINT_ASST SET" _
	& " ITEM{0}    = " & prmCONTENT _
	& ",VALUE{0}   = CASE WHEN '{1}' LIKE 'DATE%' THEN CONVERT(VARCHAR, s.VAL ,111) ELSE CONVERT(VARCHAR,s.VAL) END" _
	& ",LASTUPD_DT = " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_ASST AS p" _
	& " INNER JOIN (" _
 _
	& "SELECT" _
	& " a.PATIENT_NO" _
	& ",a.HSP_HISTORY_NO" _
	& ",a.{1}  AS VAL" _
	& ",ROW_NUMBER() OVER(PARTITION BY c.PATIENT_NO,c.HSP_HISTORY_NO ORDER BY {2}) AS ROW_NO" _
	& "  FROM MTW_DPC_HSP_PRINT_HEADING AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST2       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = a.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
 _
	& ") AS s                            ON p.PATIENT_NO      = s.PATIENT_NO" _
	& "                                 AND p.HSP_HISTORY_NO  = s.HSP_HISTORY_NO" _
	& " WHERE p.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND p.ASST_SERIAL_NO         = " & sqlMRPCOMMON.prmSERIAL_NO _
	& "   AND s.ROW_NO                 = 1"
	''' <summary>
	''' workを更新(補足項目２)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst2_3_cmb As String = "" _
	& "UPDATE MTW_DPC_HSP_PRINT_ASST SET" _
	& " ITEM{0}    = " & prmCONTENT _
	& ",VALUE{0}   = MTM_ASST2_CNT.CNT_NM" _
	& ",LASTUPD_DT = " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_ASST AS p" _
	& " INNER JOIN (" _
 _
	& "SELECT" _
	& " a.PATIENT_NO" _
	& ",a.HSP_HISTORY_NO" _
	& ",a.{1}  AS VAL" _
	& ",ROW_NUMBER() OVER(PARTITION BY c.PATIENT_NO,c.HSP_HISTORY_NO ORDER BY {2}) AS ROW_NO" _
	& "  FROM MTW_DPC_HSP_PRINT_HEADING AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST2       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = a.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
 _
	& ") AS s                            ON p.PATIENT_NO      = s.PATIENT_NO" _
	& "                                 AND p.HSP_HISTORY_NO  = s.HSP_HISTORY_NO" _
	& " INNER JOIN MTM_ASST2_ITM         ON '{1}' 	          = MTM_ASST2_ITM.SPT_FIELD_NM" _
	& "  LEFT JOIN MTM_ASST2_CNT         ON MTM_ASST2_ITM.ITEM_CD = MTM_ASST2_CNT.ITEM_CD" _
	& "                                 AND s.VAL             = MTM_ASST2_CNT.CNT_CD" _
	& " WHERE p.HOST_NM                  = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  p.ASST_SERIAL_NO           = " & sqlMRPCOMMON.prmSERIAL_NO _
	& "  AND  s.ROW_NO                   = 1"

	'
	Public Const sqlAdd_Asst_Sort_3 As String = "c.MAIN_DPM_FLG,c.CH_NO DESC"		'上記SQLの{2}に追加
	Public Const sqlAdd_Asst_Sort_4 As String = "c.MAIN_DPM_FLG,c.CH_NO"			'上記SQLの{2}に追加
	Public Const sqlAdd_Asst_Sort_5 As String = "a.{1}"								'上記SQLの{2}に追加

#End Region

#Region "医療費"
	''' <summary>
	''' workを追加(病名)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_MED As String = "" _
	& "INSERT INTO MTW_DPC_HSP_PRINT_MED_COST (" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",MED_COST01,MED_COST02,MED_COST03,MED_COST04,MED_COST05,MED_COST06,MED_COST07,MED_COST08,MED_COST09,MED_COST10" _
	& ",MED_COST11,MED_COST12,MED_COST13,MED_COST14,MED_COST15,MED_COST16,MED_COST17,MED_COST18,MED_COST19,MED_COST20" _
	& ",MED_COST21,MED_COST22,MED_COST23,MED_COST24,MED_COST25,MED_COST26,MED_COST27,MED_COST28,MED_COST29,MED_COST30" _
	& ",MED_COST31,MED_COST32,MED_COST33,MED_COST34,MED_COST35,MED_COST36,MED_COST37,MED_COST38,MED_COST39,MED_COST40" _
	& ",MED_COST41,MED_COST42,MED_COST43,MED_COST44,MED_COST45" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& "SELECT" _
	& " w.HOST_NM" _
	& ",w.PATIENT_NO" _
	& ",w.HSP_HISTORY_NO" _
	& ",ISNULL(MED_COST01,0),ISNULL(MED_COST02,0),ISNULL(MED_COST03,0),ISNULL(MED_COST04,0),ISNULL(MED_COST05,0)" _
	& ",ISNULL(MED_COST06,0),ISNULL(MED_COST07,0),ISNULL(MED_COST08,0),ISNULL(MED_COST09,0),ISNULL(MED_COST10,0)" _
	& ",ISNULL(MED_COST11,0),ISNULL(MED_COST12,0),ISNULL(MED_COST13,0),ISNULL(MED_COST14,0),ISNULL(MED_COST15,0)" _
	& ",ISNULL(MED_COST16,0),ISNULL(MED_COST17,0),ISNULL(MED_COST18,0),ISNULL(MED_COST19,0),ISNULL(MED_COST20,0)" _
	& ",ISNULL(MED_COST21,0),ISNULL(MED_COST22,0),ISNULL(MED_COST23,0),ISNULL(MED_COST24,0),ISNULL(MED_COST25,0)" _
	& ",ISNULL(MED_COST26,0),ISNULL(MED_COST27,0),ISNULL(MED_COST28,0),ISNULL(MED_COST29,0),ISNULL(MED_COST30,0)" _
	& ",ISNULL(MED_COST31,0),ISNULL(MED_COST32,0),ISNULL(MED_COST33,0),ISNULL(MED_COST34,0),ISNULL(MED_COST35,0)" _
	& ",ISNULL(MED_COST36,0),ISNULL(MED_COST37,0),ISNULL(MED_COST38,0),ISNULL(MED_COST39,0),ISNULL(MED_COST10,0)" _
	& ",ISNULL(MED_COST41,0),ISNULL(MED_COST42,0),ISNULL(MED_COST43,0),ISNULL(MED_COST44,0),ISNULL(MED_COST45,0)" _
	& ",w.LASTUPDUSER_CD" _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_DPC_HSP_PRINT_HEADING w" _
	& "  LEFT JOIN MTI_MED_COST    AS m  ON w.PATIENT_NO      = m.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = m.HSP_HISTORY_NO" _
	& "                                 AND 0                 = m.CH_NO" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

#End Region

End Class
