﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 補足項目２情報Report(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMRP110R010
	Public ITM_RNM(3, 11) As String			   '項目略称名
	Public SPT_FIELD_NM(3, 11) As String	   '対応フィールド名
	Public ITEM_CD(3, 11) As String			   '項目コード
End Class

Public NotInheritable Class sqlMRP110R010

	''' <summary>
	''' workを削除
	''' </summary>
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_ASST2_LIST WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加
	''' </summary>
	Public Const sqlIns As String = _
	"INSERT INTO MTW_SEARCH_ASST2_LIST (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>
	''' workを更新
	''' </summary>
	Public Const sqlUpd As String = _
	"UPDATE MTW_SEARCH_ASST2_LIST SET" _
	& " PATIENT_NM          =  b.PATIENT_NM" _
	& "{0}" _
	& ",GENDER_CD           =  b.GENDER_CD" _
	& ",BIRTH_DT            =  b.BIRTH_DT" _
	& ",PATIENT_AGE			= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_AGE       ELSE c.END_AGE       END)" _
	& ",PATIENT_MONTH_AGE	= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_MONTH_AGE ELSE c.END_MONTH_AGE END)" _
	& ",PATIENT_DAY_AGE		= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_DAY_AGE   ELSE c.END_DAY_AGE   END)" _
	& ",BYOREKI_NO          =  c.BYOREKI_NO" _
	& ",DEPT_CD             =  c.DEPT_CD" _
	& ",WARD_CD             =  c.WARD_CD" _
	& ",DOCTOR_CD           =  c.DOCTOR_CD" _
	& ",START_CNL_CD        =  c.START_CNL_CD" _
	& ",START_DT            =  c.START_DT" _
	& ",END_CNL_CD          =  c.END_CNL_CD" _
	& ",END_OUTCOME_CD      =  c.END_OUTCOME_CD" _
	& ",END_DT              =  c.END_DT" _
	& ",HSP_DAYS            =  c.HSP_DAYS" _
	& ",PATIENT_KNM         =  b.PATIENT_KNM" _
	& ",START_AGE           =  c.START_AGE" _
	& ",START_MONTH_AGE     =  c.START_MONTH_AGE" _
	& ",START_DAY_AGE       =  c.START_DAY_AGE" _
	& ",END_AGE             =  c.END_AGE" _
	& ",END_MONTH_AGE       =  c.END_MONTH_AGE" _
	& ",END_DAY_AGE         =  c.END_DAY_AGE" _
	& ",LASTUPDUSER_CD	    = " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT			= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_ASST2_LIST AS w " _
	& "     INNER JOIN MTI_ASST2 AS a" _
	& "                 ON w.PATIENT_NO     = a.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = a.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = a.CH_NO" _
	& "      LEFT JOIN XTI_BASICINFO AS b" _
	& "                 ON w.PATIENT_NO     = b.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH AS c" _
	& "                 ON w.PATIENT_NO     = c.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = c.CH_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	Public Const sqlColAsst2_Text As String = "" _
	& ",TEXT{0}             =  a.{1}"

	Public Const sqlColAsst2_Num As String = "" _
	& ",NUMBER{0}           =  a.{1}"

	Public Const sqlColAsst2_Dte As String = "" _
	& ",DATE{0}             =  a.{1}"

	Public Const sqlColAsst2_Cmb As String = "" _
	& ",COMBO{0}            =  a.{1}"

	Public Const sqlColAsst2_Cmb2 As String = "" _
	& ",COMBO{0}            = '{1}'"

	Public Const sqlColAsst2_Text_N As String = "" _
	& ",TEXT{0}             =  Null"

	Public Const sqlColAsst2_Num_N As String = "" _
	& ",NUMBER{0}           =  Null"

	Public Const sqlColAsst2_Dte_N As String = "" _
	& ",DATE{0}             =  Null"

	Public Const sqlColAsst2_Cmb_N As String = "" _
	& ",COMBO{0}            =  Null"


End Class
