﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 コントロール再検索
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR010C120

#Region "コンスタント"

	''' <summary>
	''' 画像配列インデックス
	''' </summary>
	''' <remarks></remarks>
	Private Enum ENUM_BITMAP_IDX
		TAB1_AND = 0
		TAB1_OR = 1
		TAB1_NOT = 2
		TAB1_DIFF = 3
		TAB2_P = 4
		TAB2_H = 5
		TAB3_MAX = 6
		TAB3_MIN = 7
	End Enum

#End Region

#Region "変数"

	Private aryBitmap As System.Drawing.Bitmap()		'画像配列

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' コントロールロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010C120_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "MSR010C120_Load", "コントロールロード START")
		Try
			'背景色を透過に
			Me.SuspendLayout()
			Me.tab001MSR000C020.SuspendLayout()
			Me.tpg001MSR010C120.SuspendLayout()
			Me.tpg034MSR010C120.SuspendLayout()
			Me.tpg047MSR010C120.SuspendLayout()
			Me.tpg061MSR010C120.SuspendLayout()
			Me.pnl014MSR010C120.SuspendLayout()
			Me.pnl021MSR010C120.SuspendLayout()
			Me.pnl028MSR010C120.SuspendLayout()

			Me.SetStyle(ControlStyles.SupportsTransparentBackColor, True)

			'親コントロール変更
			lbl013MSR010C120.Parent = pic003MSR010C120
			lbl020MSR010C120.Parent = pic003MSR010C120
			lbl027MSR010C120.Parent = pic003MSR010C120
			pnl014MSR010C120.Parent = pic003MSR010C120
			pnl021MSR010C120.Parent = pic003MSR010C120
			pnl028MSR010C120.Parent = pic003MSR010C120

			'背景を透明に設定
			lbl013MSR010C120.BackColor = Color.Transparent
			lbl020MSR010C120.BackColor = Color.Transparent
			lbl027MSR010C120.BackColor = Color.Transparent
			pnl014MSR010C120.BackColor = Color.Transparent
			pnl021MSR010C120.BackColor = Color.Transparent
			pnl028MSR010C120.BackColor = Color.Transparent

			'描画位置を指定
			lbl013MSR010C120.Location = New Point(60, 47)
			lbl020MSR010C120.Location = New Point(240, 47)
			lbl027MSR010C120.Location = New Point(140, 47)
			pnl014MSR010C120.Location = New Point(60, 70)
			pnl021MSR010C120.Location = New Point(240, 70)
			pnl028MSR010C120.Location = New Point(140, 70)

			Me.pnl014MSR010C120.ResumeLayout()
			Me.pnl021MSR010C120.ResumeLayout()
			Me.pnl028MSR010C120.ResumeLayout()
			Me.tpg001MSR010C120.ResumeLayout()
			Me.tpg034MSR010C120.ResumeLayout()
			Me.tpg047MSR010C120.ResumeLayout()
			Me.tpg061MSR010C120.ResumeLayout()
			Me.tab001MSR000C020.ResumeLayout()
			Me.ResumeLayout()

			'ビットマップの取得
			Dim cliBmp As New clsBmp
			Try
				Me.aryBitmap = New System.Drawing.Bitmap() {cliBmp.getBmp(clsBmp.Enum_BmpType.MSR010C120_1_AND), cliBmp.getBmp(clsBmp.Enum_BmpType.MSR010C120_1_OR) _
							, cliBmp.getBmp(clsBmp.Enum_BmpType.MSR010C120_1_NOT), cliBmp.getBmp(clsBmp.Enum_BmpType.MSR010C120_1_DIFF) _
							, cliBmp.getBmp(clsBmp.Enum_BmpType.MSR010C120_2_1), cliBmp.getBmp(clsBmp.Enum_BmpType.MSR010C120_2_2) _
							, cliBmp.getBmp(clsBmp.Enum_BmpType.MSR010C120_3_1), cliBmp.getBmp(clsBmp.Enum_BmpType.MSR010C120_3_2)}
			Finally
				cliBmp = Nothing
			End Try

			'クリア処理
			Me.setControl(Me, ENUM_SET_CONTROL.ENUM_LOAD)

		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コントロール廃棄
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010C120_Disposed(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Disposed
		If Me.TopLevelControl IsNot Nothing Then
			DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "MSR010C120_Disposed", "コントロール廃棄 START")
		End If
		Try

		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		Finally
			Me.aryBitmap = Nothing
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' １タブ　ラジオボタン選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo005MSR010C120_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
	   rdo005MSR010C120.CheckedChanged, rdo006MSR010C120.CheckedChanged, rdo007MSR010C120.CheckedChanged
		If DirectCast(sender, RadioButton).Checked = False Then Return

		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "rdo005MSR010C120_CheckedChanged", "１タブ　ラジオボタン選択 START")
		Try
			Me.lbl013MSR010C120.Text = String.Format("Ａ（{0}）", sender.text)
			Me.lbl020MSR010C120.Text = String.Format("Ｂ（{0}）", sender.text)
			Me.lbl027MSR010C120.Text = String.Format("Ａ（{0}）", sender.text)
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' １タブ　ラジオボタン選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo009MSR010C120_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
	   rdo009MSR010C120.CheckedChanged, rdo010MSR010C120.CheckedChanged, rdo011MSR010C120.CheckedChanged, rdo012MSR010C120.CheckedChanged
		If DirectCast(sender, RadioButton).Checked = False Then Return

		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "rdo005MSR010C120_CheckedChanged", "１タブ　ラジオボタン選択 START")
		Dim Visible As Boolean = True
		Dim idx As ENUM_BITMAP_IDX
		Dim defcolor As Color = Color.FromArgb(255, 255, 192)
		Try

			Select Case sender.name
				Case Me.rdo009MSR010C120.Name : idx = ENUM_BITMAP_IDX.TAB1_AND
				Case Me.rdo010MSR010C120.Name : idx = ENUM_BITMAP_IDX.TAB1_OR
				Case Me.rdo011MSR010C120.Name : idx = ENUM_BITMAP_IDX.TAB1_NOT
					Visible = False
				Case Me.rdo012MSR010C120.Name : idx = ENUM_BITMAP_IDX.TAB1_DIFF

			End Select
			Me.lbl013MSR010C120.Visible = Visible
			Me.pnl014MSR010C120.Visible = Visible
			Me.lbl020MSR010C120.Visible = Visible
			Me.pnl021MSR010C120.Visible = Visible
			Me.lbl027MSR010C120.Visible = Not Visible
			Me.pnl028MSR010C120.Visible = Not Visible

			'左の条件
			If idx = ENUM_BITMAP_IDX.TAB1_OR OrElse idx = ENUM_BITMAP_IDX.TAB1_DIFF Then
				Me.pnl014MSR010C120.BackColor = Color.FromArgb(239, 121, 206)
			Else
				Me.pnl014MSR010C120.BackColor = defcolor
			End If

			'右の条件
			Me.pnl021MSR010C120.BackColor = IIf(idx = ENUM_BITMAP_IDX.TAB1_OR, Color.FromArgb(239, 121, 206), defcolor)

			'中央の条件
			Me.pnl028MSR010C120.BackColor = defcolor

			Me.pic003MSR010C120.Image = Me.aryBitmap(idx)

		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ２／３タブ　ラジオボタン選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo045MSR010C120_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
		rdo045MSR010C120.CheckedChanged, rdo046MSR010C120.CheckedChanged _
	  , rdo058MSR010C120.CheckedChanged, rdo059MSR010C120.CheckedChanged
		If DirectCast(sender, RadioButton).Checked = False Then Return

		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "rdo005MSR010C120_CheckedChanged", "２／３タブ　ラジオボタン選択 START")
		Try
			Select Case sender.name
				Case Me.rdo045MSR010C120.Name : Me.pic036MSR010C120.Image = Me.aryBitmap(ENUM_BITMAP_IDX.TAB2_P)
				Case Me.rdo046MSR010C120.Name : Me.pic036MSR010C120.Image = Me.aryBitmap(ENUM_BITMAP_IDX.TAB2_H)
				Case Me.rdo058MSR010C120.Name : Me.pic049MSR010C120.Image = Me.aryBitmap(ENUM_BITMAP_IDX.TAB3_MAX)
				Case Me.rdo059MSR010C120.Name : Me.pic049MSR010C120.Image = Me.aryBitmap(ENUM_BITMAP_IDX.TAB3_MIN)
			End Select
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub
	''' ---------------------------------------------
	''' <summary>
	''' ４タブ　ラジオボタン選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/03/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo071MSR010C120_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
		rdo071MSR010C120.CheckedChanged, rdo072MSR010C120.CheckedChanged,
		rdo073MSR010C120.CheckedChanged, rdo074MSR010C120.CheckedChanged
		If DirectCast(sender, RadioButton).Checked = False Then Return
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "rdo071MSR010C120_CheckedChanged", "４タブ　ラジオボタン選択 START")
		Try
			Me.num076MSR010C120.Select()
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件設定有無チェック
	''' </summary>
	''' <param name="targetRdo">チェック対象ラジオボタン</param>
	''' <param name="chkRdo">一致チェック対象ラジオボタン</param>
	''' <param name="SearchNo">検索番号</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub _chkInput(ByVal targetRdo As RadioButton, ByVal chkRdo As RadioButton, ByVal SearchNo As Integer)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "_chkInput", "検索条件設定有無チェック START")
		Try
			If targetRdo.Checked = True Then
				If chkRdo IsNot Nothing AndAlso chkRdo.Checked = True Then
					'同じ検索結果のため、検索できません。
					DirectCast(Me.TopLevelControl, frmBase).addErrList("E0003", targetRdo.Name, "検索番号", "同じ検索結果", "検索", Nothing)
				End If
				If DirectCast(Me.TopLevelControl, MSR010F010).chkExist(Me.getSearchNo(targetRdo.Name), , False) = False Then
					'検索結果が存在しないため、検索できません。
					DirectCast(Me.TopLevelControl, frmBase).addErrList("E0003", targetRdo.Name, "検索番号", "検索結果が存在しない", "検索", Nothing)
				End If
				If Me.getSearchNo(targetRdo.Name) = SearchNo Then
					'同じ検索結果のため、検索できません。
					DirectCast(Me.TopLevelControl, frmBase).addErrList("E0003", targetRdo.Name, "検索番号", "同じ検索結果", "検索", Nothing)
				End If
			End If
		Catch ex As Exception
			Throw
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件設定有無チェック
	''' </summary>
	''' <param name="ctlName">コントロール名</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSearchNo(ByVal ctlName As String) As Integer
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchNo", "検索番号取得 START")
		Try
			Dim idx As Integer = Integer.Parse(ctlName.Substring(3, 3))
			Select Case idx
				Case 15 To 19 : Return idx - 14		'１タブ
				Case 22 To 26 : Return idx - 21
				Case 29 To 33 : Return idx - 28
				Case 38 To 42 : Return idx - 37		'２タブ
				Case 51 To 55 : Return idx - 50		'３タブ
				Case 64 To 68 : Return idx - 63		'４タブ
				Case Else : Return 0
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ１専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_1(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_1", "タブ１検索処理 START")
		Dim TblCd As clsMSRCOMMON.Enum_Tbl_CD = Nothing
		Dim aryInfo As String() = {Nothing, Nothing, Nothing, Nothing, Nothing}
		Dim arySql As String() = {Nothing, Nothing, Nothing, Nothing, Nothing}
		Dim SearchNo As Integer
		Try
			'画面からの検索条件取得
			'患者・入退院・科歴
			Select Case True
				Case Me.rdo005MSR010C120.Checked
					TblCd = clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO
					aryInfo(0) = Me.rdo005MSR010C120.Text
					arySql(1) = sqlMSR010C120.sql_GET_P : arySql(2) = sqlMSR010C120.sql1_JOIN2_P : arySql(3) = sqlMSR010C120.sql_JOIN_P
				Case Me.rdo006MSR010C120.Checked
					TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP
					aryInfo(0) = Me.rdo006MSR010C120.Text
					arySql(1) = sqlMSR010C120.sql_GET_H : arySql(2) = sqlMSR010C120.sql1_JOIN2_H : arySql(3) = sqlMSR010C120.sql_JOIN_H
				Case Me.rdo007MSR010C120.Checked
					TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CH
					aryInfo(0) = Me.rdo007MSR010C120.Text
					arySql(1) = sqlMSR010C120.sql_GET_C : arySql(2) = sqlMSR010C120.sql1_JOIN2_C : arySql(3) = sqlMSR010C120.sql_JOIN_C
			End Select

			'接続条件
			Select Case True
				Case Me.rdo009MSR010C120.Checked : aryInfo(1) = Me.rdo009MSR010C120.Text : arySql(0) = sqlMSR010C120.selSEARCH_1_AND : arySql(4) = sqlMSR010C120.sql1_WHERE_ON
				Case Me.rdo010MSR010C120.Checked : aryInfo(1) = Me.rdo010MSR010C120.Text : arySql(0) = sqlMSR010C120.selSEARCH_1_OR : arySql(4) = sqlMSR010C120.sql1_WHERE_ON
				Case Me.rdo011MSR010C120.Checked : aryInfo(1) = Me.rdo011MSR010C120.Text : arySql(0) = sqlMSR010C120.selSEARCH_1_NOT : arySql(4) = sqlMSR010C120.sql1_WHERE_OFF
				Case Me.rdo012MSR010C120.Checked : aryInfo(1) = Me.rdo012MSR010C120.Text : arySql(0) = sqlMSR010C120.selSEARCH_1_DIF : arySql(4) = sqlMSR010C120.sql1_WHERE_ON
			End Select

			'検索番号
			If Me.pnl014MSR010C120.Visible = True Then
				Select Case True
					Case Me.rdo015MSR010C120.Checked : aryInfo(2) = Me.rdo015MSR010C120.Text : SearchNo = 1
					Case Me.rdo016MSR010C120.Checked : aryInfo(2) = Me.rdo016MSR010C120.Text : SearchNo = 2
					Case Me.rdo017MSR010C120.Checked : aryInfo(2) = Me.rdo017MSR010C120.Text : SearchNo = 3
					Case Me.rdo018MSR010C120.Checked : aryInfo(2) = Me.rdo018MSR010C120.Text : SearchNo = 4
					Case Me.rdo019MSR010C120.Checked : aryInfo(2) = Me.rdo019MSR010C120.Text : SearchNo = 5
				End Select
				cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C120.prmSEARCH_NO_1, clsDB.Enum_dbType.dbInt, SearchNo))
				Select Case True
					Case Me.rdo022MSR010C120.Checked : aryInfo(3) = Me.rdo022MSR010C120.Text : SearchNo = 1
					Case Me.rdo023MSR010C120.Checked : aryInfo(3) = Me.rdo023MSR010C120.Text : SearchNo = 2
					Case Me.rdo024MSR010C120.Checked : aryInfo(3) = Me.rdo024MSR010C120.Text : SearchNo = 3
					Case Me.rdo025MSR010C120.Checked : aryInfo(3) = Me.rdo025MSR010C120.Text : SearchNo = 4
					Case Me.rdo026MSR010C120.Checked : aryInfo(3) = Me.rdo026MSR010C120.Text : SearchNo = 5
				End Select
				cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C120.prmSEARCH_NO_2, clsDB.Enum_dbType.dbInt, SearchNo))
			Else
				Select Case True
					Case Me.rdo029MSR010C120.Checked : aryInfo(2) = Me.rdo029MSR010C120.Text : SearchNo = 1
					Case Me.rdo030MSR010C120.Checked : aryInfo(2) = Me.rdo030MSR010C120.Text : SearchNo = 2
					Case Me.rdo031MSR010C120.Checked : aryInfo(2) = Me.rdo031MSR010C120.Text : SearchNo = 3
					Case Me.rdo032MSR010C120.Checked : aryInfo(2) = Me.rdo032MSR010C120.Text : SearchNo = 4
					Case Me.rdo033MSR010C120.Checked : aryInfo(2) = Me.rdo033MSR010C120.Text : SearchNo = 5
				End Select
				cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C120.prmSEARCH_NO_1, clsDB.Enum_dbType.dbInt, SearchNo))
			End If

			'検索条件の作成
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, "基準", aryInfo(0), Nothing))
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, aryInfo(1), Nothing))
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, "Ａ", aryInfo(2), Nothing))
			If aryInfo(3) IsNot Nothing Then
				cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, "Ｂ", aryInfo(3), Nothing))
			End If

			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(TblCd, Me.ctlText & Environment.NewLine & Me.lbl002MSR010C120.Text)

			'ＳＱＬ文の作成
			cliRet.Sql = String.Format(sqlMSR010C120.sqlSEARCH_INS _
				   , String.Format(arySql(0), arySql(1), arySql(2)) _
				   , arySql(3) _
				   , arySql(4) _
				   )

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ２専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_2(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_2", "タブ２検索処理 START")
		Dim TblCd As clsMSRCOMMON.Enum_Tbl_CD = Nothing
		Dim aryInfo As String() = {Nothing, Nothing}
		Dim arySql As String() = {Nothing, Nothing, Nothing}
		Dim SearchNo As Integer
		Try
			'画面からの検索条件取得
			'検索番号
			Select Case True
				Case Me.rdo038MSR010C120.Checked : aryInfo(0) = Me.rdo038MSR010C120.Text : SearchNo = 1
				Case Me.rdo039MSR010C120.Checked : aryInfo(0) = Me.rdo039MSR010C120.Text : SearchNo = 2
				Case Me.rdo040MSR010C120.Checked : aryInfo(0) = Me.rdo040MSR010C120.Text : SearchNo = 3
				Case Me.rdo041MSR010C120.Checked : aryInfo(0) = Me.rdo041MSR010C120.Text : SearchNo = 4
				Case Me.rdo042MSR010C120.Checked : aryInfo(0) = Me.rdo042MSR010C120.Text : SearchNo = 5
			End Select
			cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C120.prmSEARCH_NO_1, clsDB.Enum_dbType.dbInt, SearchNo))

			'入退院/科歴
			Select Case True
				Case Me.rdo045MSR010C120.Checked
					TblCd = clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO
					aryInfo(1) = Me.rdo045MSR010C120.Text
					arySql(0) = sqlMSR010C120.sql_GET_P : arySql(1) = sqlMSR010C120.sql_JOIN_P : arySql(2) = sqlMSR010C120.sql2_WHERE_H
				Case Me.rdo046MSR010C120.Checked
					TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP
					aryInfo(1) = Me.rdo046MSR010C120.Text
					arySql(0) = sqlMSR010C120.sql_GET_H : arySql(1) = sqlMSR010C120.sql_JOIN_H : arySql(2) = sqlMSR010C120.sql2_WHERE_C
			End Select

			'検索条件の作成
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, aryInfo(0), Nothing))
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, aryInfo(1), Nothing))

			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(TblCd, Me.ctlText & Environment.NewLine & Me.lbl035MSR010C120.Text)

			'ＳＱＬ文の作成
			cliRet.Sql = String.Format(sqlMSR010C120.sqlSEARCH_INS _
				   , String.Format(sqlMSR010C120.selSEARCH_2, arySql(0)) _
				   , arySql(1) _
				   , arySql(2) _
				   )

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ３専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_3(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_3", "タブ３検索処理 START")
		Dim aryInfo As String() = {Nothing, Nothing}
		Dim arySql As String() = {Nothing, Nothing, Nothing}
		Dim SearchNo As Integer
		Try
			'画面からの検索条件取得
			'検索番号
			Select Case True
				Case Me.rdo051MSR010C120.Checked : aryInfo(0) = Me.rdo051MSR010C120.Text : SearchNo = 1
				Case Me.rdo052MSR010C120.Checked : aryInfo(0) = Me.rdo052MSR010C120.Text : SearchNo = 2
				Case Me.rdo053MSR010C120.Checked : aryInfo(0) = Me.rdo053MSR010C120.Text : SearchNo = 3
				Case Me.rdo054MSR010C120.Checked : aryInfo(0) = Me.rdo054MSR010C120.Text : SearchNo = 4
				Case Me.rdo055MSR010C120.Checked : aryInfo(0) = Me.rdo055MSR010C120.Text : SearchNo = 5
			End Select
			cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C120.prmSEARCH_NO_1, clsDB.Enum_dbType.dbInt, SearchNo))

			'最大/最小
			Select Case True
				Case Me.rdo058MSR010C120.Checked
					aryInfo(1) = Me.rdo058MSR010C120.Text
					arySql(0) = sqlMSR010C120.selSEARCH_3_MAX
				Case Me.rdo059MSR010C120.Checked
					aryInfo(1) = Me.rdo059MSR010C120.Text
					arySql(0) = sqlMSR010C120.selSEARCH_3_MIN
			End Select

			'検索条件の作成
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, aryInfo(0) & Me.lbl056MSR010C120.Text.Substring(0, 8), Nothing))
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, Me.lbl056MSR010C120.Text.Substring(8) & aryInfo(1) & Me.lbl060MSR010C120.Text, Nothing))

			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Me.ctlText & Environment.NewLine & Me.lbl048MSR010C120.Text)

			'ＳＱＬ文の作成
			cliRet.Sql = String.Format(sqlMSR010C120.sqlSEARCH_INS _
				   , arySql(0) _
				   , sqlMSR010C120.sql_JOIN_H _
				   , Nothing _
				   )

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ４専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_4(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_4", "タブ４検索処理 START")
		Dim aryInfo As String() = {Nothing, Nothing, Nothing, Nothing}
		Dim arySql As String() = {Nothing, Nothing, Nothing}
		Dim SearchNo As Integer
		Try
			'画面からの検索条件取得
			'検索番号
			Select Case True
				Case Me.rdo064MSR010C120.Checked : aryInfo(0) = Me.rdo064MSR010C120.Text : SearchNo = 1
				Case Me.rdo065MSR010C120.Checked : aryInfo(0) = Me.rdo065MSR010C120.Text : SearchNo = 2
				Case Me.rdo066MSR010C120.Checked : aryInfo(0) = Me.rdo066MSR010C120.Text : SearchNo = 3
				Case Me.rdo067MSR010C120.Checked : aryInfo(0) = Me.rdo067MSR010C120.Text : SearchNo = 4
				Case Me.rdo068MSR010C120.Checked : aryInfo(0) = Me.rdo068MSR010C120.Text : SearchNo = 5
			End Select
			cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C120.prmSEARCH_NO_1, clsDB.Enum_dbType.dbInt, SearchNo))

			'対象入退院
			Select Case True
				Case Me.rdo071MSR010C120.Checked : aryInfo(1) = Me.rdo071MSR010C120.Text : arySql(0) = sqlMSR010C120.selSEARCH_4_1
				Case Me.rdo072MSR010C120.Checked : aryInfo(1) = Me.rdo072MSR010C120.Text : arySql(0) = sqlMSR010C120.selSEARCH_4_2
				Case Me.rdo073MSR010C120.Checked : aryInfo(1) = Me.rdo073MSR010C120.Text : arySql(0) = sqlMSR010C120.selSEARCH_4_3
				Case Me.rdo074MSR010C120.Checked : aryInfo(1) = Me.rdo074MSR010C120.Text
					'今回入退院
					Select Case True
						Case Me.rdo085MSR010C120.Checked : aryInfo(2) = Me.rdo085MSR010C120.Text : arySql(1) = sqlMSR010C120.selSEARCH_4_4_N1
						Case Me.rdo086MSR010C120.Checked : aryInfo(2) = Me.rdo086MSR010C120.Text : arySql(1) = sqlMSR010C120.selSEARCH_4_4_N2
						Case Me.rdo087MSR010C120.Checked : aryInfo(2) = Me.rdo087MSR010C120.Text : arySql(1) = sqlMSR010C120.selSEARCH_4_4_N3
					End Select
					'前回入退院
					Select Case True
						Case Me.rdo090MSR010C120.Checked : aryInfo(3) = Me.rdo090MSR010C120.Text : arySql(2) = sqlMSR010C120.selSEARCH_4_4_1
						Case Me.rdo091MSR010C120.Checked : aryInfo(3) = Me.rdo091MSR010C120.Text : arySql(2) = sqlMSR010C120.SelSEARCH_4_4_2
						Case Me.rdo092MSR010C120.Checked : aryInfo(3) = Me.rdo092MSR010C120.Text : arySql(2) = sqlMSR010C120.SelSEARCH_4_4_3
					End Select
					arySql(0) = String.Format(sqlMSR010C120.selSEARCH_4_4, String.Format(arySql(2), arySql(1)))
					'フラグ
					cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSRCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt, clsConst.Enum_CheckBox_Flg.CheckOn))
					'主病名
					cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C120.prmMAIN_DISEASE, clsDB.Enum_dbType.dbInt, clsConst.Enum_Disease_Div_Fix1.MainDisease))
			End Select

			'日数
			cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C120.prmDATE_ADD, clsDB.Enum_dbType.dbInt, Me.num076MSR010C120.DblValue))

			'検索条件の作成
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, aryInfo(0) & Me.lbl069MSR010C120.Text, Nothing))
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, aryInfo(1), Nothing))

			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, Me.lbl075MSR010C120.Text & Me.num076MSR010C120.Text & Me.lbl077MSR010C120.Text & Me.lbl078MSR010C120.Text, Nothing))

			If aryInfo(2) IsNot Nothing Then
				cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, Me.lbl083MSR010C120.Text & aryInfo(2) & Me.lbl088MSR010C120.Text.Substring(0, 1), Nothing))
				cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, Me.lbl088MSR010C120.Text.Substring(1) & aryInfo(3) & Me.lbl093MSR010C120.Text, Nothing))
			End If
			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP, Me.ctlText & Environment.NewLine & Me.lbl062MSR010C120.Text)

			'ＳＱＬ文の作成
			cliRet.Sql = String.Format(sqlMSR010C120.sqlSEARCH_INS _
				   , arySql(0) _
				   , sqlMSR010C120.sql_JOIN_H _
				   , Nothing _
				   )

		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件設定有無チェック
	''' </summary>
	''' <param name="SearchNo">検索番号</param>
	''' <returns>設定有無</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function chkInput(ByVal SearchNo As Integer) As Boolean
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "ChkInput", "検索条件設定有無チェック START")
		Try
			Select Case tab001MSR000C020.SelectedTab.Name
				Case Me.tpg001MSR010C120.Name
					If Me.pnl014MSR010C120.Visible = True Then
						Me._chkInput(Me.rdo015MSR010C120, Me.rdo022MSR010C120, SearchNo)
						Me._chkInput(Me.rdo016MSR010C120, Me.rdo023MSR010C120, SearchNo)
						Me._chkInput(Me.rdo017MSR010C120, Me.rdo024MSR010C120, SearchNo)
						Me._chkInput(Me.rdo018MSR010C120, Me.rdo025MSR010C120, SearchNo)
						Me._chkInput(Me.rdo019MSR010C120, Me.rdo026MSR010C120, SearchNo)

						Me._chkInput(Me.rdo022MSR010C120, Nothing, SearchNo)
						Me._chkInput(Me.rdo023MSR010C120, Nothing, SearchNo)
						Me._chkInput(Me.rdo024MSR010C120, Nothing, SearchNo)
						Me._chkInput(Me.rdo025MSR010C120, Nothing, SearchNo)
						Me._chkInput(Me.rdo026MSR010C120, Nothing, SearchNo)
					Else
						Me._chkInput(Me.rdo029MSR010C120, Nothing, SearchNo)
						Me._chkInput(Me.rdo030MSR010C120, Nothing, SearchNo)
						Me._chkInput(Me.rdo031MSR010C120, Nothing, SearchNo)
						Me._chkInput(Me.rdo032MSR010C120, Nothing, SearchNo)
						Me._chkInput(Me.rdo033MSR010C120, Nothing, SearchNo)
					End If
				Case Me.tpg034MSR010C120.Name
					Me._chkInput(Me.rdo038MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo039MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo040MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo041MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo042MSR010C120, Nothing, SearchNo)
				Case Me.tpg047MSR010C120.Name
					Me._chkInput(Me.rdo051MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo052MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo053MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo054MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo055MSR010C120, Nothing, SearchNo)
				Case Me.tpg061MSR010C120.Name
					Me._chkInput(Me.rdo064MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo065MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo066MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo067MSR010C120, Nothing, SearchNo)
					Me._chkInput(Me.rdo068MSR010C120, Nothing, SearchNo)

					With Me.num076MSR010C120
						If String.IsNullOrEmpty(.Text) = True Then
							DirectCast(Me.TopLevelControl, frmBase).addErrList("E0001", .Name, "日数", Nothing)
						End If
					End With
				Case Else
			End Select

			With DirectCast(Me.TopLevelControl, frmBase)
				If .getErrCount > 0 Then
					.nextErrForm()
				Else
					Return True
				End If
			End With
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理
	''' </summary>
	''' <param name="type">検索タイプ</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function getSearchInfo(ByVal type As MSR000C010.ENUM_SEARCH_TYPE) As clsMSRSearchOut
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo", "検索処理 START")
		Dim cliRet As clsMSRSearchOut = Nothing
		Try
			Using cliSearch As New clsMSRSearch
				cliRet = New clsMSRSearchOut
				cliSearch.setSearchControl(Me.tab001MSR000C020.SelectedTab, cliRet)
				Select Case Me.tab001MSR000C020.SelectedTab.Name
					Case Me.tpg001MSR010C120.Name : Me.getSearchInfo_1(cliRet)
					Case Me.tpg034MSR010C120.Name : Me.getSearchInfo_2(cliRet)
					Case Me.tpg047MSR010C120.Name : Me.getSearchInfo_3(cliRet)
					Case Me.tpg061MSR010C120.Name : Me.getSearchInfo_4(cliRet)
				End Select
				Return cliRet
			End Using
		Catch ex As Exception
			Throw
		Finally
			cliRet = Nothing
		End Try
	End Function

#End Region


End Class
