﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 入退院情報 検索結果出力
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR040F020

#Region "変数"

	''' <summary>ワーク作成フラグ</summary>
	Private makeWork() As Boolean = New Boolean() {True, True}

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pDgv As DataGridView)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。


		'ＩＮ項目取得
		Me.pDgvList = pDgv					'一覧

		'継承元に引き渡し
		Me.ExcelID(0) = "MRP040E010"		'帳票(EXCEL)ID
		Me.ExcelID(1) = "MRP040E020"		'帳票(EXCEL)ID
		Me.CsvFile = "BT4NY0.CSV"			'CSVファイル名

		'ワーク削除キー
		Me.DelWorkKey = MRP.clsMRPCOMMON.ENUM_SQL_DEL_WORK.MRP040
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR030F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(XCM.clsSysMst.logLevel.NRM, "MSR030F020_FormClosing", "フォームクローズ START")
		Try
		Finally
			'変数解放（Nothing）
			Me.makeWork = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 帳票ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnPrt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn026MSR000F030.Click, btn027MSR000F030.Click
		log(clsSysMst.logLevel.NRM, "btnPrt_Click", "印刷プレビューボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Dim print As Boolean = CBool(sender.name = "btn027MSR000F030")		'印刷/ﾌﾚﾋﾞｭｰ
			Select Case True
				Case Me.rdo014MSR000F030.Checked
					Using prt As New MRP.MRP040R010(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo014MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork(0))
						If prt.exeReport() = True Then Me.makeWork(0) = False
					End Using
				Case Me.rdo015MSR000F030.Checked, Me.rdo017MSR000F030.Checked, Me.rdo018MSR000F030.Checked, Me.rdo019MSR000F030.Checked

					Dim RepBreak As MRP.MRP040R020.ENUM_REPORT_BREAK
					Dim PrnTitle As String = Nothing
					Select Case True
						Case Me.rdo015MSR000F030.Checked : PrnTitle = Me.rdo015MSR000F030.Text
														If Me.chk001MSR040F020.Checked = True Then
															RepBreak = MRP.MRP040R020.ENUM_REPORT_BREAK.PATIENT_NO
														Else
															RepBreak = MRP.MRP040R020.ENUM_REPORT_BREAK.NONE
														End If
						Case Me.rdo017MSR000F030.Checked : PrnTitle = Me.rdo017MSR000F030.Text : RepBreak = MRP.MRP040R020.ENUM_REPORT_BREAK.DEPT_CD
						Case Me.rdo018MSR000F030.Checked : PrnTitle = Me.rdo018MSR000F030.Text : RepBreak = MRP.MRP040R020.ENUM_REPORT_BREAK.WARD_CD
						Case Me.rdo019MSR000F030.Checked : PrnTitle = Me.rdo019MSR000F030.Text : RepBreak = MRP.MRP040R020.ENUM_REPORT_BREAK.DOCTOR_CD
					End Select
					Using prt As New MRP.MRP040R020(Me, print, Me.pDgvList, Me.getPrnTitle(PrnTitle), Me.rdo006MSR000F030.Checked, Me.makeWork(0), RepBreak)
						If prt.exeReport() = True Then Me.makeWork(0) = False
					End Using
				Case Me.rdo016MSR000F030.Checked
					Using prt As New MRP.MRP040R030(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo016MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork(0))
						If prt.exeReport() = True Then Me.makeWork(0) = False
					End Using
				Case Me.rdo020MSR000F030.Checked
					Using prt As New MRP.MRP040R070(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo020MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork(0))
						If prt.exeReport() = True Then Me.makeWork(0) = False
					End Using
				Case Me.rdo021MSR000F030.Checked
					Using prt As New MRP.MRP040R080(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo021MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork(0))
						If prt.exeReport() = True Then Me.makeWork(0) = False
					End Using
				Case Me.rdo022MSR000F030.Checked
					Using prt As New MRP.MRP040R090(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo022MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork(0))
						If prt.exeReport() = True Then Me.makeWork(0) = False
					End Using
				Case Me.rdo023MSR000F030.Checked
					Using prt As New MRP.MRP040R100(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo023MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork(0))
						If prt.exeReport() = True Then Me.makeWork(0) = False
					End Using
				Case Me.rdo024MSR000F030.Checked
					Using prt As New MRP.MRP040R110(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo024MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork(1))
						If prt.exeReport() = True Then Me.makeWork(1) = False
					End Using
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' EXCEL出力
	''' </summary>
	''' <param name="id">帳票ID</param>
	''' <param name="sheet">シート名</param>
	''' <param name="template">書式ファイル</param>
	''' <param name="path">出力先</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function exeExcel(ByVal id As String, ByVal sheet As String, ByVal template As String, Optional ByVal path As String = Nothing) As Boolean
		log(clsSysMst.logLevel.DBG, "exeExcel", "EXCEL出力 START")
		Try
			Select Case True
			Case id = Me.ExcelID(0)
				Using excel As New MRP.MRP040E010(Me, Me.pDgvList, template, sheet, path, Me.rdo006MSR000F030.Checked)
					Return excel.exeExcel()
				End Using
			Case id = Me.ExcelID(1)
				Using excel As New MRP.MRP040E020(Me, Me.pDgvList, template, sheet, path, Me.rdo006MSR000F030.Checked)
					Return excel.exeExcel()
				End Using
			Case Else
				Return False
			End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
