﻿'(A) STR V4-14027-000 096 20130515 ID)平井(データ移行前データチェック処理追加)
Imports System.Data
Imports System.Data.SqlClient

Namespace Db

	''' ---------------------------------------------
	''' <summary>
	''' TM_検索処理フィールドマスタ更新処理
	''' </summary>
	''' <remarks>
	''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
	''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Class MTM_SEARCH_FIELD

#Region "コンスタント"

	'TM_補足項目１項目マスタより更新
'(M) STR V4-14027-001 022 20130704 ID)平井(データ移行前データチェック処理追加)
'	Private Const sqlUpdateASST1 As String =
'		"UPDATE MTM_SEARCH_FIELD SET FIELDDSP_NM = CASE WHEN ISNULL(ASST1.ITEM_NM, '') = '' THEN FIELD_NM ELSE ASST1.ITEM_NM END" _
'		& " FROM MTM_SEARCH_FIELD" _
'		& " INNER JOIN" _
'		& " (" _
'		& "  SELECT ITEM_CD, ITEM_NM" _
'		& "   FROM MTM_ASST1_ITM" _
'		& " ) ASST1" _
'		& " ON  TABLE_CD = 14" _
'		& " AND FIELD_CD = ASST1.ITEM_CD + 3"
	Private Const sqlUpdateASST1 As String =
		"UPDATE MTM_SEARCH_FIELD SET FIELDDSP_NM = CASE WHEN ISNULL(ASST1.ITEM_NM, '') = '' THEN SUBSTRING(FIELD_NM, 1, 20) ELSE ASST1.ITEM_NM END" _
		& " FROM MTM_SEARCH_FIELD" _
		& " INNER JOIN" _
		& " (" _
		& "  SELECT ITEM_CD, ITEM_NM" _
		& "   FROM MTM_ASST1_ITM" _
		& " ) ASST1" _
		& " ON  TABLE_CD = 14" _
		& " AND FIELD_CD = ASST1.ITEM_CD + 3"
'(M) END V4-14027-001 022 20130704
	'TM_補足項目２項目マスタより更新
'(M) STR V4-14027-001 022 20130704 ID)平井(データ移行前データチェック処理追加)
'	Private Const sqlUpdateASST2 As String =
'		"UPDATE MTM_SEARCH_FIELD SET FIELDDSP_NM = CASE WHEN ISNULL(ASST2.ITEM_NM, '') = '' THEN FIELD_NM ELSE ASST2.ITEM_NM END" _
'		& " FROM MTM_SEARCH_FIELD" _
'		& " INNER JOIN" _
'		& " (" _
'		& "  SELECT ITEM_CD, ITEM_NM" _
'		& "   FROM MTM_ASST2_ITM" _
'		& " ) ASST2" _
'		& " ON  TABLE_CD = 15" _
'		& " AND FIELD_CD = ASST2.ITEM_CD + 3"
	Private Const sqlUpdateASST2 As String =
		"UPDATE MTM_SEARCH_FIELD SET FIELDDSP_NM = CASE WHEN ISNULL(ASST2.ITEM_NM, '') = '' THEN SUBSTRING(FIELD_NM, 1, 20) ELSE SUBSTRING(ASST2.ITEM_NM, 1, 20) END" _
		& " FROM MTM_SEARCH_FIELD" _
		& " INNER JOIN" _
		& " (" _
		& "  SELECT ITEM_CD, ITEM_NM" _
		& "   FROM MTM_ASST2_ITM" _
		& " ) ASST2" _
		& " ON  TABLE_CD = 15" _
		& " AND FIELD_CD = ASST2.ITEM_CD + 3"
'(M) END V4-14027-001 022 20130704

#End Region

#Region "メソッド"

		''' ---------------------------------------------
		''' <summary>
		''' 移行後の更新処理
		''' </summary>
		''' <param name="mssqlConnectionString"></param>
		''' <param name="cmdTimeout"></param>
		''' <remarks>
		''' 2013/05/14 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub UpdateConvertAfter(ByVal mssqlConnectionString As String, ByVal cmdTimeout As Integer)
			Dim tran As SqlTransaction = Nothing
			Try
				My.Application.Log.WriteEntry("MTM_検索処理フィールドマスタテーブル開始")
				Common.Logger.getInstance.Write(Now.ToString & Space(1) & "MTM_検索処理フィールドマスタテーブル  処理開始")
				Using mssqlConn As New SqlConnection(mssqlConnectionString)
					mssqlConn.Open()
					tran = mssqlConn.BeginTransaction()
					Using mssqlcmd As New SqlCommand
						mssqlcmd.Connection = mssqlConn
						mssqlcmd.Transaction = tran
						mssqlcmd.CommandTimeout = cmdTimeout
						'TM_補足項目１項目マスタより更新
						mssqlcmd.CommandText = sqlUpdateASST1
						mssqlcmd.ExecuteNonQuery()
						'TM_補足項目２項目マスタより更新
						mssqlcmd.CommandText = sqlUpdateASST2
						mssqlcmd.ExecuteNonQuery()
					End Using
					tran.Commit()
					mssqlConn.Close()
				End Using
				Common.Logger.getInstance.Write(Now.ToString & Space(1) & "MTM_検索処理フィールドマスタテーブル  更新完了")
				My.Application.Log.WriteEntry("MTM_検索処理フィールドマスタテーブル終了")
			Catch ex As Exception
				Try
					If tran IsNot Nothing Then tran.Rollback()
				Catch ext As Exception
				End Try
				Throw
			End Try
		End Sub

#End Region

	End Class

End Namespace
'(A) END V4-14027-000 096 20130515