Imports System.Windows.Forms
Imports System.IO
Imports System.Security.Cryptography
Imports System.Text

''' ---------------------------------------------
''' <summary>
''' CZXs
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsTLC010F010

#Region "ϐ"

	Private nudctlhash As Hashtable = Nothing			'䐔Rg[ێnbVe[u
	Private stdtctlhash As Hashtable = Nothing			'KpJnRg[ێnbVe[u
	Private eddtctlhash As Hashtable = Nothing			'KpIRg[ێnbVe[u

#End Region

#Region "RXgN^"

	''' ---------------------------------------------
	''' <summary>
	''' RXgN^
	''' </summary>
	''' <remarks>
	''' 2010/12/01 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		If nudctlhash Is Nothing Then nudctlhash = New Hashtable
		If stdtctlhash Is Nothing Then stdtctlhash = New Hashtable
		If eddtctlhash Is Nothing Then eddtctlhash = New Hashtable
	End Sub

#End Region

#Region "\bh"

	''' ---------------------------------------------
	''' <summary>
	''' Rg[ݒ
	''' </summary>
	''' <param name="chk">i`FbN{bNX</param>
	''' <param name="nud">䐔Rg[</param>
	''' <param name="mskstr">KpJnRg[</param>
	''' <param name="mskend">KpIRg[</param>
	''' <remarks>
	''' 2010/12/01 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setCtl(ByVal chk As CheckBox, ByVal nud As NumericUpDown, ByVal mskstr As MaskedTextBox, ByVal mskend As MaskedTextBox)
		Try
			'nbVɊ֘ARg[ݒ
			nudctlhash.Add(chk.Name, nud)
			stdtctlhash.Add(chk.Name, mskstr)
			eddtctlhash.Add(chk.Name, mskend)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' NRg[Enabledݒ
	''' </summary>
	''' <param name="chk">`FbN{bNX</param>
	''' <remarks>
	''' 2010/12/02 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setEnabled(ByVal chk As CheckBox)
		Try
			'`FbN{bNXɊ֘ARg[Enabledݒ
			If nudctlhash.ContainsKey(chk.Name) Then					'䐔
				DirectCast(nudctlhash(chk.Name), NumericUpDown).Enabled = chk.Checked
			End If
			If stdtctlhash.ContainsKey(chk.Name) Then					'KpJn
				DirectCast(stdtctlhash(chk.Name), MaskedTextBox).Enabled = chk.Checked
			End If
			If eddtctlhash.ContainsKey(chk.Name) Then					'KpI
				DirectCast(eddtctlhash(chk.Name), MaskedTextBox).Enabled = chk.Checked
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 䐔擾
	''' </summary>
	''' <param name="chk"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/01 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getCnt(ByVal chk As CheckBox) As Integer
		Try
			'nbVɓo^ĂȂRg[̏ꍇ́|PԂ
			If nudctlhash.ContainsKey(chk.Name) Then
				Return DirectCast(nudctlhash(chk.Name), NumericUpDown).Value
			Else
				Return -1
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' KpJn擾
	''' </summary>
	''' <param name="chk"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/01 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getStrDt(ByVal chk As CheckBox) As String
		Try
			'nbVɓo^ĂȂRg[̏ꍇ͋󔒂Ԃ
			If stdtctlhash.ContainsKey(chk.Name) Then
				If String.IsNullOrEmpty(DirectCast(stdtctlhash(chk.Name), MaskedTextBox).Text.Replace("/", "").Trim) Then
					Return String.Empty
				Else
					Return DirectCast(stdtctlhash(chk.Name), MaskedTextBox).Text
				End If
			Else
				Return String.Empty
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' KpI擾
	''' </summary>
	''' <param name="chk"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/01 VK쐬 FJSK)r<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getEndDt(ByVal chk As CheckBox) As String
		Try
			'nbVɓo^ĂȂRg[̏ꍇ͋󔒂Ԃ
			If eddtctlhash.ContainsKey(chk.Name) Then
				If String.IsNullOrEmpty(DirectCast(eddtctlhash(chk.Name), MaskedTextBox).Text.Replace("/", "").Trim) Then
					Return String.Empty
				Else
					Return DirectCast(eddtctlhash(chk.Name), MaskedTextBox).Text
				End If
			Else
				Return String.Empty
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
