Imports System.Windows.Forms
Imports System.IO
Imports System.Security.Cryptography
Imports System.Text

''' ---------------------------------------------
''' <summary>
''' ʃ\bh
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsTLCCom

#Region "[JRX^g"

	Private Const CST_MSG_FOLDERSEL = "tH_IĂ"

#End Region

#Region "\bh"

	'''---------------------------------------------
	''' <summary>
	''' tH_[_CAOݒ
	''' </summary>
	''' <param name="pControl"></param>
	''' <remarks>
	''' 2010/11/05 VK쐬 FJSK)r<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function setFolderDialog(ByVal pControl As Control) As DialogResult
		Try
			Using fbd As New FolderBrowserDialog
				fbd.Description = CST_MSG_FOLDERSEL
				fbd.ShowNewFolderButton = False
				If String.IsNullOrEmpty(pControl.Text) = False Then
					fbd.SelectedPath = pControl.Text
				End If

				Dim dr = fbd.ShowDialog
				If dr = Windows.Forms.DialogResult.OK Then
					pControl.Text = fbd.SelectedPath
				End If
				Return dr
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -----------------------------------------------
	''' <summary>
	''' ͕16i32byteHashɕϊĕԂ
	''' </summary>
	''' <param name="input">͕</param>
	''' <returns></returns>
	''' <remarks>
	''' 2009/12/01 VK쐬@FJSK)<BR/>
	''' </remarks>
	''' -----------------------------------------------
	Public Shared Function getSha1Hash(ByVal input As String) As String
		Dim sRet As String = Nothing
		Try
			Dim shaM As New SHA512Managed()
			Dim result() As Byte
			Dim inputbyte() As Byte = Encoding.UTF8.GetBytes(input)
			Dim sBuilder As New StringBuilder()

			result = shaM.ComputeHash(inputbyte)
			Dim i As Integer
			For i = 0 To result.GetUpperBound(0)
				sBuilder.Append(result(i).ToString("x2"))
			Next i
			sRet = sBuilder.ToString()
		Catch ex As Exception
			Throw
		End Try
		Return sRet
	End Function

#End Region

End Class
