﻿Imports XCM
Imports XSP
Imports System.Data

''' ---------------------------------------------
''' <summary>
''' マスタメンテナンスクラス（検索有）（新規作成：V4-14028）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XMS000F030

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 検索ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn001XMS000F030_Click(sender As Object, e As System.EventArgs) Handles btn001XMS000F030.Click
		log(clsSysMst.logLevel.NRM, "btn001XMS000F030_Click", "検索ボタンクリック START")
		Try
			Me.F11KeyProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' クリアボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn002XMS000F030_Click(sender As Object, e As System.EventArgs) Handles btn002XMS000F030.Click
		log(clsSysMst.logLevel.NRM, "btn002XMS000F030_Click", "クリアボタンクリック START")
		Try
			' 一覧クリア
			If Me.dgv001XMS000F020.Rows.Count > 0 Then
				Me.dgv001XMS000F020.DataSource = CType(Me.dgv001XMS000F020.DataSource, DataTable).Clone
			End If
			' 画面クリア
			Using cliMstMenteCom As New clsMstMenteCom(Me)
				cliMstMenteCom.clearScreen()
				cliMstMenteCom.setFocus()
			End Using
			' 前回検索値クリア
			Me.PrevSearch = New clsMstMenteCom(Me, True)
			' 削除ボタン使用不可
			Me.btn007XMS000F010.Enabled = False
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１１キーイン処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F11KeyProc() As Boolean
		If Not Me.DesignMode Then
			log(clsSysMst.logLevel.NRM, "F11KeyProc", "Ｆ１１キーイン Start")
		End If
		Try
			Me.Cursor = Cursors.WaitCursor
			Using cliMstMenteCom As New clsMstMenteCom(Me)
				' グリッドデータ設定
				If Me.btn001XMS000F030.Visible Then
					Me.PrevSearch = cliMstMenteCom.setDataToGridFromSearch()
				Else
					Me.PrevSearch = cliMstMenteCom.setDataToGridFromSearch(False)
				End If
			End Using
			' 削除ボタン使用不可
			Me.btn007XMS000F010.Enabled = False
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class