﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 共通マスタ＿職員部門マスタ画面処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public NotInheritable Class datXMS020F020_Rec

    Public STAFFDIV_CD As String        '職員部門コード
    Public STAFFDIV_NM As String        '職員部門
    Public STAFFDIV_RNM As String       '職員部門略称名
    Public NONDSP_FLG As Integer        '非表示フラグ
    Public DSPORDER As Integer          '表示順

End Class

Public Class sqlXMS020F020

    Public Const prmSTAFFDIV_CD As String = "@STAFFDIV_CD"          '職員部門コード
    Public Const prmSTAFFDIV_NM As String = "@STAFFDIV_NM"          '職員部門
    Public Const prmSTAFFDIV_RNM As String = "@STAFFDIV_RNM"        '職員部門略称名
    Public Const prmNONDSP_FLG As String = "@NONDSP_FLG"            '非表示フラグ
    Public Const prmDSPORDER As String = "@DSPORDER"                '表示順
    Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"    '更新者ＩＤ
    Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"            '更新日時

    Public Const itmSTAFFDIV_CD As String = "STAFFDIV_CD"           '職員部門コード
    Public Const itmSTAFFDIV_NM As String = "STAFFDIV_NM"           '職員部門
    Public Const itmSTAFFDIV_RNM As String = "STAFFDIV_RNM"         '職員部門略称名
    Public Const itmNONDSP_FLG As String = "NONDSP_FLG"             '非表示フラグ
    Public Const itmDSPORDER As String = "DSPORDER"                 '表示順

    '職員部門マスタ更新時1件検索用
    Public Const sqlSel4Upd_PKey = _
     "SELECT STAFFDIV_CD,STAFFDIV_NM,STAFFDIV_RNM,NONDSP_FLG,DSPORDER" + _
     " FROM XTM_STAFFDIV " + _
     clsSysMst.forUpdate + _
     " WHERE STAFFDIV_CD=" + prmSTAFFDIV_CD

    '職員部門マスタ1件削除用
    Public Const sqlDel = "DELETE FROM XTM_STAFFDIV WHERE STAFFDIV_CD=" + prmSTAFFDIV_CD

    '職員部門マスタ1件更新用
    Public Const sqlUpd = _
    "UPDATE XTM_STAFFDIV SET " + _
    "STAFFDIV_NM=" + prmSTAFFDIV_NM + "," + _
    "STAFFDIV_RNM=" + prmSTAFFDIV_RNM + "," + _
    "NONDSP_FLG=" + prmNONDSP_FLG + "," + _
    "DSPORDER=" + prmDSPORDER + "," + _
    "LASTUPDUSER_CD=" + prmLASTUPDUSER_CD + "," + _
    "LASTUPD_DT=" + prmLASTUPD_DT + " " + _
    "WHERE STAFFDIV_CD=" + prmSTAFFDIV_CD

    '職員部門マスタ追加用
    Public Const sqlIns = _
    "INSERT INTO XTM_STAFFDIV ( " + _
    " STAFFDIV_CD," + _
    " STAFFDIV_NM," + _
    " STAFFDIV_RNM," + _
    " NONDSP_FLG," + _
    " DSPORDER," + _
    " LASTUPDUSER_CD," + _
    " LASTUPD_DT" + _
    ") VALUES ( " + _
    prmSTAFFDIV_CD + "," + _
    prmSTAFFDIV_NM + "," + _
    prmSTAFFDIV_RNM + "," + _
    prmNONDSP_FLG + "," + _
    prmDSPORDER + "," + _
    prmLASTUPDUSER_CD + "," + _
    prmLASTUPD_DT + ")"

    '職員部門マスタ保守DataGrid表示用
    Public Const sqlSel_All = _
    "SELECT" + _
    " STAFFDIV_CD," + _
    " STAFFDIV_NM," + _
    " STAFFDIV_RNM," + _
    " NONDSP_FLG," + _
    " DSPORDER" + _
    " FROM XTM_STAFFDIV" + _
    " ORDER BY STAFFDIV_CD ASC"


End Class
