﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 病院名マスタアクセスクラス
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class clsXTM_HSPNAME

	''' ---------------------------------------------
	''' <summary>
	''' 病院名マスタデータ取得（データテーブル）
	''' </summary>
	''' <returns>病院名マスタ一件分（DataTable）</returns>	
	''' <remarks>
	''' 2009/12/22 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getHspName_OneRec_DataTable() As DataTable
        clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSP", Me.GetType.Name, "getHspName_OneRec_DataTable", "共通", "病院名マスタアクセスクラス", "病院名マスタデータ取得（データテーブル） START")
		Dim retData As DataTable = Nothing
		Try
			retData = New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXTM_HSPNAME.sqlSelHspName_OneRec)
				db.execQueryDa(retData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病院名マスタデータ取得（データクラス）
	''' </summary>
	''' <returns>病院名マスタ一件分（DataClass）</returns>	
	''' <remarks>
	''' 2009/12/22 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getHspName_OneRec_DataClass() As datHspName_OneRec
        clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSP", Me.GetType.Name, "getHspName_OneRec_DataClass", "共通", "病院名マスタアクセスクラス", "病院名マスタデータ取得（データクラス） START")
		Dim retArData As ArrayList = Nothing
		Try
			retArData = New ArrayList
			Using db As New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(sqlXTM_HSPNAME.sqlSelHspName_OneRec)
				db.execQuery(GetType(datHspName_OneRec), retArData)
				If retArData IsNot Nothing AndAlso retArData.Count > 0 Then
					Return CType(retArData(0), datHspName_OneRec)
				Else
					Return Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function
	''' ---------------------------------------------
	''' <summary>
	''' 病院名マスタデータ取得（データクラス）
	''' </summary>
	''' <returns>病院名マスタ一件分（DataClass）</returns>	
	''' <remarks>
	''' 2009/12/22 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getHspName_OneRec_DataClass(ByVal db As clsDB) As datHspName_OneRec
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSP", Me.GetType.Name, "getHspName_OneRec_DataClass", "共通", "病院名マスタアクセスクラス", "病院名マスタデータ取得（データクラス） START")
		Dim retArData As ArrayList = Nothing
		Try
			retArData = New ArrayList
			db.setSQL(sqlXTM_HSPNAME.sqlSelHspName_OneRec)
			db.execQuery(GetType(datHspName_OneRec), retArData)
			If retArData IsNot Nothing AndAlso retArData.Count > 0 Then
				Return CType(retArData(0), datHspName_OneRec)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function
End Class
