﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 病名マスタ　病名検索（Report）ＳＱＬクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlXSP080R070
	' 項目
	Public Const itmHOST_NM As String = "HOST_NM"							'ホスト名
	Public Const itmPATIENT_NO As String = "PATIENT_NO"						'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"				'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"								'科歴番号
	Public Const itmLENDITEM_CD As String = "LENDITEM_CD"					'貸出物コード
	Public Const itmLENDSERIAL_NO As String = "LENDSERIAL_NO"				'貸出連番
	Public Const itmBYOREKI_NO As String = "BYOREKI_NO"						'病歴番号
	Public Const itmDEPT_CD As String = "DEPT_CD"							'診療科コード
	Public Const itmWARD_CD As String = "WARD_CD"							'病棟コード
	Public Const itmDOCTOR_CD As String = "DOCTOR_CD"						'医師コード
	Public Const itmSTART_DT As String = "START_DT"							'開始日
	Public Const itmEND_DT As String = "END_DT"								'終了日
	Public Const itmSLIP_CD As String = "SLIP_CD"							'伝票コード
	Public Const itmLENDAIM_CD As String = "LENDAIM_CD"						'貸出目的コード
	Public Const itmLCT_CD As String = "LCT_CD"								'所在場所コード
	Public Const itmISSUE_DT As String = "ISSUE_DT"							'貸出日
	Public Const itmEXPECTBACK_DT As String = "EXPECTBACK_DT"				'返却予定日
	Public Const itmURGEDBACK_DT As String = "URGEDBACK_DT"					'返却督促日
	Public Const itmBACK_DT As String = "BACK_DT"							'返却日
	Public Const itmBORROWER_DIV As String = "BORROWER_DIV"					'借用者部門コード
	Public Const itmBORROWER_CD As String = "BORROWER_CD"					'借用者コード
	Public Const itmBORROWER_NM As String = "BORROWER_NM"					'借用者名
	Public Const itmTAKER_DIV As String = "TAKER_DIV"						'帯出者部門コード
	Public Const itmTAKER_CD As String = "TAKER_CD"							'帯出者コード
	Public Const itmTAKER_NM As String = "TAKER_NM"							'帯出者名
	Public Const itmLENDCLERK_CD As String = "LENDCLERK_CD"					'貸出取扱者コード
	Public Const itmBACKCLERK_CD As String = "BACKCLERK_CD"					'返却取扱者コード
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"				'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"						'最終更新日

	' パラメータ
	Public Const prmHOST_NM As String = "@HOST_NM"							'ホスト名
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"					'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"			'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"								'科歴番号
	Public Const prmLENDITEM_CD As String = "@LENDITEM_CD"					'貸出物コード
	Public Const prmLENDSERIAL_NO As String = "@LENDSERIAL_NO"				'貸出連番
	Public Const prmBYOREKI_NO As String = "@BYOREKI_NO"					'病歴番号
	Public Const prmDEPT_CD As String = "@DEPT_CD"							'診療科コード
	Public Const prmWARD_CD As String = "@WARD_CD"							'病棟コード
	Public Const prmDOCTOR_CD As String = "@DOCTOR_CD"						'医師コード
	Public Const prmSTART_DT As String = "@START_DT"						'開始日
	Public Const prmEND_DT As String = "@END_DT"							'終了日
	Public Const prmSLIP_CD As String = "@SLIP_CD"							'伝票コード
	Public Const prmLENDAIM_CD As String = "@LENDAIM_CD"					'貸出目的コード
	Public Const prmLCT_CD As String = "@LCT_CD"							'所在場所コード
	Public Const prmISSUE_DT As String = "@ISSUE_DT"						'貸出日
	Public Const prmEXPECTBACK_DT As String = "@EXPECTBACK_DT"				'返却予定日
	Public Const prmURGEDBACK_DT As String = "@URGEDBACK_DT"				'返却督促日
	Public Const prmBACK_DT As String = "@BACK_DT"							'返却日
	Public Const prmBORROWER_DIV As String = "@BORROWER_DIV"				'借用者部門コード
	Public Const prmBORROWER_CD As String = "@BORROWER_CD"					'借用者コード
	Public Const prmBORROWER_NM As String = "@BORROWER_NM"					'借用者名
	Public Const prmTAKER_DIV As String = "@TAKER_DIV"						'帯出者部門コード
	Public Const prmTAKER_CD As String = "@TAKER_CD"						'帯出者コード
	Public Const prmTAKER_NM As String = "@TAKER_NM"						'帯出者名
	Public Const prmLENDCLERK_CD As String = "@LENDCLERK_CD"				'貸出取扱者コード
	Public Const prmBACKCLERK_CD As String = "@BACKCLERK_CD"				'返却取扱者コード
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"			'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"					'最終更新日

	' 貸出中一覧追加
	Public Const sqlIns_Lending_List As String = _
	 "INSERT INTO MTW_LENDING_LIST" _
	 & " (" _
	 & " HOST_NM," _
	 & " PATIENT_NO," _
	 & " HSP_HISTORY_NO," _
	 & " CH_NO," _
	 & " LENDITEM_CD," _
	 & " LENDSERIAL_NO," _
	 & " BYOREKI_NO," _
	 & " DEPT_CD," _
	 & " WARD_CD," _
	 & " DOCTOR_CD," _
	 & " START_DT," _
	 & " END_DT," _
	 & " SLIP_CD," _
	 & " LENDAIM_CD," _
	 & " LCT_CD," _
	 & " ISSUE_DT," _
	 & " EXPECTBACK_DT," _
	 & " URGEDBACK_DT," _
	 & " BACK_DT," _
	 & " BORROWER_DIV," _
	 & " BORROWER_CD," _
	 & " BORROWER_NM," _
	 & " TAKER_DIV," _
	 & " TAKER_CD," _
	 & " TAKER_NM," _
	 & " LENDCLERK_CD," _
	 & " BACKCLERK_CD," _
	 & " LASTUPDUSER_CD," _
	 & " LASTUPD_DT" _
	 & " )" _
	 & " VALUES" _
	 & " (" _
	 & " " & prmHOST_NM & "," _
	 & " " & prmPATIENT_NO & "," _
	 & " " & prmHSP_HISTORY_NO & "," _
	 & " " & prmCH_NO & "," _
	 & " " & prmLENDITEM_CD & "," _
	 & " " & prmLENDSERIAL_NO & "," _
	 & " " & prmBYOREKI_NO & "," _
	 & " " & prmDEPT_CD & "," _
	 & " " & prmWARD_CD & "," _
	 & " " & prmDOCTOR_CD & "," _
	 & " " & prmSTART_DT & "," _
	 & " " & prmEND_DT & "," _
	 & " " & prmSLIP_CD & "," _
	 & " " & prmLENDAIM_CD & "," _
	 & " " & prmLCT_CD & "," _
	 & " " & prmISSUE_DT & "," _
	 & " " & prmEXPECTBACK_DT & "," _
	 & " " & prmURGEDBACK_DT & "," _
	 & " " & prmBACK_DT & "," _
	 & " " & prmBORROWER_DIV & "," _
	 & " " & prmBORROWER_CD & "," _
	 & " " & prmBORROWER_NM & "," _
	 & " " & prmTAKER_DIV & "," _
	 & " " & prmTAKER_CD & "," _
	 & " " & prmTAKER_NM & "," _
	 & " " & prmLENDCLERK_CD & "," _
	 & " " & prmBACKCLERK_CD & "," _
	 & " " & prmLASTUPDUSER_CD & "," _
	 & " " & prmLASTUPD_DT _
	 & " )"

	' 貸出中一覧　削除
	Public Const sqlDel_MTW_Lending_List As String = _
	"DELETE FROM MTW_LENDING_LIST" _
	& " WHERE HOST_NM=" & prmHOST_NM

End Class
