﻿
'''---------------------------------------------
''' <summary>
''' 一覧表示項目データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public NotInheritable Class datXTM_ITEMLIST
    Public SCREEN_CD As String = Nothing    '画面コード
	Public GRID_CD As String = Nothing		'グリッドコード
	Public KEY_NO As String = Nothing		'キーコード
    Public DSP_NM As String = Nothing       '表示名称
    Public CHKSTATE As Integer = Nothing    'チェック状態
    Public DSPORDER As Integer = Nothing    '表示順
End Class

'''---------------------------------------------
''' <summary>
''' 一覧選択項目データクラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class datXTM_SELECTLIST
    Public USER_CD As String = Nothing      '使用者コード
    Public SCREEN_CD As String = Nothing    '画面コード
	Public GRID_CD As String = Nothing		'グリッドコード
	Public KEY_NO As String = Nothing		'キーコード
    Public CHKSTATE As Integer = Nothing    'チェック状態
    Public DSPORDER As Integer = Nothing    '表示順
End Class

'''---------------------------------------------
''' <summary>
''' 表示項目アクセスクラス
''' </summary>
'''---------------------------------------------
Public Class sqlXTM_ITMSEL_LIST
    'パラメータ
	Public Const prmSCREEN_CD As String = "@SCREE_CD"				'画面コード
	Public Const prmUSER_CD As String = "@USER_CD"					'使用者コード
	Public Const prmGRID_CD As String = "@GRID_CD"					'グリッドコード
	Public Const prmKEY_NO As String = "@KEY_NO"					'キー番号
	Public Const prmCHKSTATE As String = "@CHKSTATE"				'チェック状態
	Public Const prmDSPORDER As String = "@DSPORDER"				'表示順
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"	'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"			'更新日


    '一覧表示項目取得
	Public Const sqlSelXTM_ITEMLIST As String = _
	  "SELECT SCREEN_CD, GRID_CD, KEY_NO, DSP_NM, CHKSTATE, DSPORDER FROM XTM_ITEMLIST" _
	  & " WHERE SCREEN_CD=" & prmSCREEN_CD _
	  & " AND GRID_CD=" & prmGRID_CD _
	  & " ORDER BY DSPORDER"

    '一覧選択項目取得
	Public Const sqlSelXTM_SELECTLIST As String = _
	  "SELECT USER_CD, SCREEN_CD, GRID_CD, KEY_NO, CHKSTATE, DSPORDER FROM XTM_SELECTLIST" _
	  & " WHERE USER_CD=" & prmUSER_CD _
	  & " AND SCREEN_CD=" & prmSCREEN_CD _
	  & " AND GRID_CD=" & prmGRID_CD _
	  & " ORDER BY DSPORDER"

    '一覧選択項目削除
	Public Const sqlDelXTM_SELECTLIST As String = _
	  "DELETE FROM XTM_SELECTLIST" _
	  & " WHERE USER_CD=" & prmUSER_CD _
	  & " AND SCREEN_CD=" & prmSCREEN_CD _
	  & " AND GRID_CD=" & prmGRID_CD

    '一覧選択項目追加
	Public Const sqlInsXTM_SELECTLIST As String = _
	  "INSERT INTO XTM_SELECTLIST" _
	  & " (USER_CD" _
	  & " ,SCREEN_CD" _
	  & " ,GRID_CD" _
	  & " ,KEY_NO" _
	  & " ,CHKSTATE" _
	  & " ,DSPORDER" _
	  & " ,LASTUPDUSER_CD" _
	  & " ,LASTUPD_DT)" _
	  & " VALUES" _
	  & " (" & prmUSER_CD _
	  & " ," & prmSCREEN_CD _
	  & " ," & prmGRID_CD _
	  & " ," & prmKEY_NO _
	  & " ," & prmCHKSTATE _
	  & " ," & prmDSPORDER _
	  & " ," & prmLASTUPDUSER_CD _
	  & " ," & prmLASTUPD_DT & ")"
End Class
