﻿'''---------------------------------------------
''' <summary>
''' 帳票タイトルデータクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public NotInheritable Class datXTM_LEDGERSHEET_TITLE
    Public SCREEN_CD As String = Nothing            '画面コード
    Public TITLESERIAL_NO As Integer = Nothing      'タイトルNo
    Public TITLE As String = Nothing                'タイトル
End Class
'''---------------------------------------------
''' <summary>
''' 帳票タイトルＳＱＬクラス
''' </summary>
'''---------------------------------------------
Public Class sqlXTM_LEDGERSHEET_TITLE
    '項目
    Public Const itmSCREEN_CD As String = "SCREEN_CD"               '画面コード
    Public Const itmTITLESERIAL_NO As String = "TITLESERIAL_NO"     'タイトル連番
    Public Const itmTITLE As String = "TITLE"                       'タイトル

    'パラメータ
    Public Const prmSCREEN_CD As String = "@SCREEN_CD"              '画面コード
    Public Const prmTITLESERIAL_NO As String = "@TITLESERIAL_NO"    'タイトル連番
    Public Const prmTITLE As String = "@TITLE"                      'タイトル
    Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"    '更新者コード
    Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"            '更新日

    'タイトルコンボ取得
	Public Const sqlSelTitle As String = _
	"SELECT TITLESERIAL_NO, TITLE FROM XTM_LEDGERSHEET_TITLE" _
	& " WHERE SCREEN_CD=" & prmSCREEN_CD _
	& " ORDER BY TITLESERIAL_NO ASC"

    'タイトル排他用取得ｓｑｌ
	Public Const sqlSelLockTitle As String = _
	"SELECT SCREEN_CD, TITLESERIAL_NO, TITLE, LASTUPDUSER_CD, LASTUPD_DT" _
	& " FROM XTM_LEDGERSHEET_TITLE " & XCM.clsSysMst.forUpdate _
	& " WHERE SCREEN_CD=" & prmSCREEN_CD _
	& " AND TITLESERIAL_NO=" & prmTITLESERIAL_NO

	'タイトルNoMAX値取得
	Public Const sqlSelTitleMaxNo As String = _
	"SELECT MAX(TITLESERIAL_NO) AS TITLESERIAL_NO" _
	& " FROM XTM_LEDGERSHEET_TITLE" _
	& " WHERE SCREEN_CD=" & prmSCREEN_CD

    'タイトルの追加
    Public Const sqlInsTitle As String = _
    "INSERT INTO XTM_LEDGERSHEET_TITLE" _
    & "( SCREEN_CD, TITLESERIAL_NO, TITLE, LASTUPDUSER_CD, LASTUPD_DT)" _
    & " VALUES (" _
    & prmSCREEN_CD & "," _
    & prmTITLESERIAL_NO & "," _
    & prmTITLE & "," _
    & prmLASTUPDUSER_CD & "," _
    & prmLASTUPD_DT & ")"

    'タイトルの更新
    Public Const sqlUpdTitle As String = _
    "UPDATE XTM_LEDGERSHEET_TITLE SET" _
    & " TITLE=" & prmTITLE _
    & " ,LASTUPDUSER_CD=" & prmLASTUPDUSER_CD _
    & " ,LASTUPD_DT=" & prmLASTUPD_DT _
    & " WHERE SCREEN_CD=" & prmSCREEN_CD _
    & " AND TITLESERIAL_NO=" & prmTITLESERIAL_NO

    'タイトルの削除
    Public Const sqlDelTitle As String = _
    "DELETE FROM XTM_LEDGERSHEET_TITLE" _
    & " WHERE SCREEN_CD=" & prmSCREEN_CD _
    & " AND TITLESERIAL_NO=" & prmTITLESERIAL_NO

End Class
